2006-09-12 08:21  robert

	* include/osg/TriangleFunctor: Fixed the drawArrays() method
	  checking of _drawArrayPtr

2006-09-12 05:35  robert

	* src/osg/LineSegment.cpp: Added a check for zero length line
	  segment in bool LineSegment::intersect(const BoundingSphere&
	  bs,float& r1,float& r2) const.

2006-09-12 03:52  robert

	* ChangeLog: Updated ChangeLog fro 1.2 release

2006-09-12 03:46  robert

	* AUTHORS.txt: Updated AUTHORS file for 1.2 release

2006-09-12 02:28  robert

	* NEWS.txt: Updated NEWS for 1.2 release

2006-09-12 02:26  robert

	* include/osg/ClampColor, src/osg/ClampColor.cpp,
	  src/osgWrappers/osg/ClampColor.cpp: Revised the osg::ClampColor
	  API to allow vertex, fragment and read color clamping to be
	  applied together.

2006-09-08 13:08  robert

	* src/osgUtil/Optimizer.cpp: From Bryan Thrall, fix to
	  Optimizer::MergeGeometryVisitor so that it checks the permissable
	  operation status on Drawables.

2006-09-08 07:31  robert

	* AUTHORS.txt, ChangeLog: Updated ChangeLog and AUTHORS file for
	  1.2 release

2006-09-08 06:24  robert

	* NEWS.txt: Cleaned up NEWS for 1.2 release

2006-09-08 03:46  robert

	* Xcode/OpenSceneGraph/: os-Info.plist, osg-Info.plist,
	  osgDB-Info.plist, osgFX-Info.plist, osgGA-Info.plist,
	  osgGL2-Info.plist, osgGLUTkeyboardmouse-Info.plist,
	  osgGLUTsimple-Info.plist, osgParticle-Info.plist,
	  osgProducer-Info.plist, osgSim-Info.plist, osgTerrain-Info.plist,
	  osgText-Info.plist, osgUtil-Info.plist, osganimate-Info.plist,
	  osgarchive-Info.plist, osgautotransform-Info.plist,
	  osgbillboard-Info.plist, osgblendequation-Info.plist,
	  osgbluemarble-Info.plist, osgcallback-Info.plist,
	  osgcamera-Info.plist, osgcameragroup-Info.plist,
	  osgcatch-Info.plist, osgclip-Info.plist, osgcluster-Info.plist,
	  osgconv-Info.plist, osgcopy-Info.plist, osgcubemap-Info.plist,
	  osgdb_freetype-Info.plist, osgdb_freetype2-Info.plist,
	  osgdb_osgText-Info.plist, osgdelaunay-Info.plist,
	  osgdem-Info.plist, osgdepthpartition-Info.plist,
	  osgdepthshadow-Info.plist, osgdistortion-Info.plist,
	  osgforest-Info.plist, osgfxbrowser-Info.plist,
	  osggeometry-Info.plist, osghangglide-Info.plist,
	  osghud-Info.plist, osgimposter-Info.plist,
	  osgintrospection-Info.plist, osgkeyboard-Info.plist,
	  osgkeyboardmouse-Info.plist, osglauncher-Info.plist,
	  osglightpoint-Info.plist, osglist-Info.plist,
	  osglogicop-Info.plist, osglogo-Info.plist,
	  osgmotionblur-Info.plist, osgmovie-Info.plist,
	  osgmultiplecameras-Info.plist, osgmultitexture-Info.plist,
	  osgocculder-Info.plist, osgpagedlod-Info.plist,
	  osgparametric-Info.plist, osgparticleExample-Info.plist,
	  osgparticleeffects-Info.plist, osgphotoalbum-Info.plist,
	  osgpick-Info.plist, osgplanets-Info.plist, osgpoints-Info.plist,
	  osgpointsprite-Info.plist, osgprecipitation-Info.plist,
	  osgprerender-Info.plist, osgprerendercubemap-Info.plist,
	  osgreflect-Info.plist, osgscalarbar-Info.plist,
	  osgscribe-Info.plist, osgsequence-Info.plist,
	  osgshaders-Info.plist, osgshaderterrain-Info.plist,
	  osgshadowtexture-Info.plist, osgshape-Info.plist,
	  osgsimple-Info.plist, osgsimplepager-Info.plist,
	  osgsimplifier-Info.plist, osgsimulation-Info.plist,
	  osgslice-Info.plist, osgslideshow-Info.plist,
	  osgspacewarp-Info.plist, osgspheresegment-Info.plist,
	  osgspotlight-Info.plist, osgstereoimage-Info.plist,
	  osgteapot-Info.plist, osgtesselate-Info.plist,
	  osgtextexample-Info.plist, osgtexture1D-Info.plist,
	  osgtexture2D-Info.plist, osgtexture3D-Info.plist,
	  osgtexturerectangle-Info.plist, osgunittests-Info.plist,
	  osgversion-Info.plist, osgvertexprogram-Info.plist,
	  osgviewer-Info.plist, osgvolume-Info.plist,
	  osgwindows-Info.plist: From Eric Wing, updated to Xcode projects

2006-09-08 03:07  robert

	* VisualStudio/MUST_READ_ME.txt: Added link to website for build
	  docs.

2006-09-08 03:07  robert

	* VisualStudio/fixup-vc6-dsps.pl: From Mike Wittman, perl script to
	  help remain project files for dumb VisualStudio 6.0 limitations.

2006-09-07 03:41  robert

	* include/osgTerrain/DataSet: From Mike Weiblen, added missing
	  export to fix osgTerrain wrapper linking under VS

2006-09-06 13:11  robert

	* VisualStudio/osgWrappers/osgTerrain/wrapper_osgTerrain.dsp:
	  Updated osgTerrain wrapper project file with gdal dependencies.

2006-09-06 07:10  robert

	* NEWS.txt: Tweak to NEWS

2006-09-06 06:53  robert

	* src/osgPlugins/ive/DataOutputStream.h: Made get methods const

2006-09-06 02:46  robert

	* src/osgPlugins/OpenFlight/PrimaryRecords.cpp: From Brede
	  Johansen, "The previous submission didn't handle Objects with
	  transforms.  The attached file corrects this.

	  I also removed the multitexture macro for the Object record.
	  Only Face and Mesh records are valid targets."

2006-09-05 13:18  robert

	* Xcode/OpenSceneGraph/OpenSceneGraph.xcodeproj/project.pbxproj:
	  From Eric Wing, updates to Xcode projects

2006-09-05 10:15  robert

	* NEWS.txt: Removed reference to Sony in COLLADA news entry.

2006-09-05 08:22  robert

	* AUTHORS.txt, NEWS.txt, applications/osgversion/osgversion.cpp:
	  Updated NEWS, AUTHORS file and osgversion for the 1.2-rc1

2006-09-05 08:09  robert

	* ChangeLog: Updated ChangeLog

2006-09-05 02:51  robert

	* include/osgIntrospection/ReflectionMacros,
	  src/osgPlugins/dae/README.txt,
	  src/osgPlugins/dae/daeWGeometry.cpp,
	  src/osgPlugins/dae/daeWMaterials.cpp,
	  src/osgPlugins/dae/daeWriter.cpp: From Mike Weiblen, build fixes
	  for Windows.

2006-09-05 02:13  robert

	* applications/osgdem/osgdem.cpp: Updated to compile against
	  changes to osgTerrain

2006-09-05 01:56  robert

	* src/osgWrappers/osgTerrain/DataSet.cpp: Updated wrappers

2006-09-05 01:46  robert

	* Make/makedefs: From Paul Martz, warning fixes for Cygwin.

2006-09-05 01:44  robert

	* src/osgPlugins/OpenFlight/: Document.cpp, Document.h,
	  PrimaryRecords.cpp, ReaderWriterFLT.cpp: From Brede Johansen, "I
	  have added an optimization to the OpenFlight plugin.	By default
	  it ignores the Object records if it's safe to do so.	The reader
	  option preserveObject prevents this optimization.

	  I have also removed the flat shading attribute set by the Object
	  record.  This flag is only intended for the "Calculate Shading"
	  operation in Creator."

2006-09-04 13:43  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: Added
	  support for imagery and DEM's that wrap around the dateline, this
	  required two passes over the copying of imagery and DEM's to the
	  destination graphs, once for the original position, and once for
	  the wrap around 360 degrees on or before.

	  Also fixed the GeospationExtents constructor that was setting the
	  _max to DBL_MIN rather than -DBL_MAX.  This bug causesd the y
	  axis to be computed incorrectly.

2006-09-04 06:35  robert

	* include/osgUtil/RenderStage: Missing part of Farshid Laskari's
	  submission relating to CameraNode RenderOrder.

2006-09-04 06:22  robert

	* src/osgWrappers/: osg/CameraNode.cpp, osg/TexMat.cpp,
	  osgTerrain/DataSet.cpp, osgUtil/RenderStage.cpp: Updated wrappers

2006-09-04 06:15  robert

	* include/osg/CameraNode, src/osg/CameraNode.cpp,
	  src/osgUtil/CullVisitor.cpp, src/osgUtil/RenderStage.cpp: From
	  Farshid Lashkari,

	  "I've made some changes to osg which I think make it easier to
	  control the render order of CameraNode's. Instead of using the
	  built-in orders (PRE_RENDER, POST_RENDER, NESTED_RENDER), you can
	  specify an integer order. Values less than zero are pre rendered
	  in order. Values greater than zero are post rendered in order.
	  And a value of 0 is equivalent to NESTED_RENDER.

	  The changes should be fully backward compatible. Also, I changed
	  the RenderStageList type from a vector to a list because I needed
	  to be able to insert values anywhere in the list.

	  The reason I made these changes was because I wanted to be able
	  to set the render order of a CameraNode at runtime without having
	  to reorder it in the scenegraph."

	  and later in the final submission message (relating to what has
	  been finally been merged)    :

	  "I've rethought my implementation and came up with something a
	  little better. The setRenderOrder will continue to take an enum,
	  but will have an optional orderNum parameter which can be both
	  positive and negative. I think this method is more intuitive and
	  flexible."

2006-09-04 05:52  robert

	* examples/osgtexturerectangle/osgtexturerectangle.cpp: Cleaned up
	  the texture setup code.

2006-09-04 05:46  robert

	* include/osg/TexMat,
	  examples/osgtexturerectangle/osgtexturerectangle.cpp,
	  src/osg/TexMat.cpp, src/osgPlugins/ive/IveVersion.h,
	  src/osgPlugins/ive/TexMat.cpp, src/osgPlugins/osg/TexMat.cpp:
	  Added osg::TexMat::s/getScaleByTextureRectangleSize feature that
	  allows one to use the osg::TexMat to automatically scale non
	  dimensional tex coordinats to the size of the last texture
	  rectangle applied.

2006-09-03 23:51  robert

	* src/osgPlugins/scale/ReaderWriterSCALE.cpp: From Farshid
	  Lashkari, removed debug message being written to the console.

2006-09-03 23:47  robert

	* examples/osgintrospection/osgintrospection.cpp: Removed typedef
	  TypeList from osgintrospection

2006-09-02 07:27  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp: Added setting of
	  position.w to 1.0 and removed zscale hack.

2006-09-01 06:34  robert

	* src/osgWrappers/: osg/AlphaFunc.cpp, osg/AnimationPath.cpp,
	  osg/ApplicationUsage.cpp, osg/ArgumentParser.cpp, osg/Array.cpp,
	  osg/AutoTransform.cpp, osg/Billboard.cpp, osg/BlendColor.cpp,
	  osg/BlendEquation.cpp, osg/BlendFunc.cpp, osg/BoundingBox.cpp,
	  osg/BoundingSphere.cpp, osg/BufferObject.cpp, osg/CameraNode.cpp,
	  osg/CameraView.cpp, osg/ClampColor.cpp, osg/ClearNode.cpp,
	  osg/ClipNode.cpp, osg/ClipPlane.cpp,
	  osg/ClusterCullingCallback.cpp, osg/CollectOccludersVisitor.cpp,
	  osg/ColorMask.cpp, osg/ColorMatrix.cpp,
	  osg/ConvexPlanarOccluder.cpp, osg/ConvexPlanarPolygon.cpp,
	  osg/CoordinateSystemNode.cpp, osg/CopyOp.cpp, osg/CullFace.cpp,
	  osg/CullSettings.cpp, osg/CullStack.cpp, osg/CullingSet.cpp,
	  osg/Depth.cpp, osg/DisplaySettings.cpp, osg/DrawPixels.cpp,
	  osg/Drawable.cpp, osg/Endian.cpp, osg/Fog.cpp,
	  osg/FragmentProgram.cpp, osg/FrameBufferObject.cpp,
	  osg/FrameStamp.cpp, osg/FrontFace.cpp, osg/GL2Extensions.cpp,
	  osg/Geode.cpp, osg/Geometry.cpp, osg/GraphicsContext.cpp,
	  osg/GraphicsThread.cpp, osg/Group.cpp, osg/Image.cpp,
	  osg/ImageStream.cpp, osg/LOD.cpp, osg/Light.cpp,
	  osg/LightModel.cpp, osg/LightSource.cpp, osg/LineSegment.cpp,
	  osg/LineStipple.cpp, osg/LineWidth.cpp, osg/LogicOp.cpp,
	  osg/Material.cpp, osg/Matrix.cpp, osg/MatrixTransform.cpp,
	  osg/Matrixd.cpp, osg/Matrixf.cpp, osg/Multisample.cpp,
	  osg/Node.cpp, osg/NodeCallback.cpp, osg/NodeTrackerCallback.cpp,
	  osg/NodeVisitor.cpp, osg/Notify.cpp, osg/Object.cpp,
	  osg/OccluderNode.cpp, osg/PagedLOD.cpp, osg/Plane.cpp,
	  osg/Point.cpp, osg/PointSprite.cpp, osg/PolygonMode.cpp,
	  osg/PolygonOffset.cpp, osg/PolygonStipple.cpp, osg/Polytope.cpp,
	  osg/PositionAttitudeTransform.cpp, osg/PrimitiveSet.cpp,
	  osg/Program.cpp, osg/Projection.cpp, osg/ProxyNode.cpp,
	  osg/Quat.cpp, osg/Referenced.cpp, osg/Scissor.cpp,
	  osg/Sequence.cpp, osg/ShadeModel.cpp, osg/Shader.cpp,
	  osg/ShadowVolumeOccluder.cpp, osg/Shape.cpp,
	  osg/ShapeDrawable.cpp, osg/State.cpp, osg/StateAttribute.cpp,
	  osg/StateSet.cpp, osg/Stencil.cpp, osg/Switch.cpp,
	  osg/TexEnv.cpp, osg/TexEnvCombine.cpp, osg/TexEnvFilter.cpp,
	  osg/TexGen.cpp, osg/TexGenNode.cpp, osg/TexMat.cpp,
	  osg/Texture.cpp, osg/Texture1D.cpp, osg/Texture2D.cpp,
	  osg/Texture3D.cpp, osg/TextureCubeMap.cpp,
	  osg/TextureRectangle.cpp, osg/Timer.cpp, osg/Transform.cpp,
	  osg/Uniform.cpp, osg/Vec2.cpp, osg/Vec2b.cpp, osg/Vec2d.cpp,
	  osg/Vec2f.cpp, osg/Vec2s.cpp, osg/Vec3.cpp, osg/Vec3b.cpp,
	  osg/Vec3d.cpp, osg/Vec3f.cpp, osg/Vec3s.cpp, osg/Vec4.cpp,
	  osg/Vec4b.cpp, osg/Vec4d.cpp, osg/Vec4f.cpp, osg/Vec4s.cpp,
	  osg/Vec4ub.cpp, osg/VertexProgram.cpp, osg/Viewport.cpp,
	  osg/observer_ptr.cpp, osgDB/Archive.cpp, osgDB/DatabasePager.cpp,
	  osgDB/DotOsgWrapper.cpp, osgDB/DynamicLibrary.cpp,
	  osgDB/Field.cpp, osgDB/FieldReader.cpp,
	  osgDB/FieldReaderIterator.cpp, osgDB/FileUtils.cpp,
	  osgDB/ImageOptions.cpp, osgDB/Input.cpp, osgDB/Output.cpp,
	  osgDB/ParameterOutput.cpp, osgDB/ReaderWriter.cpp,
	  osgDB/ReentrantMutex.cpp, osgDB/Registry.cpp,
	  osgDB/SharedStateManager.cpp, osgFX/AnisotropicLighting.cpp,
	  osgFX/BumpMapping.cpp, osgFX/Cartoon.cpp, osgFX/Effect.cpp,
	  osgFX/MultiTextureControl.cpp, osgFX/Registry.cpp,
	  osgFX/Scribe.cpp, osgFX/SpecularHighlights.cpp,
	  osgFX/Technique.cpp, osgFX/Validator.cpp,
	  osgGA/AnimationPathManipulator.cpp, osgGA/DriveManipulator.cpp,
	  osgGA/EventQueue.cpp, osgGA/EventVisitor.cpp,
	  osgGA/FlightManipulator.cpp, osgGA/GUIActionAdapter.cpp,
	  osgGA/GUIEventAdapter.cpp, osgGA/GUIEventHandler.cpp,
	  osgGA/GUIEventHandlerVisitor.cpp,
	  osgGA/KeySwitchMatrixManipulator.cpp,
	  osgGA/MatrixManipulator.cpp, osgGA/NodeTrackerManipulator.cpp,
	  osgGA/SetSceneViewVisitor.cpp, osgGA/StateSetManipulator.cpp,
	  osgGA/TerrainManipulator.cpp, osgGA/TrackballManipulator.cpp,
	  osgGA/UFOManipulator.cpp, osgParticle/AccelOperator.cpp,
	  osgParticle/AngularAccelOperator.cpp, osgParticle/BoxPlacer.cpp,
	  osgParticle/CenteredPlacer.cpp,
	  osgParticle/ConnectedParticleSystem.cpp,
	  osgParticle/ConstantRateCounter.cpp, osgParticle/Counter.cpp,
	  osgParticle/Emitter.cpp, osgParticle/ExplosionDebrisEffect.cpp,
	  osgParticle/ExplosionEffect.cpp, osgParticle/FireEffect.cpp,
	  osgParticle/FluidFrictionOperator.cpp,
	  osgParticle/FluidProgram.cpp, osgParticle/ForceOperator.cpp,
	  osgParticle/Interpolator.cpp, osgParticle/LinearInterpolator.cpp,
	  osgParticle/ModularEmitter.cpp, osgParticle/ModularProgram.cpp,
	  osgParticle/MultiSegmentPlacer.cpp, osgParticle/Operator.cpp,
	  osgParticle/Particle.cpp, osgParticle/ParticleEffect.cpp,
	  osgParticle/ParticleProcessor.cpp,
	  osgParticle/ParticleSystem.cpp,
	  osgParticle/ParticleSystemUpdater.cpp, osgParticle/Placer.cpp,
	  osgParticle/PointPlacer.cpp, osgParticle/PrecipitationEffect.cpp,
	  osgParticle/Program.cpp, osgParticle/RadialShooter.cpp,
	  osgParticle/RandomRateCounter.cpp, osgParticle/SectorPlacer.cpp,
	  osgParticle/SegmentPlacer.cpp, osgParticle/Shooter.cpp,
	  osgParticle/SmokeEffect.cpp, osgParticle/SmokeTrailEffect.cpp,
	  osgParticle/VariableRateCounter.cpp, osgParticle/range.cpp,
	  osgProducer/Export.cpp,
	  osgProducer/GraphicsContextImplementation.cpp,
	  osgProducer/KeyboardMouseCallback.cpp,
	  osgProducer/OsgCameraGroup.cpp, osgProducer/OsgSceneHandler.cpp,
	  osgProducer/Viewer.cpp, osgProducer/ViewerEventHandler.cpp,
	  osgSim/BlinkSequence.cpp, osgSim/ColorRange.cpp,
	  osgSim/DOFTransform.cpp, osgSim/GeographicLocation.cpp,
	  osgSim/Impostor.cpp, osgSim/ImpostorSprite.cpp,
	  osgSim/InsertImpostorsVisitor.cpp, osgSim/LightPoint.cpp,
	  osgSim/LightPointNode.cpp, osgSim/LightPointSystem.cpp,
	  osgSim/MultiSwitch.cpp, osgSim/OpenFlightOptimizer.cpp,
	  osgSim/OverlayNode.cpp, osgSim/ScalarBar.cpp,
	  osgSim/ScalarsToColors.cpp, osgSim/Sector.cpp,
	  osgSim/SphereSegment.cpp, osgSim/VisibilityGroup.cpp,
	  osgTerrain/DataSet.cpp, osgTerrain/HeightFieldNode.cpp,
	  osgTerrain/HeightFieldRenderer.cpp, osgText/Export.cpp,
	  osgText/Font.cpp, osgText/String.cpp, osgText/Text.cpp,
	  osgUtil/CubeMapGenerator.cpp, osgUtil/CullVisitor.cpp,
	  osgUtil/DelaunayTriangulator.cpp,
	  osgUtil/DisplayRequirementsVisitor.cpp,
	  osgUtil/GLObjectsVisitor.cpp, osgUtil/HalfWayMapGenerator.cpp,
	  osgUtil/HighlightMapGenerator.cpp, osgUtil/IntersectVisitor.cpp,
	  osgUtil/Optimizer.cpp, osgUtil/PositionalStateContainer.cpp,
	  osgUtil/ReflectionMapGenerator.cpp, osgUtil/RenderBin.cpp,
	  osgUtil/RenderLeaf.cpp, osgUtil/RenderStage.cpp,
	  osgUtil/SceneView.cpp, osgUtil/Simplifier.cpp,
	  osgUtil/SmoothingVisitor.cpp, osgUtil/StateGraph.cpp,
	  osgUtil/Statistics.cpp, osgUtil/TangentSpaceGenerator.cpp,
	  osgUtil/Tesselator.cpp, osgUtil/TransformAttributeFunctor.cpp,
	  osgUtil/TransformCallback.cpp, osgUtil/TriStripVisitor.cpp,
	  osgUtil/UpdateVisitor.cpp: Updated wrappers

2006-09-01 06:22  robert

	* src/osgIntrospection/DefaultReflectors.cpp: From David Callu, add
	  reflection of std::wstring in the DefaultReflector

2006-09-01 05:52  robert

	* VisualStudio/osgIntrospection/osgIntrospection.dsp,
	  include/osgIntrospection/PublicMemberAccessor,
	  include/osgIntrospection/ReaderWriter,
	  include/osgIntrospection/ReflectionMacros,
	  include/osgIntrospection/Reflector,
	  include/osgIntrospection/Type, include/osgIntrospection/Value,
	  src/osgIntrospection/DefaultReflectors.cpp,
	  src/osgIntrospection/Type.cpp, src/osgIntrospection/Value.cpp:
	  From David Callu, "bug fix to reflect the wchar_t in Value and
	  Value.cpp I add the toWString() function.  in Type and Type.cpp I
	  just add two function to get a map of propertyList and a map of
	  methodList i need this map in my editor a i think it's could be
	  util to put this functionnality in osgIntrospection,

2006-09-01 05:46  robert

	* include/osgText/String, src/osgText/String.cpp: Removed the
	  String inhertiance from osg::Referenced.

2006-08-31 13:55  robert

	* include/osg/Version: Updated Version number for 1.2 release

2006-08-31 13:54  robert

	* src/: osgDB/Version.cpp, osgGA/Version.cpp,
	  osgParticle/Version.cpp, osgProducer/Version.cpp,
	  osgSim/Version.cpp, osgTerrain/Version.cpp, osgText/Version.cpp,
	  osg/Version.cpp, osgUtil/Version.cpp: Updated version numbers of
	  the up comming 1.2 release

2006-08-31 13:48  robert

	* src/osg/GLExtensions.cpp: From Eric Wing, "Attached is a change
	  for GLExtensions.cpp that allows OS X to use dlopen/dlsym instead
	  of NS*Symbol* functions for 10.3 or later. The latter is now
	  deprecated.

	  I'm not completely sure how to test the changes. But I compiled
	  these new changes in and ran the osgvertexprogram and osgshaders
	  examples and they seemed to display the same results as before.

	  With respect to the use of dlopen and dlsym, I was uncertain if
	  the usage should look like Sun or FreeBSD (or something else).
	  Apple's man pages discourage the use of RTLD_DEFAULT so I avoided
	  the FreeBSD implementation and copied the Sun implementation. I'm
	  not sure if this is correct/ideal or not."

2006-08-31 13:26  robert

	* NEWS.txt: Updated NEWS for 1.2 release and added COLLADA plugin

2006-08-31 08:47  robert

	* src/osgProducer/OsgCameraGroup.cpp: Fixed typo on
	  OSG_PROCESSOR_AFFINITY env var.

2006-08-31 08:39  robert

	* src/osgUtil/Optimizer.cpp: Fixed TextureAtlasVisitor bug where
	  repeating textures were incorrectly assigned as non repeating.

2006-08-31 06:53  robert

	* src/osgPlugins/ive/ProxyNode.cpp: Changed the external file
	  writing to use the DatabasePathList for its path rather than the
	  original files path.

2006-08-31 03:37  robert

	* src/osgWrappers/osg/CameraNode.cpp: Updated wrappers

2006-08-31 03:10  robert

	* include/osg/CameraNode: Made the inheritance of osg::Object in
	  the DrawCallback to be virtual.

2006-08-31 03:08  robert

	* src/osgUtil/SceneView.cpp: Added support for CameraNode's
	  PostDrawCallback.

2006-08-30 12:33  robert

	* NEWS.txt: Added GPU stats to NEWS list

2006-08-30 12:21  robert

	* NEWS.txt: Updated NEWS for rc2

2006-08-30 09:33  robert

	* src/osgUtil/Optimizer.cpp: To TextureAtlasBuilder add copying of
	  border pixels into margins to help improve quality of lower
	  mipmap levels.

2006-08-30 06:48  robert

	* VisualStudio/: applications/osgarchive/osgarchive.dsp,
	  applications/osgconv/osgconv.dsp, applications/osgdem/osgdem.dsp,
	  applications/osgversion/osgversion.dsp,
	  applications/osgviewer/osgviewer.dsp,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  examples/osganimate/osganimate.dsp,
	  examples/osgautotransform/osgautotransform.dsp,
	  examples/osgbillboard/osgbillboard.dsp,
	  examples/osgblendequation/osgblendequation.dsp,
	  examples/osgbluemarble/osgbluemarble.dsp,
	  examples/osgcallback/osgcallback.dsp,
	  examples/osgcamera/osgcamera.dsp,
	  examples/osgcameragroup/osgcameragroup.dsp,
	  examples/osgcatch/osgcatch.dsp, examples/osgclip/osgclip.dsp,
	  examples/osgcluster/osgcluster.dsp, examples/osgcopy/osgcopy.dsp,
	  examples/osgcubemap/osgcubemap.dsp,
	  examples/osgdelaunay/osgdelaunay.dsp,
	  examples/osgdepthpartition/osgdepthpartition.dsp,
	  examples/osgdepthshadow/osgdepthshadow.dsp,
	  examples/osgdistortion/osgdistortion.dsp,
	  examples/osgforest/osgforest.dsp,
	  examples/osggeodemo/osggeodemo.dsp,
	  examples/osggeometry/osggeometry.dsp,
	  examples/osghangglide/osghangglide.dsp,
	  examples/osghud/osghud.dsp, examples/osgimpostor/osgimpostor.dsp,
	  examples/osgintrospection/example_osgintrospection.dsp,
	  examples/osgkeyboard/osgkeyboard.dsp,
	  examples/osgkeyboardmouse/osgkeyboardmouse.dsp,
	  examples/osglauncher/osglauncher.dsp,
	  examples/osglight/osglight.dsp,
	  examples/osglightpoint/osglightpoint.dsp,
	  examples/osglogicop/osglogicop.dsp, examples/osglogo/osglogo.dsp,
	  examples/osgmotionblur/osgmotionblur.dsp,
	  examples/osgmovie/osgmovie.dsp,
	  examples/osgmultiplecameras/osgmultiplecameras.dsp,
	  examples/osgmultitexture/osgmultitexture.dsp,
	  examples/osgoccluder/osgoccluder.dsp,
	  examples/osgpagedlod/osgpagedlod.dsp,
	  examples/osgparametric/osgparametric.dsp,
	  examples/osgparticle/osgparticledemo.dsp,
	  examples/osgparticleeffects/osgparticleeffects.dsp,
	  examples/osgphotoalbum/osgphotoalbum.dsp,
	  examples/osgpick/osgpick.dsp, examples/osgplanets/osgplanets.dsp,
	  examples/osgpoints/osgpoints.dsp,
	  examples/osgpointsprite/osgpointsprite.dsp,
	  examples/osgprecipitation/osgprecipitation.dsp,
	  examples/osgprerender/osgprerender.dsp,
	  examples/osgprerendercubemap/osgprerendercubemap.dsp,
	  examples/osgreflect/osgreflect.dsp,
	  examples/osgscalarbar/osgscalarbar.dsp,
	  examples/osgscribe/osgscribe.dsp,
	  examples/osgsequence/osgsequence.dsp,
	  examples/osgshaders/osgshaders.dsp,
	  examples/osgshaderterrain/osgshaderterrain.dsp,
	  examples/osgshadowtexture/osgshadowtexture.dsp,
	  examples/osgshape/osgshape.dsp, examples/osgsimple/osgsimple.dsp,
	  examples/osgsimplepager/osgsimplepager.dsp,
	  examples/osgsimplifier/osgsimplifier.dsp,
	  examples/osgsimulation/osgsimulation.dsp,
	  examples/osgslice/osgslice.dsp,
	  examples/osgspacewarp/osgspacewarp.dsp,
	  examples/osgspheresegment/osgspheresegment.dsp,
	  examples/osgspotlight/osgspotlight.dsp,
	  examples/osgstereoimage/osgstereoimage.dsp,
	  examples/osgteapot/osgteapot.dsp,
	  examples/osgtesselate/osgtesselate.dsp,
	  examples/osgtext/osgtextdemo.dsp,
	  examples/osgtexture1D/osgtexture1D.dsp,
	  examples/osgtexture2D/osgtexture2D.dsp,
	  examples/osgtexture3D/osgtexture3D.dsp,
	  examples/osgtexturerectangle/osgtexturerectangle.dsp,
	  examples/osgunittests/osgunittests.dsp,
	  examples/osgvertexprogram/osgvertexprogram.dsp,
	  examples/osgvolume/osgvolume.dsp,
	  examples/osgwindows/osgwindows.dsp, osg/osg.dsp, osgDB/osgDB.dsp,
	  osgFX/osgFX.dsp, osgGA/osgGA.dsp,
	  osgIntrospection/osgIntrospection.dsp,
	  osgParticle/osgParticle.dsp, osgPlugins/3dc/3dc.dsp,
	  osgPlugins/ESRIShape/ESRIShape.dsp,
	  osgPlugins/OpenFlight/OpenFlight.dsp, osgPlugins/ac3d/ac3d.dsp,
	  osgPlugins/bmp/bmp.dsp, osgPlugins/bsp/bsp.dsp,
	  osgPlugins/dae/dae.dsp, osgPlugins/dds/dds.dsp,
	  osgPlugins/directx/directx.dsp, osgPlugins/dw/dw.dsp,
	  osgPlugins/dxf/dxf.dsp, osgPlugins/flt/flt.dsp,
	  osgPlugins/freetype/freetype.dsp, osgPlugins/gdal/gdal.dsp,
	  osgPlugins/geo/geo.dsp, osgPlugins/gif/gif.dsp,
	  osgPlugins/hdr/hdr.dsp, osgPlugins/ive/ive.dsp,
	  osgPlugins/jp2/jp2.dsp, osgPlugins/jpeg/jpeg.dsp,
	  osgPlugins/lib3ds/lib3ds.dsp, osgPlugins/logo/logo.dsp,
	  osgPlugins/lwo/lwo.dsp, osgPlugins/lws/lws.dsp,
	  osgPlugins/md2/md2.dsp, osgPlugins/net/net.dsp,
	  osgPlugins/normals/normals.dsp, osgPlugins/obj/obj.dsp,
	  osgPlugins/osg/dot_osg.dsp, osgPlugins/osgFX/dot_osgFX.dsp,
	  osgPlugins/osgParticle/dot_osgParticle.dsp,
	  osgPlugins/osgSim/dot_osgSim.dsp,
	  osgPlugins/osgText/dot_osgText.dsp, osgPlugins/osga/osga.dsp,
	  osgPlugins/osgtgz/osgtgz.dsp, osgPlugins/pfb/pfb.dsp,
	  osgPlugins/pic/pic.dsp, osgPlugins/png/png.dsp,
	  osgPlugins/pnm/pnm.dsp, osgPlugins/rgb/rgb.dsp,
	  osgPlugins/rot/rot.dsp, osgPlugins/scale/scale.dsp,
	  osgPlugins/stl/stl.dsp, osgPlugins/tga/tga.dsp,
	  osgPlugins/tgz/tgz.dsp, osgPlugins/tiff/tiff.dsp,
	  osgPlugins/trans/trans.dsp, osgPlugins/txp/txp.dsp,
	  osgPlugins/zip/zip.dsp, osgProducer/osgProducer.dsp,
	  osgSim/osgSim.dsp, osgTerrain/osgTerrain.dsp,
	  osgText/osgText.dsp, osgUtil/osgUtil.dsp,
	  osgWrappers/osg/wrapper_osg.dsp,
	  osgWrappers/osgDB/wrapper_osgDB.dsp,
	  osgWrappers/osgFX/wrapper_osgFX.dsp,
	  osgWrappers/osgGA/wrapper_osgGA.dsp,
	  osgWrappers/osgParticle/wrapper_osgParticle.dsp,
	  osgWrappers/osgProducer/wrapper_osgProducer.dsp,
	  osgWrappers/osgSim/wrapper_osgSim.dsp,
	  osgWrappers/osgTerrain/wrapper_osgTerrain.dsp,
	  osgWrappers/osgText/wrapper_osgText.dsp,
	  osgWrappers/osgUtil/wrapper_osgUtil.dsp: From Mike Wittman,
	  changed release build options to reduce binary bloat.

2006-08-30 02:32  robert

	* src/osgUtil/Optimizer.cpp: In TextureAtlasVisitor code added
	  catch for textures that have some geometry with texcoords within
	  0 to 1.0, but others others out of the 0 to 1 range, these
	  textures are automatically rejected from consideration for adding
	  to a texture atlas.

2006-08-29 08:05  robert

	* src/osgUtil/Optimizer.cpp: To the TextureAtlasBuilder added
	  detection of instance where a single drawable has multiple
	  textures on the same texture unit inherited down to it from
	  above.

2006-08-29 05:31  robert

	* src/osgWrappers/: osgText/Font.cpp, osgUtil/Statistics.cpp:
	  Updated wrappers

2006-08-29 04:25  robert

	* src/osgProducer/ViewerEventHandler.cpp: Added GPU stats

2006-08-28 23:58  robert

	* include/osg/TexMat: Added TexMat(Matrix) constructor.

2006-08-28 17:10  don

	* src/osgUtil/DelaunayTriangulator.cpp: Fixed a crash in
	  removeInternalTriangles() for models without normals.

2006-08-28 12:37  robert

	* include/osgText/Font, src/osgText/Font.cpp, src/osgText/Text.cpp:
	  Added TexEnv object into Font and apply this in
	  Text::drawImplementation to make sure that a valid TexEnv is
	  applied

2006-08-28 12:07  robert

	* src/osgPlugins/ac3d/ac3d.cpp: From Roger James, improved mapping
	  of AC3D lighting model to OSG

2006-08-28 12:06  robert

	* include/osgUtil/Statistics: Added support for logging StateSet
	  usage in StatsVisitor.

2006-08-28 12:05  robert

	* src/osgUtil/Optimizer.cpp: Added env var docs

2006-08-28 12:01  robert

	* include/osgUtil/Tesselator, src/osgUtil/Tesselator.cpp: From
	  Roger James, "I have been going through my modified osg files and
	  came across this fix to the Tesselator. From memory it handles a
	  problem with per primitive normal binding. I must have forgotten
	  to submit it."

2006-08-28 08:46  robert

	* include/osgUtil/Optimizer, src/osgUtil/Optimizer.cpp: Futher work
	  on TextureAtlasBuilder/Visitor, now functioning enough to deploy
	  on real models.

2006-08-28 03:49  robert

	* src/osgWrappers/: osg/TexMat.cpp, osgUtil/Optimizer.cpp: Updated
	  wrappers

2006-08-28 03:46  robert

	* include/osgUtil/Optimizer, src/osgUtil/Optimizer.cpp: Further
	  work on TextureAlasBuilder and TextureAtlasVisitor.

2006-08-26 14:38  robert

	* src/osgUtil/Optimizer.cpp: Further work of TextureAtlasBuilder

2006-08-25 09:31  robert

	* src/osgWrappers/: osg/Image.cpp, osg/Texture.cpp,
	  osgUtil/Optimizer.cpp: Updated wrappers

2006-08-25 09:30  robert

	* include/osgUtil/Optimizer, src/osgUtil/Optimizer.cpp: Further
	  work on new TextureAtlasBuilder.

2006-08-25 08:53  robert

	* include/osgUtil/Optimizer, src/osgUtil/Optimizer.cpp: Checking in
	  first cut of new osgUtil::Optimizer::TextureAtlasBuilder class
	  for building texture atlas for sets of images or textures.

2006-08-25 08:49  robert

	* include/osg/Image, src/osg/Image.cpp: Added missing setDataType
	  and setPacking functions

2006-08-25 07:54  robert

	* include/osg/Texture: Added const version of getReadPBuffer()

2006-08-25 07:53  robert

	* include/osg/Texture: Fixed const correctness of get shadow
	  functions

2006-08-25 02:03  robert

	* src/osgWrappers/osg/BufferObject.cpp: Updated wrappers

2006-08-25 01:48  robert

	* include/osg/BufferObject, src/osg/BufferObject.cpp,
	  src/osg/Texture.cpp, src/osg/TextureRectangle.cpp: From Farshid
	  Lashkari, "I was experiencing hard crashes of my application when
	  using PBO's on machines that don't support PBO's. I think osg
	  incorrectly checks if PBO's are supported.

	  I added a new method to the BufferObject::Extensions class which
	  returns if the "GL_ARB_pixel_buffer_object" string is supported.
	  This fixes the problem on my end. Machines without PBO support
	  will continue to work and machines with PBO support will still be
	  able to use it."

2006-08-25 01:42  robert

	* Xcode/OpenSceneGraph/OpenSceneGraph.xcodeproj/project.pbxproj:
	  From Eric Wing, updates to Xcode project

2006-08-24 13:16  robert

	* include/osg/Math: From David Guthrie, "I know there are 50,000
	  changes to osg/Math for OSX a day, but I think it can be
	  simplified quite a bit.  The old code includes <cmath> for
	  pre-10.2 and anything using something other than g++ 4 and then
	  uses std::isnan.  For the most current version, it leaves out
	  cmath and uses isnan().  std::isnan and cmath work for the
	  current version, so I just made it include cmath if __APPLE__ is
	  defined and removed the ifdef between versions of OS X for isnan
	  related things.

	  This way the code is all the same, and it's not fragile to
	  someone including <cmath> prior to including osg/Math."

2006-08-24 13:15  robert

	* include/osg/Endian: Simplified swap bytes code to make it more
	  efficient.

2006-08-24 09:33  robert

	* src/osg/Image.cpp: Add error message report to catch attempts to
	  flip mipmap images.

2006-08-24 06:16  robert

	* Make/makedirdefs: Fixed COLLDADA plugin name and remove osgmove
	  example

2006-08-23 08:25  robert

	* src/osgPlugins/dds/ReaderWriterDDS.cpp: From Sebastien Grignard,
	  fix to writing of dds files, write the source data directly
	  rather using a series of memcpy.

2006-08-23 08:11  robert

	* src/osgPlugins/dae/README.txt: From Jeremy Moles, fixed typos

2006-08-23 07:17  robert

	* include/osg/Math: From Daniel Larimer, fix for OSX 10.4 when gcc
	  != 4

2006-08-23 06:32  robert

	* Make/dependencies, Make/makedirdefs,
	  VisualStudio/osgPlugins/dae/dae.dsp,
	  src/osgPlugins/dae/GNUmakefile, src/osgPlugins/dae/README.txt,
	  src/osgPlugins/dae/ReaderWriterDAE.cpp,
	  src/osgPlugins/dae/daeRGeometry.cpp,
	  src/osgPlugins/dae/daeRMaterials.cpp,
	  src/osgPlugins/dae/daeRSceneObjects.cpp,
	  src/osgPlugins/dae/daeRTransforms.cpp,
	  src/osgPlugins/dae/daeReader.cpp, src/osgPlugins/dae/daeReader.h,
	  src/osgPlugins/dae/daeUtils.h,
	  src/osgPlugins/dae/daeWGeometry.cpp,
	  src/osgPlugins/dae/daeWMaterials.cpp,
	  src/osgPlugins/dae/daeWSceneObjects.cpp,
	  src/osgPlugins/dae/daeWTransforms.cpp,
	  src/osgPlugins/dae/daeWriter.cpp, src/osgPlugins/dae/daeWriter.h,
	  src/osgPlugins/dae/domSourceReader.cpp,
	  src/osgPlugins/dae/domSourceReader.h,
	  src/osgPlugins/dae/scea_shared_source_license.html: From Andrew
	  Lorino and Mike Weiblen, COLLADA 1.4.1 ReaderWriter, kindly
	  developed and donated by Sony Computer Entertainment Inc. US R&D.

2006-08-23 06:18  robert

	* examples/osgunittests/osgunittests.cpp: Added sizeof(short int)

2006-08-23 06:16  robert

	* examples/osglogo/osglogo.cpp: Tweaks to osglogo to allow you to
	  export alpha blended screenshots

2006-08-22 12:10  don

	* src/osgPlugins/ESRIShape/ESRIShapeParser.cpp: Added
	  osgUtil::Tesselator for SHapeType Polygon to handle concave
	  polygons.

2006-08-22 06:07  robert

	* src/osgPlugins/OpenFlight/: Document.h, ReaderWriterFLT.cpp: From
	  Vaclav Bilek, "The purpose of this change is to suppress
	  "re-reading" of osg::ProxyNodes ( in OF external references)
	  after the OF file is loaded. The change do conditional execution
	  of already existing code.

	  I use this for optimized preprocessing of large databases what
	  can not be loaded in one pass because of memory limits."

2006-08-22 05:49  robert

	* VisualStudio/osgShell.bat: From Gary Quinn, updated to take
	  account of new bin directory structure.

2006-08-22 05:46  robert

	* VisualStudio/collect_mangled_names.js: From Joran Jessurun,
	  updated to look for lib/win32.

2006-08-22 05:33  robert

	* src/osgText/Text.cpp: Changed the default implementation of
	  backdrop text to DEPTH_RANGE and tweaked the depth range values
	  to minimize the depth rage witout causing z fighting on osgtext
	  example.

2006-08-22 03:23  robert

	* include/osgText/Text, src/osgText/Text.cpp: From Eric Wing, fix
	  for compute of the bounding box when handling outline/backdrop
	  text.

2006-08-21 14:09  robert

	* src/osgDB/FileUtils.cpp: From Eric Wing, compile fix for OSX

2006-08-21 14:00  robert

	* Xcode/OpenSceneGraph/OpenSceneGraph.xcodeproj/project.pbxproj:
	  From Eric Wing, updates to Xcode projects

2006-08-21 13:29  robert

	* include/osgGA/EventQueue: Added comments on the meaning of button
	  value

2006-08-21 08:07  robert

	* src/osgPlugins/lib3ds/: ReaderWriter3DS.cpp, chunk.cpp, mesh.cpp,
	  readwrite.cpp, readwrite.h, types.h: Fixed 64 bit support

2006-08-14 12:42  robert

	* include/osg/Texture, src/osg/Texture.cpp, src/osg/Texture1D.cpp,
	  src/osg/Texture2D.cpp, src/osg/Texture3D.cpp,
	  src/osg/TextureCubeMap.cpp, src/osg/TextureRectangle.cpp: Fixed
	  texture optimization problem associated with mixing already
	  compiled scene graphs - resulting in incorrect texture
	  assignment.  Solution was to a compareTextureObjects() test to
	  the Texture*::compare(..) method that the
	  osgUtil::Optimizer::StateSetVisitor uses to determine uniqueness.

2006-08-14 04:03  robert

	* src/osgPlugins/txp/: trpage_header.cpp, trpage_io.h,
	  trpage_label.cpp, trpage_light.cpp, trpage_managers.cpp,
	  trpage_managers.h, trpage_material.cpp, trpage_pparse.cpp,
	  trpage_readbuf.cpp, trpage_scene.cpp, trpage_warchive.cpp,
	  trpage_write.h, trpage_writebuf.cpp: Ran dos2unix to fix
	  inconsistent line endings

2006-08-14 00:59  robert

	* src/osgPlugins/OpenFlight/PrimaryRecords.cpp: From Paul Martz,
	  "The gist of this change is, if the OpenFlight version of the
	  parent file is so old that it doesn't support Light Point
	  palettes or Shader palettes, then the parent file is not allowed
	  to override those palettes in the child."

2006-08-13 13:12  robert

	* ChangeLog: Updated ChangeLog for 1.1.1 release

2006-08-13 01:40  robert

	* AUTHORS.txt, ChangeLog, NEWS.txt,
	  applications/osgversion/osgversion.cpp: Updated ChangeLog, NEWS,
	  osgversion and AUTHORS.txt for 1.1.1 release

2006-08-13 01:24  robert

	* src/osgPlugins/obj/ReaderWriterOBJ.cpp: Changed the texture wrap
	  mode to repeat

2006-08-13 00:37  robert

	* src/: osgParticle/PrecipitationEffect.cpp,
	  osgPlugins/OpenFlight/Pools.h, osgSim/OpenFlightOptimizer.cpp:
	  From Chuck Sembroski, fixes for IRIX

2006-08-12 11:19  robert

	* src/: osg/CullStack.cpp, osgUtil/CullVisitor.cpp: Moved reset to
	  0 of _createReuseMatrixIndex from CullVistor.cpp to CullStack.cpp
	  so that CullStack::reset works correctly for all subclasses -
	  fixing a memory consumption issue with occluders

2006-08-12 01:29  robert

	* src/: osg/Version.cpp, osgDB/Version.cpp, osgGA/Version.cpp,
	  osgParticle/Version.cpp, osgProducer/Version.cpp,
	  osgSim/Version.cpp, osgTerrain/Version.cpp, osgText/Version.cpp,
	  osgUtil/Version.cpp: Updated version number for 1.1.1 release

2006-08-12 00:59  robert

	* AUTHORS.txt, ChangeLog, applications/osgversion/osgversion.cpp:
	  Updated ChangelLog and AUTHORS file

2006-08-12 00:43  robert

	* Xcode/OpenSceneGraph/OpenSceneGraph.xcode/project.pbxproj:
	  Removed Xcode 1.x projects

2006-08-11 14:48  robert

	* Xcode/OpenSceneGraph/: osgfbo-Info.plist, osgpbuffer-Info.plist,
	  OpenSceneGraph.xcodeproj/project.pbxproj: From Radu Mihai,
	  removed osgfbo and osgpbuffer projects

2006-08-11 14:39  robert

	* src/osgGA/GUIEventAdapter.cpp: Added osg:: to Referenced() to fix
	  IRIX build.

2006-08-11 12:56  don

	* src/osgPlugins/net/ReaderWriterNET.cpp: removed CRLF and replaced
	  with LF in ReaderWriteNET.cpp

2006-08-11 11:23  robert

	* src/osgWrappers/osgUtil/Optimizer.cpp: Updated wrappers

2006-08-11 11:22  robert

	* src/osgProducer/OsgCameraGroup.cpp: Fixed if (numProcessors>1),
	  was originally >=

2006-08-11 10:39  don

	* src/osgPlugins/net/ReaderWriterNET.cpp: Added comments to support
	  use of Proxy in the .net plugin.

2006-08-11 10:34  don

	* src/osgPlugins/net/ReaderWriterNET.cpp: Submission by Carlo
	  Camporesi - Added Proxy support to .net loader

2006-08-11 09:03  robert

	* include/osgUtil/Optimizer: Fixed value of FLATTEN_BILLBOARDS
	  enum.

2006-08-11 06:06  robert

	* src/osgPlugins/ESRIShape/ESRIShapeReaderWriter.cpp: Added file
	  search path to ESRI reader.

2006-08-11 05:53  robert

	* src/osg/Group.cpp: Fixed bug in Group::setChild relating to the
	  accounting for OccluderNode.

2006-08-11 05:39  robert

	* src/osgProducer/OsgCameraGroup.cpp: Moved the
	  OpenThreads::GetNumberOfProcessors() inside the if
	  (_enableProcessAffinitHint) block to avoid slowing down init of
	  apps that don't require procesor affinity.

2006-08-11 04:05  robert

	* src/: osgProducer/GraphicsContextImplementation.cpp,
	  osgUtil/RenderStage.cpp: Fixed pbuffer usage cross multiple
	  graphics contexts

2006-08-11 04:04  robert

	* NEWS.txt: Updated NEWS for rc1

2006-08-11 02:50  robert

	* AUTHORS.txt, applications/osgversion/osgversion.cpp: Updated
	  AUTHORS file

2006-08-11 02:30  robert

	* ChangeLog, Make/makedirdefs, VisualStudio/OpenSceneGraph.dsw,
	  VisualStudio/examples/osgfbo/osgfbo.dsp,
	  VisualStudio/examples/osgpbuffer/osgpbuffer.dsp,
	  examples/osgfbo/GNUmakefile, examples/osgfbo/GNUmakefile.inst,
	  examples/osgfbo/osgfbo.cpp, examples/osgpbuffer/GNUmakefile,
	  examples/osgpbuffer/GNUmakefile.inst,
	  examples/osgpbuffer/osgpbuffer.cpp: Removed osgfbo and osgpbuffer
	  examples

2006-08-11 02:13  robert

	* NEWS.txt: Updated NEWS

2006-08-10 13:50  robert

	* VisualStudio/reset-64bit-outdirs.pl: From Mike Wittman, perl
	  script to assist W64 support.

2006-08-10 13:30  robert

	* VisualStudio/: MUST_READ_ME.txt,
	  applications/osgarchive/osgarchive.dsp,
	  applications/osgconv/osgconv.dsp, applications/osgdem/osgdem.dsp,
	  applications/osgversion/osgversion.dsp,
	  applications/osgviewer/osgviewer.dsp,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  examples/osganimate/osganimate.dsp,
	  examples/osgautotransform/osgautotransform.dsp,
	  examples/osgbillboard/osgbillboard.dsp,
	  examples/osgblendequation/osgblendequation.dsp,
	  examples/osgbluemarble/osgbluemarble.dsp,
	  examples/osgcallback/osgcallback.dsp,
	  examples/osgcamera/osgcamera.dsp,
	  examples/osgcameragroup/osgcameragroup.dsp,
	  examples/osgcatch/osgcatch.dsp, examples/osgclip/osgclip.dsp,
	  examples/osgcluster/osgcluster.dsp, examples/osgcopy/osgcopy.dsp,
	  examples/osgcubemap/osgcubemap.dsp,
	  examples/osgdelaunay/osgdelaunay.dsp,
	  examples/osgdepthpartition/osgdepthpartition.dsp,
	  examples/osgdepthshadow/osgdepthshadow.dsp,
	  examples/osgdistortion/osgdistortion.dsp,
	  examples/osgfbo/osgfbo.dsp, examples/osgforest/osgforest.dsp,
	  examples/osgfxbrowser/osgfxbrowser.dsp,
	  examples/osggeodemo/osggeodemo.dsp,
	  examples/osggeometry/osggeometry.dsp,
	  examples/osghangglide/osghangglide.dsp,
	  examples/osghud/osghud.dsp, examples/osgimpostor/osgimpostor.dsp,
	  examples/osgintrospection/example_osgintrospection.dsp,
	  examples/osgkeyboard/osgkeyboard.dsp,
	  examples/osgkeyboardmouse/osgkeyboardmouse.dsp,
	  examples/osglauncher/osglauncher.dsp,
	  examples/osglight/osglight.dsp,
	  examples/osglightpoint/osglightpoint.dsp,
	  examples/osglogicop/osglogicop.dsp, examples/osglogo/osglogo.dsp,
	  examples/osgmotionblur/osgmotionblur.dsp,
	  examples/osgmovie/osgmovie.dsp,
	  examples/osgmultiplecameras/osgmultiplecameras.dsp,
	  examples/osgmultitexture/osgmultitexture.dsp,
	  examples/osgoccluder/osgoccluder.dsp,
	  examples/osgpagedlod/osgpagedlod.dsp,
	  examples/osgparametric/osgparametric.dsp,
	  examples/osgparticle/osgparticledemo.dsp,
	  examples/osgparticleeffects/osgparticleeffects.dsp,
	  examples/osgpbuffer/osgpbuffer.dsp,
	  examples/osgphotoalbum/osgphotoalbum.dsp,
	  examples/osgpick/osgpick.dsp, examples/osgplanets/osgplanets.dsp,
	  examples/osgpoints/osgpoints.dsp,
	  examples/osgpointsprite/osgpointsprite.dsp,
	  examples/osgprecipitation/osgprecipitation.dsp,
	  examples/osgprerender/osgprerender.dsp,
	  examples/osgprerendercubemap/osgprerendercubemap.dsp,
	  examples/osgreflect/osgreflect.dsp,
	  examples/osgscalarbar/osgscalarbar.dsp,
	  examples/osgscribe/osgscribe.dsp,
	  examples/osgsequence/osgsequence.dsp,
	  examples/osgshaders/osgshaders.dsp,
	  examples/osgshaderterrain/osgshaderterrain.dsp,
	  examples/osgshadowtexture/osgshadowtexture.dsp,
	  examples/osgshape/osgshape.dsp, examples/osgsimple/osgsimple.dsp,
	  examples/osgsimplepager/osgsimplepager.dsp,
	  examples/osgsimplifier/osgsimplifier.dsp,
	  examples/osgsimulation/osgsimulation.dsp,
	  examples/osgslice/osgslice.dsp,
	  examples/osgspacewarp/osgspacewarp.dsp,
	  examples/osgspheresegment/osgspheresegment.dsp,
	  examples/osgspotlight/osgspotlight.dsp,
	  examples/osgstereoimage/osgstereoimage.dsp,
	  examples/osgteapot/osgteapot.dsp,
	  examples/osgtesselate/osgtesselate.dsp,
	  examples/osgtext/osgtextdemo.dsp,
	  examples/osgtexture1D/osgtexture1D.dsp,
	  examples/osgtexture2D/osgtexture2D.dsp,
	  examples/osgtexture3D/osgtexture3D.dsp,
	  examples/osgtexturerectangle/osgtexturerectangle.dsp,
	  examples/osgunittests/osgunittests.dsp,
	  examples/osgvertexprogram/osgvertexprogram.dsp,
	  examples/osgvolume/osgvolume.dsp,
	  examples/osgwindows/osgwindows.dsp, osg/osg.dsp, osgDB/osgDB.dsp,
	  osgFX/osgFX.dsp, osgGA/osgGA.dsp,
	  osgIntrospection/osgIntrospection.dsp,
	  osgParticle/osgParticle.dsp, osgPlugins/3dc/3dc.dsp,
	  osgPlugins/ESRIShape/ESRIShape.dsp,
	  osgPlugins/OpenFlight/OpenFlight.dsp, osgPlugins/ac3d/ac3d.dsp,
	  osgPlugins/bmp/bmp.dsp, osgPlugins/bsp/bsp.dsp,
	  osgPlugins/dds/dds.dsp, osgPlugins/directx/directx.dsp,
	  osgPlugins/dw/dw.dsp, osgPlugins/dxf/dxf.dsp,
	  osgPlugins/flt/flt.dsp, osgPlugins/freetype/freetype.dsp,
	  osgPlugins/gdal/gdal.dsp, osgPlugins/geo/geo.dsp,
	  osgPlugins/gif/gif.dsp, osgPlugins/hdr/hdr.dsp,
	  osgPlugins/ive/ive.dsp, osgPlugins/jp2/jp2.dsp,
	  osgPlugins/jpeg/jpeg.dsp, osgPlugins/lib3ds/lib3ds.dsp,
	  osgPlugins/logo/logo.dsp, osgPlugins/lwo/lwo.dsp,
	  osgPlugins/lws/lws.dsp, osgPlugins/md2/md2.dsp,
	  osgPlugins/net/net.dsp, osgPlugins/normals/normals.dsp,
	  osgPlugins/obj/obj.dsp, osgPlugins/osg/dot_osg.dsp,
	  osgPlugins/osgFX/dot_osgFX.dsp,
	  osgPlugins/osgParticle/dot_osgParticle.dsp,
	  osgPlugins/osgSim/dot_osgSim.dsp,
	  osgPlugins/osgText/dot_osgText.dsp, osgPlugins/osga/osga.dsp,
	  osgPlugins/osgtgz/osgtgz.dsp, osgPlugins/pfb/pfb.dsp,
	  osgPlugins/pic/pic.dsp, osgPlugins/png/png.dsp,
	  osgPlugins/pnm/pnm.dsp, osgPlugins/rgb/rgb.dsp,
	  osgPlugins/rot/rot.dsp, osgPlugins/scale/scale.dsp,
	  osgPlugins/stl/stl.dsp, osgPlugins/tga/tga.dsp,
	  osgPlugins/tgz/tgz.dsp, osgPlugins/tiff/tiff.dsp,
	  osgPlugins/trans/trans.dsp, osgPlugins/txp/txp.dsp,
	  osgPlugins/zip/zip.dsp, osgProducer/osgProducer.dsp,
	  osgSim/osgSim.dsp, osgTerrain/osgTerrain.dsp,
	  osgText/osgText.dsp, osgUtil/osgUtil.dsp,
	  osgWrappers/osg/wrapper_osg.dsp,
	  osgWrappers/osgDB/wrapper_osgDB.dsp,
	  osgWrappers/osgFX/wrapper_osgFX.dsp,
	  osgWrappers/osgGA/wrapper_osgGA.dsp,
	  osgWrappers/osgParticle/wrapper_osgParticle.dsp,
	  osgWrappers/osgProducer/wrapper_osgProducer.dsp,
	  osgWrappers/osgSim/wrapper_osgSim.dsp,
	  osgWrappers/osgTerrain/wrapper_osgTerrain.dsp,
	  osgWrappers/osgText/wrapper_osgText.dsp,
	  osgWrappers/osgUtil/wrapper_osgUtil.dsp: From Mike Wittman,
	  support for VS 64bit build

2006-08-10 08:53  robert

	* src/osgProducer/OsgCameraGroup.cpp: Moved all platform specific
	  processor out of osgProducer and into OpenThreads

2006-08-10 06:12  robert

	* src/osgPlugins/pfb/ConvertFromPerformer.cpp: From Laurens
	  Voerman, " osgPlugins\pfb\ConvertFromPerformer.cpp

	  Added support for	   PFSTATE_ALPHAFUNC
	  PFSTATE_ALPHAREF Improved handling of        PFTR_NO_OCCLUDE

	  I have tested this with WIN32 performer 3.1 and 3.2.2 and linux
	  OpenGL Performer 3.1.1"

	  ------------------------------------------------

2006-08-10 05:13  robert

	* examples/osgtext/osgtext.cpp: From Martijn Kragtwijk, added
	  example text for showing osgText::Text::CharacterSizeMode in
	  action.

2006-08-10 04:08  robert

	* src/osgPlugins/pnm/ReaderWriterPNM.cpp: Added write ppn support,
	  use -O ascii to select ascii ppn output, otherwise binary is
	  chosen.

	  Fixed crash when erroneous pnm files were read.

	  Added -O flip option.

2006-08-10 01:45  robert

	* ChangeLog, include/osg/Math: From Daniel Larimer, "Apple updated
	  their developer tools again and broke the __isnanf and __isnand
	  methods... replacing them with a call to isnan(v) seems to work
	  on both Xcode 2.3 and 2.4"

2006-08-09 23:43  robert

	* include/osgUtil/Optimizer: Addd a setNodeMaskOverride(0xffffffff)
	  to cope with models that are hiding subgraphs that still need to
	  be accounted for when optimizer.

2006-08-09 23:20  robert

	* src/osgText/Text.cpp: Commented out the _textBB contribution of
	  outline/backdrops to fix bounding box problem.

2006-08-09 06:02  robert

	* include/osg/UByte4, VisualStudio/LANGEXT.DAT,
	  VisualStudio/highlight70.reg, VisualStudio/highlight71.reg,
	  VisualStudio/highlight80.reg,
	  Xcode/OpenSceneGraph/OpenSceneGraph.xcode/project.pbxproj,
	  Xcode/OpenSceneGraph/OpenSceneGraph.xcodeproj/project.pbxproj,
	  Xcode/XcodeTemplates/OSG Application/osgApp_Prefix.pch: Removed
	  referecens to the deprecate UByte4

2006-08-09 05:56  robert

	* src/osgWrappers/osg/ValueTypeCandidates.txt: Added Vec4ub and
	  removed UByte4

2006-08-09 03:09  robert

	* src/osgPlugins/OpenFlight/: GeometryRecords.cpp,
	  VertexRecords.cpp: Added nan dectecion and error reporting

2006-08-08 09:08  robert

	* src/osgPlugins/OpenFlight/ReaderWriterFLT.cpp: Added
	  TESSELATE_GEOMETRY to Optimizer pass to fix z fighting issues.

2006-08-08 07:57  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added extra defined(CPU_SET)
	  to try and get round RH8 compile problems.

2006-08-08 04:59  robert

	* src/osgPlugins/OpenFlight/PaletteRecords.cpp: Fixed backColor
	  implementation for LightPointAppearancePalette.

2006-08-08 04:27  robert

	* include/osgProducer/OsgCameraGroup,
	  src/osgProducer/OsgCameraGroup.cpp,
	  src/osgWrappers/osgProducer/OsgCameraGroup.cpp: Added support for
	  --affinity command line option for switch on procesor affinity
	  where supported,

2006-08-08 04:26  robert

	* NEWS.txt: First pass at updating NEWS for the up comming 1.1.1
	  release

2006-08-08 04:23  robert

	* src/osgPlugins/OpenFlight/PrimaryRecords.cpp: From Paul Martz,
	  "This change causes the new OpenFlight plugin to behave as the
	  old plugin by returning the database origin latitude/longitude
	  (extracted from the header record) as userData of the top-level
	  scene graph node."

2006-08-08 03:41  robert

	* src/osgProducer/ViewerEventHandler.cpp: Fixed the positioning of
	  the graphical stats bars so that they don't overlap the stats
	  text

2006-08-06 09:49  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added preliminary support for
	  process affinity support under Linux.

2006-08-06 09:42  robert

	* examples/osgshadowtexture/CreateShadowedScene.cpp: Removed
	  debugging code.

2006-08-05 13:39  robert

	* src/osgDB/Registry.cpp: Added fix to code catching error results
	  ReadResult's to first instance of checking the value of
	  ReadResult.

2006-08-05 13:36  robert

	* src/osgDB/Registry.cpp: From Jeremy Moles, refactored by Robert
	  Osfield.

	  Fixed bug osgDB::Registry::Registry::read(const ReadFunctor&
	  readFunctor) relating to the handling of failed loads with the
	  ReadResult::_message value being lost, this changes ensure that
	  the original ReadResult from the plugin, with message intact, is
	  returned correctly.

2006-08-05 09:57  robert

	* examples/osgtext/osgtext.cpp: Added code to reproduce Text
	  outline bounding box compute bug.

2006-08-05 04:12  robert

	* examples/osgcegui/osgcegui.cpp: Added disable vertex arrays.

2006-08-05 03:16  robert

	* examples/osgcegui/: GNUmakefile, GNUmakefile.inst, osgcegui.cpp:
	  Added osgcegui example

2006-08-04 06:17  robert

	* src/osg/Geometry.cpp: From Uwe Woessner, implementated by Robert
	  Osfield, Fixed vertex attribute bug, changed
	  _vertexAttribList[unit] -> _vertexAttribList[index]

2006-08-03 12:14  robert

	* src/osgDB/DatabasePager.cpp: Added if search for the current
	  databaseRequest in the _fileRequestList to handle cases when the
	  request is moved back in the list, or when the _fileRequestList
	  is cleared by an asyncronous call to DatabasePager::clear().

2006-08-03 09:04  robert

	* src/osgWrappers/osg/: CameraNode.cpp, Texture.cpp, Texture1D.cpp,
	  Texture2D.cpp, Texture3D.cpp, TextureCubeMap.cpp,
	  TextureRectangle.cpp: Updated wrappers

2006-08-03 08:57  robert

	* examples/osgshadowtexture/CreateShadowedScene.cpp,
	  include/osg/CameraNode, include/osg/Texture,
	  include/osg/Texture1D, include/osg/Texture2D,
	  include/osg/Texture3D, include/osg/TextureCubeMap,
	  include/osg/TextureRectangle, src/osgUtil/RenderStage.cpp: Fixed
	  RenderToTexture bug which occured when the viewport dimensions
	  where different than the texture being written to.

2006-08-03 07:03  robert

	* examples/osgtext/osgtext.cpp: Removed debug code

2006-08-03 06:35  robert

	* src/osg/StateSet.cpp: Changed:

	    static TextureGLModeSet s_textureGLModeSet;

	  To:

	    static TextureGLModeSet& getTextureGLModeSet()
	    {
		static TextureGLModeSet s_textureGLModeSet;
		return s_textureGLModeSet;
	    }

	  to prevent static initialization problems under static builds.

2006-08-03 06:12  robert

	* src/osgText/Font.cpp: Added OSG_TEXT_INCREMENTAL_SUBLOADING
	  ON/OFF env var check to osgText::Font to optional disable the
	  incremental subloading.

2006-08-02 14:09  robert

	* examples/osgtext/osgtext.cpp, src/osgWrappers/osg/Matrixd.cpp,
	  src/osgWrappers/osg/Matrixf.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgText/Font.cpp,
	  src/osgWrappers/osgText/Text.cpp: Updated wrappers

2006-08-02 14:05  robert

	* include/osgText/Font, include/osgText/Text, src/osgText/Font.cpp,
	  src/osgText/Text.cpp: Reworked the state management within
	  osgText::Text and osgText::Font so that it only applies textures
	  locally rather than whole StateSet.

2006-08-02 14:04  robert

	* examples/osgforest/osgforest.cpp: Added missing include
	  <osg/TexEnv>

2006-08-02 12:56  robert

	* applications/osgviewer/osgviewer.cpp: tweaked comment.

2006-08-02 12:54  robert

	* examples/: osganimate/osganimate.cpp,
	  osgautotransform/osgautotransform.cpp,
	  osgbillboard/osgbillboard.cpp,
	  osgblendequation/osgblendequation.cpp,
	  osgcallback/osgcallback.cpp, osgcatch/osgcatch.cpp,
	  osgclip/osgclip.cpp, osgcluster/osgcluster.cpp,
	  osgcopy/osgcopy.cpp, osgcubemap/osgcubemap.cpp,
	  osgdelaunay/osgdelaunay.cpp, osgdepthshadow/osgdepthshadow.cpp,
	  osgdistortion/osgdistortion.cpp, osgforest/osgforest.cpp,
	  osgfxbrowser/osgfxbrowser.cpp, osggeodemo/osggeodemo.cpp,
	  osggeometry/osggeometry.cpp, osghud/osghud.cpp,
	  osgimpostor/osgimpostor.cpp, osgkeyboard/osgkeyboard.cpp,
	  osglauncher/osglauncher.cpp, osglight/osglight.cpp,
	  osglightpoint/osglightpoint.cpp, osglogicop/osglogicop.cpp,
	  osglogo/osglogo.cpp, osgmotionblur/osgmotionblur.cpp,
	  osgmovie/osgmovie.cpp, osgmultiplecameras/osgmultiplecameras.cpp,
	  osgmultitexture/osgmultitexture.cpp, osgoccluder/osgoccluder.cpp,
	  osgparametric/osgparametric.cpp, osgparticle/osgparticle.cpp,
	  osgparticleeffects/osgparticleeffects.cpp,
	  osgphotoalbum/osgphotoalbum.cpp, osgpick/osgpick.cpp,
	  osgplanets/osgplanets.cpp, osgpoints/osgpoints.cpp,
	  osgpointsprite/osgpointsprite.cpp,
	  osgprecipitation/osgprecipitation.cpp,
	  osgprerender/osgprerender.cpp,
	  osgprerendercubemap/osgprerendercubemap.cpp,
	  osgreflect/osgreflect.cpp, osgscalarbar/osgscalarbar.cpp,
	  osgscribe/osgscribe.cpp, osgsequence/osgsequence.cpp,
	  osgshaders/osgshaders.cpp, osgshaderterrain/osgshaderterrain.cpp,
	  osgshadowtexture/osgshadowtexture.cpp, osgshape/osgshape.cpp,
	  osgsimplifier/osgsimplifier.cpp, osgsimulation/osgsimulation.cpp,
	  osgspacewarp/osgspacewarp.cpp,
	  osgspheresegment/osgspheresegment.cpp,
	  osgspotlight/osgspotlight.cpp, osgstereoimage/osgstereoimage.cpp,
	  osgteapot/osgteapot.cpp, osgtext/osgtext.cpp,
	  osgtexture1D/osgtexture1D.cpp, osgtexture2D/osgtexture2D.cpp,
	  osgtexture3D/osgtexture3D.cpp,
	  osgtexturerectangle/osgtexturerectangle.cpp,
	  osgvertexprogram/osgvertexprogram.cpp, osgvolume/osgvolume.cpp:
	  Added viewer.cleanup_frame() to all examples.

2006-08-02 09:14  robert

	* include/osg/State, src/osg/State.cpp: Moved extension function
	  pointer initilization into a method, and the pointers from being
	  static to be local member variables.	This should avoid issues
	  under Windows with multiple graphics contexts have seperate entry
	  points.

2006-08-02 09:12  robert

	* examples/osgtesselate/osgtesselate.cpp: Added cleanup_frame to
	  prevent crashes on exit.

2006-08-02 08:41  robert

	* src/osg/Texture.cpp: Reworked the TextureObjectManager singleton
	  so that it no longer reconstructed itself once deleted, and added
	  checks to against a null manager to prevent calling code
	  crashing.

2006-08-02 04:36  robert

	* src/osgSim/OverlayNode.cpp: Fixed crash due on multipipe systems
	  due by moving the local camera update code from the cull into the
	  update traversal.

2006-08-02 03:43  robert

	* Make/makedefs, include/osg/GLU, include/osg/Math,
	  include/osg/NodeTrackerCallback, include/osg/Texture,
	  include/osgDB/ReaderWriter, include/osgGA/NodeTrackerManipulator,
	  src/osgPlugins/OpenFlight/ControlRecords.cpp,
	  src/osgPlugins/OpenFlight/GeometryRecords.cpp,
	  src/osgPlugins/OpenFlight/PaletteRecords.cpp,
	  src/osgPlugins/OpenFlight/Pools.cpp,
	  src/osgPlugins/OpenFlight/Record.cpp,
	  src/osgPlugins/OpenFlight/Record.h,
	  src/osgPlugins/bsp/BSPLoad.cpp, src/osgPlugins/bsp/BSPLoad.h,
	  src/osgPlugins/lwo/ReaderWriterLWO.cpp,
	  src/osgPlugins/net/sockstream.cpp: From Daniel Trstenjak, build
	  fixes for Hpux 11.11, Irix 6.5, Solaris 8 and Aix

2006-08-01 06:08  robert

	* src/osgProducer/KeyboardMouseCallback.cpp: Fixed
	  doubleButtonPress.

2006-08-01 03:27  robert

	* examples/osghangglide/osghangglide.cpp: Changed the
	  viewer.setUpViewer(..) from default to just ESCAPE_SETS_DONE.

2006-07-31 13:56  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: From
	  Jason Beverage, "I've attached fixes to DataSet that should fix
	  the problems that Maya was seeing yesterday.	The issue was that
	  the new interpolation code I submitted didn't use the
	  SourceData's georef, it was assuming that the GDALDataSet had a
	  proper geo-ref.  I've made the getInterpolatedValue method a
	  member of SourceData and now it uses the georef the SourceData's
	  georef.

	  I also forward declared the GDALRasterBand class in the DataSet
	  header."

2006-07-31 10:31  robert

	* examples/osghangglide/GliderManipulator.cpp,
	  examples/osgimpostor/TestManipulator.cpp,
	  examples/osgprerendercubemap/osgprerendercubemap.cpp,
	  examples/osgunittests/osgunittests.cpp,
	  examples/osgvertexprogram/osgvertexprogram.cpp,
	  include/osg/Export, include/osg/Matrixd, include/osg/Matrixf,
	  src/osg/AutoTransform.cpp, src/osg/Matrix_implementation.cpp,
	  src/osg/NodeTrackerCallback.cpp, src/osg/Quat.cpp,
	  src/osgGA/DriveManipulator.cpp, src/osgGA/FlightManipulator.cpp,
	  src/osgGA/NodeTrackerManipulator.cpp,
	  src/osgGA/TerrainManipulator.cpp,
	  src/osgGA/TrackballManipulator.cpp, src/osgProducer/Viewer.cpp,
	  src/osgWrappers/osg/Matrixd.cpp, src/osgWrappers/osg/Matrixf.cpp:
	  Added Matrix*::getRotate()/setRotate(Quat), deprecating
	  Matrix*::get(Quat&), Matrix*::set(Quat&)

2006-07-31 07:49  robert

	* include/osg/: Matrixd, Matrixf: Tweaked the invert() method to
	  avoid silly OSX warnings.

2006-07-29 09:47  robert

	* include/osgProducer/OsgSceneHandler,
	  include/osgProducer/ViewerEventHandler,
	  include/osgUtil/Statistics, src/osgProducer/OsgSceneHandler.cpp,
	  src/osgProducer/ViewerEventHandler.cpp,
	  src/osgWrappers/osgProducer/OsgSceneHandler.cpp,
	  src/osgWrappers/osgUtil/Statistics.cpp: Fixed
	  multi-threaded/multi-pipe crash when primitive stats where output
	  in osgProducer::Viewer's stats.

2006-07-28 06:48  robert

	* examples/osgunittests/osgunittests.cpp, include/osg/Matrixd,
	  include/osg/Matrixf, src/osg/Matrix_implementation.cpp,
	  src/osgWrappers/osg/Matrixd.cpp, src/osgWrappers/osg/Matrixf.cpp,
	  src/osgWrappers/osg/Texture.cpp,
	  src/osgWrappers/osgGA/EventQueue.cpp: Updated osgunittests with a
	  matrix invert unit test, and added a conditional calling of
	  invert_4x4 or invert_4x3 depending on the the right hand column
	  of the matrix.

	  Updated wrappers

2006-07-27 09:41  robert

	* src/osgTerrain/DataSet.cpp: From Jason Beverage, "This patch
	  should fix Gert's problem that he posted on osg-users.  I
	  downloaded the sample he posted, reproduced the error, and added
	  an additional check to make sure the GDAL window size was valid.
	  Now his example works fine.  Changes made against current CVS.  "

2006-07-27 08:23  robert

	* src/osg/Matrix_implementation.cpp: From David Spilling,
	  "Matrix_implementation.cpp modified as requested. I ran a version
	  of it through a local version of osgunittests.cpp and it passes.

	  Note that firstly it always returns the positive real quaternion
	  (positive w)

	  Note also that it will sometimes slightly differ from the results
	  of the other methods because it assumes that the input matrix
	  really is a rotation matrix - if it isn't, e.g. because of
	  rounding error, then the output quaternion will be very slightly
	  different. For example, the test matrix

	  0 1 0 0 1 0 0 0 0 0 0.999999 0 0 0 0 1

	  will return 0.707107 0.707107 0.0005033 0.0005033

	  whereas the previous methods return 0.707107 0.707107 0.0 0.0

	  However, since quaternions are rotations, the meaning of how to
	  convert a matrix that isn't a rotation is a little unclear..."

2006-07-27 05:32  robert

	* include/osgGA/EventQueue, src/osgGA/EventQueue.cpp: From Michael
	  Polak, double click fixes/additions

2006-07-27 04:58  robert

	* src/osgProducer/ViewerEventHandler.cpp: From Eric Wing, add
	  outline to help text to make it easier to read on different
	  coloured backgrounds

2006-07-27 04:25  robert

	* VisualStudio/osgPlugins/ERSIShape/ERSIShape.dsp: Remove ERSIShape
	  directory.

2006-07-27 04:22  robert

	* VisualStudio/osgPlugins/ESRIShape/ESRIShape.dsp: From Andreas
	  Ekstrand, "The ESRIShape plugin needs to produce a osgdb_shp.dll
	  rather than a osgdb_ESRI.dll in Windows in order to find the
	  correct library when loading shp files. A new dsp file is
	  attached to this mail. Also, the ERSIShape folder should be
	  deleted."

2006-07-27 04:22  robert

	* src/osgPlugins/pfb/ConvertFromPerformer.cpp: Added #define
	  snprintf _snprintf for Win32 build

2006-07-27 04:14  robert

	* src/osg/Matrix_implementation.cpp: From David Spilling, fix to
	  Matrix::get(Quat&)

2006-07-27 04:13  robert

	* examples/osgunittests/osgunittests.cpp: From J.P. Delport, added
	  units tests to pick up on erroneous Matrix::get(Quat&)
	  computation.

2006-07-26 08:29  robert

	* include/osg/DisplaySettings, include/osg/Texture,
	  include/osg/buffered_value, src/osg/BufferObject.cpp,
	  src/osg/DisplaySettings.cpp, src/osg/Drawable.cpp,
	  src/osg/FragmentProgram.cpp, src/osg/FrameBufferObject.cpp,
	  src/osg/Program.cpp, src/osg/Shader.cpp, src/osg/Texture.cpp,
	  src/osg/VertexProgram.cpp, src/osgProducer/OsgCameraGroup.cpp:
	  Cleaned up per context buffers support

2006-07-26 08:19  robert

	* runexamples.bat: Added osgprecipitation to runexamples list.

2006-07-25 13:43  robert

	* examples/osgcatch/osgcatch.cpp: Force SingelThreaded usage due to
	  use of osgParticle.

2006-07-25 06:52  robert

	* src/osgText/Text.cpp: Fixed auto rotate bug.

2006-07-19 14:49  robert

	* Make/makedefs: Set release number back to 0 after release

2006-07-19 14:11  robert

	* ChangeLog, README.txt: Updated ChangedLog and READE for the 1.1
	  release

2006-07-19 13:56  robert

	* src/osgUtil/RenderBin.cpp: For cases where the RenderBin has its
	  own StateSet do a popAllStateSets() to ensure that the state is
	  completely ready for the RenderBin's StateSet to be at the
	  bottom.

2006-07-19 12:49  robert

	* src/osgWrappers/osgUtil/IntersectVisitor.cpp: UPdated wrappers

2006-07-19 12:45  robert

	* src/osgUtil/IntersectVisitor.cpp: Fixed error in enum, completely
	  perplexed how the error got in...

2006-07-19 10:39  don

	* include/osgUtil/IntersectVisitor: Fixed HEIGHEST misspelling to
	  HIGHEST

2006-07-19 08:20  robert

	* src/osgProducer/ViewerEventHandler.cpp: Reverted to LODScale
	  keyboard adjustment

2006-07-19 08:10  robert

	* src/osgPlugins/txp/trpage_pparse.cpp: Warning fixes

2006-07-19 08:07  robert

	* src/osgPlugins/net/sockstream.cpp: Warning fix

2006-07-19 07:46  robert

	* src/osgPlugins/OpenFlight/AttrData.cpp: Added extra initializes

2006-07-19 07:30  robert

	* src/osgPlugins/ac3d/ac3d.cpp: Added dummy initializers to avoid
	  warning

2006-07-19 07:04  robert

	* src/osgProducer/: KeyboardMouseCallback.cpp, Viewer.cpp: Added
	  reset of the event windowSize

2006-07-19 06:02  robert

	* examples/: osgcatch/osgcatch.cpp, osgtexture3D/osgtexture3D.cpp:
	  Added mutexes to RealizeCallbaks

2006-07-19 05:58  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp: Added scene
	  handler init to custom realize callback

2006-07-19 05:35  robert

	* src/osgProducer/Viewer.cpp: Moved sync to before the keyboard
	  mouse startThread to try to avoid some threading issue on start
	  up of some apps.

2006-07-19 04:25  robert

	* src/osgPlugins/OpenFlight/LightPointRecords.cpp: Fixed handling
	  of back colour.

2006-07-19 01:39  robert

	* src/osgPlugins/ive/LightPointNode.cpp: Changed code creating
	  LightPoint on heap to use the stack.

2006-07-18 14:00  robert

	* ChangeLog: Updated ChangeLog for rc3.

2006-07-18 13:59  robert

	* applications/osgversion/osgversion.cpp: Add clause to clean up
	  AUTHORS.txt

2006-07-18 13:51  robert

	* VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  src/osgWrappers/osg/AlphaFunc.cpp,
	  src/osgWrappers/osg/AnimationPath.cpp,
	  src/osgWrappers/osg/ApplicationUsage.cpp,
	  src/osgWrappers/osg/ArgumentParser.cpp,
	  src/osgWrappers/osg/Array.cpp,
	  src/osgWrappers/osg/AutoTransform.cpp,
	  src/osgWrappers/osg/Billboard.cpp,
	  src/osgWrappers/osg/BlendEquation.cpp,
	  src/osgWrappers/osg/BlendFunc.cpp,
	  src/osgWrappers/osg/BoundingSphere.cpp,
	  src/osgWrappers/osg/BufferObject.cpp,
	  src/osgWrappers/osg/CameraNode.cpp,
	  src/osgWrappers/osg/CameraView.cpp,
	  src/osgWrappers/osg/ClampColor.cpp,
	  src/osgWrappers/osg/ClipNode.cpp,
	  src/osgWrappers/osg/CollectOccludersVisitor.cpp,
	  src/osgWrappers/osg/ConvexPlanarOccluder.cpp,
	  src/osgWrappers/osg/ConvexPlanarPolygon.cpp,
	  src/osgWrappers/osg/CoordinateSystemNode.cpp,
	  src/osgWrappers/osg/CopyOp.cpp, src/osgWrappers/osg/CullFace.cpp,
	  src/osgWrappers/osg/CullSettings.cpp,
	  src/osgWrappers/osg/CullStack.cpp,
	  src/osgWrappers/osg/CullingSet.cpp,
	  src/osgWrappers/osg/Depth.cpp,
	  src/osgWrappers/osg/DisplaySettings.cpp,
	  src/osgWrappers/osg/DrawPixels.cpp,
	  src/osgWrappers/osg/Drawable.cpp, src/osgWrappers/osg/Fog.cpp,
	  src/osgWrappers/osg/FragmentProgram.cpp,
	  src/osgWrappers/osg/FrameBufferObject.cpp,
	  src/osgWrappers/osg/FrameStamp.cpp,
	  src/osgWrappers/osg/FrontFace.cpp,
	  src/osgWrappers/osg/GL2Extensions.cpp,
	  src/osgWrappers/osg/GNUmakefile, src/osgWrappers/osg/Geode.cpp,
	  src/osgWrappers/osg/Geometry.cpp,
	  src/osgWrappers/osg/GraphicsContext.cpp,
	  src/osgWrappers/osg/GraphicsThread.cpp,
	  src/osgWrappers/osg/Group.cpp, src/osgWrappers/osg/Image.cpp,
	  src/osgWrappers/osg/ImageStream.cpp, src/osgWrappers/osg/LOD.cpp,
	  src/osgWrappers/osg/Light.cpp,
	  src/osgWrappers/osg/LightModel.cpp,
	  src/osgWrappers/osg/LightSource.cpp,
	  src/osgWrappers/osg/LineSegment.cpp,
	  src/osgWrappers/osg/LineStipple.cpp,
	  src/osgWrappers/osg/LineWidth.cpp,
	  src/osgWrappers/osg/LogicOp.cpp,
	  src/osgWrappers/osg/Material.cpp,
	  src/osgWrappers/osg/MatrixTransform.cpp,
	  src/osgWrappers/osg/Matrixd.cpp, src/osgWrappers/osg/Matrixf.cpp,
	  src/osgWrappers/osg/Multisample.cpp,
	  src/osgWrappers/osg/Node.cpp,
	  src/osgWrappers/osg/NodeCallback.cpp,
	  src/osgWrappers/osg/NodeTrackerCallback.cpp,
	  src/osgWrappers/osg/NodeVisitor.cpp,
	  src/osgWrappers/osg/Object.cpp,
	  src/osgWrappers/osg/OccluderNode.cpp,
	  src/osgWrappers/osg/PagedLOD.cpp, src/osgWrappers/osg/Plane.cpp,
	  src/osgWrappers/osg/Point.cpp,
	  src/osgWrappers/osg/PolygonMode.cpp,
	  src/osgWrappers/osg/Polytope.cpp,
	  src/osgWrappers/osg/PrimitiveSet.cpp,
	  src/osgWrappers/osg/Program.cpp,
	  src/osgWrappers/osg/ProxyNode.cpp, src/osgWrappers/osg/Quat.cpp,
	  src/osgWrappers/osg/Scissor.cpp,
	  src/osgWrappers/osg/Sequence.cpp,
	  src/osgWrappers/osg/ShadeModel.cpp,
	  src/osgWrappers/osg/Shader.cpp,
	  src/osgWrappers/osg/ShadowVolumeOccluder.cpp,
	  src/osgWrappers/osg/Shape.cpp,
	  src/osgWrappers/osg/ShapeDrawable.cpp,
	  src/osgWrappers/osg/State.cpp,
	  src/osgWrappers/osg/StateAttribute.cpp,
	  src/osgWrappers/osg/StateSet.cpp,
	  src/osgWrappers/osg/Stencil.cpp, src/osgWrappers/osg/Switch.cpp,
	  src/osgWrappers/osg/Texture3D.cpp,
	  src/osgWrappers/osg/TextureCubeMap.cpp,
	  src/osgWrappers/osg/TextureRectangle.cpp,
	  src/osgWrappers/osg/Timer.cpp, src/osgWrappers/osg/Transform.cpp,
	  src/osgWrappers/osg/Uniform.cpp, src/osgWrappers/osg/Vec2b.cpp,
	  src/osgWrappers/osg/Vec2d.cpp, src/osgWrappers/osg/Vec2f.cpp,
	  src/osgWrappers/osg/Vec2s.cpp, src/osgWrappers/osg/Vec3b.cpp,
	  src/osgWrappers/osg/Vec4d.cpp, src/osgWrappers/osg/Vec4ub.cpp,
	  src/osgWrappers/osg/VertexProgram.cpp,
	  src/osgWrappers/osg/observer_ptr.cpp,
	  src/osgWrappers/osgDB/Archive.cpp,
	  src/osgWrappers/osgDB/DatabasePager.cpp,
	  src/osgWrappers/osgDB/FieldReaderIterator.cpp,
	  src/osgWrappers/osgDB/ImageOptions.cpp,
	  src/osgWrappers/osgDB/Input.cpp,
	  src/osgWrappers/osgDB/ReaderWriter.cpp,
	  src/osgWrappers/osgDB/Registry.cpp,
	  src/osgWrappers/osgFX/AnisotropicLighting.cpp,
	  src/osgWrappers/osgFX/BumpMapping.cpp,
	  src/osgWrappers/osgFX/Cartoon.cpp,
	  src/osgWrappers/osgFX/Effect.cpp,
	  src/osgWrappers/osgFX/MultiTextureControl.cpp,
	  src/osgWrappers/osgFX/Scribe.cpp,
	  src/osgWrappers/osgFX/SpecularHighlights.cpp,
	  src/osgWrappers/osgFX/Technique.cpp,
	  src/osgWrappers/osgFX/Validator.cpp,
	  src/osgWrappers/osgGA/AnimationPathManipulator.cpp,
	  src/osgWrappers/osgGA/DriveManipulator.cpp,
	  src/osgWrappers/osgGA/EventQueue.cpp,
	  src/osgWrappers/osgGA/EventVisitor.cpp,
	  src/osgWrappers/osgGA/FlightManipulator.cpp,
	  src/osgWrappers/osgGA/GUIEventHandler.cpp,
	  src/osgWrappers/osgGA/KeySwitchMatrixManipulator.cpp,
	  src/osgWrappers/osgGA/MatrixManipulator.cpp,
	  src/osgWrappers/osgGA/NodeTrackerManipulator.cpp,
	  src/osgWrappers/osgGA/StateSetManipulator.cpp,
	  src/osgWrappers/osgGA/TerrainManipulator.cpp,
	  src/osgWrappers/osgGA/TrackballManipulator.cpp,
	  src/osgWrappers/osgGA/UFOManipulator.cpp,
	  src/osgWrappers/osgParticle/AccelOperator.cpp,
	  src/osgWrappers/osgParticle/AngularAccelOperator.cpp,
	  src/osgWrappers/osgParticle/BoxPlacer.cpp,
	  src/osgWrappers/osgParticle/CenteredPlacer.cpp,
	  src/osgWrappers/osgParticle/ConnectedParticleSystem.cpp,
	  src/osgWrappers/osgParticle/ConstantRateCounter.cpp,
	  src/osgWrappers/osgParticle/Counter.cpp,
	  src/osgWrappers/osgParticle/Emitter.cpp,
	  src/osgWrappers/osgParticle/ExplosionDebrisEffect.cpp,
	  src/osgWrappers/osgParticle/ExplosionEffect.cpp,
	  src/osgWrappers/osgParticle/FireEffect.cpp,
	  src/osgWrappers/osgParticle/FluidFrictionOperator.cpp,
	  src/osgWrappers/osgParticle/FluidProgram.cpp,
	  src/osgWrappers/osgParticle/ForceOperator.cpp,
	  src/osgWrappers/osgParticle/Interpolator.cpp,
	  src/osgWrappers/osgParticle/LinearInterpolator.cpp,
	  src/osgWrappers/osgParticle/ModularEmitter.cpp,
	  src/osgWrappers/osgParticle/ModularProgram.cpp,
	  src/osgWrappers/osgParticle/MultiSegmentPlacer.cpp,
	  src/osgWrappers/osgParticle/Operator.cpp,
	  src/osgWrappers/osgParticle/Particle.cpp,
	  src/osgWrappers/osgParticle/ParticleEffect.cpp,
	  src/osgWrappers/osgParticle/ParticleProcessor.cpp,
	  src/osgWrappers/osgParticle/ParticleSystem.cpp,
	  src/osgWrappers/osgParticle/ParticleSystemUpdater.cpp,
	  src/osgWrappers/osgParticle/Placer.cpp,
	  src/osgWrappers/osgParticle/PointPlacer.cpp,
	  src/osgWrappers/osgParticle/PrecipitationEffect.cpp,
	  src/osgWrappers/osgParticle/Program.cpp,
	  src/osgWrappers/osgParticle/RadialShooter.cpp,
	  src/osgWrappers/osgParticle/RandomRateCounter.cpp,
	  src/osgWrappers/osgParticle/SectorPlacer.cpp,
	  src/osgWrappers/osgParticle/SegmentPlacer.cpp,
	  src/osgWrappers/osgParticle/Shooter.cpp,
	  src/osgWrappers/osgParticle/SmokeEffect.cpp,
	  src/osgWrappers/osgParticle/SmokeTrailEffect.cpp,
	  src/osgWrappers/osgParticle/VariableRateCounter.cpp,
	  src/osgWrappers/osgParticle/range.cpp,
	  src/osgWrappers/osgProducer/OsgCameraGroup.cpp,
	  src/osgWrappers/osgProducer/OsgSceneHandler.cpp,
	  src/osgWrappers/osgProducer/Viewer.cpp,
	  src/osgWrappers/osgProducer/ViewerEventHandler.cpp,
	  src/osgWrappers/osgSim/BlinkSequence.cpp,
	  src/osgWrappers/osgSim/ColorRange.cpp,
	  src/osgWrappers/osgSim/DOFTransform.cpp,
	  src/osgWrappers/osgSim/Impostor.cpp,
	  src/osgWrappers/osgSim/ImpostorSprite.cpp,
	  src/osgWrappers/osgSim/LightPoint.cpp,
	  src/osgWrappers/osgSim/LightPointNode.cpp,
	  src/osgWrappers/osgSim/LightPointSystem.cpp,
	  src/osgWrappers/osgSim/MultiSwitch.cpp,
	  src/osgWrappers/osgSim/OverlayNode.cpp,
	  src/osgWrappers/osgSim/ScalarBar.cpp,
	  src/osgWrappers/osgSim/ScalarsToColors.cpp,
	  src/osgWrappers/osgSim/Sector.cpp,
	  src/osgWrappers/osgSim/SphereSegment.cpp,
	  src/osgWrappers/osgSim/VisibilityGroup.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgTerrain/HeightFieldNode.cpp,
	  src/osgWrappers/osgTerrain/HeightFieldRenderer.cpp,
	  src/osgWrappers/osgText/Font.cpp,
	  src/osgWrappers/osgText/Text.cpp,
	  src/osgWrappers/osgUtil/CubeMapGenerator.cpp,
	  src/osgWrappers/osgUtil/CullVisitor.cpp,
	  src/osgWrappers/osgUtil/DelaunayTriangulator.cpp,
	  src/osgWrappers/osgUtil/DisplayRequirementsVisitor.cpp,
	  src/osgWrappers/osgUtil/GLObjectsVisitor.cpp,
	  src/osgWrappers/osgUtil/HalfWayMapGenerator.cpp,
	  src/osgWrappers/osgUtil/HighlightMapGenerator.cpp,
	  src/osgWrappers/osgUtil/IntersectVisitor.cpp,
	  src/osgWrappers/osgUtil/Optimizer.cpp,
	  src/osgWrappers/osgUtil/PositionalStateContainer.cpp,
	  src/osgWrappers/osgUtil/ReflectionMapGenerator.cpp,
	  src/osgWrappers/osgUtil/RenderBin.cpp,
	  src/osgWrappers/osgUtil/RenderLeaf.cpp,
	  src/osgWrappers/osgUtil/RenderStage.cpp,
	  src/osgWrappers/osgUtil/SceneView.cpp,
	  src/osgWrappers/osgUtil/StateGraph.cpp,
	  src/osgWrappers/osgUtil/Statistics.cpp,
	  src/osgWrappers/osgUtil/TangentSpaceGenerator.cpp,
	  src/osgWrappers/osgUtil/Tesselator.cpp,
	  src/osgWrappers/osgUtil/TransformAttributeFunctor.cpp,
	  src/osgWrappers/osgUtil/TransformCallback.cpp,
	  src/osgWrappers/osgUtil/UpdateVisitor.cpp: Updated wrappers

2006-07-18 13:17  robert

	* src/osgUtil/: RenderBin.cpp, RenderStage.cpp, SceneView.cpp:
	  Moved the moveToRootStateGraph(,) from
	  RenderStage::drawImplemenation() to
	  RenderBin::drawImplementation();

2006-07-18 12:26  robert

	* src/osgText/Text.cpp: From Eric Wing, fix for VC6 support

2006-07-18 08:21  robert

	* ChangeLog, applications/osgarchive/osgarchive.cpp,
	  applications/osgdem/osgdem.cpp,
	  applications/osgviewer/osgviewer.cpp,
	  examples/osgautotransform/osgautotransform.cpp,
	  examples/osgbluemarble/osgbluemarble.cpp,
	  examples/osgcatch/osgcatch.cpp,
	  examples/osgdelaunay/osgdelaunay.cpp,
	  examples/osghangglide/GliderManipulator.h,
	  examples/osghud/osghud.cpp,
	  examples/osgmotionblur/osgmotionblur.cpp,
	  examples/osgmultiplecameras/osgmultiplecameras.cpp,
	  examples/osgpbuffer/osgpbuffer.cpp,
	  examples/osgphotoalbum/ImageReaderWriter.cpp,
	  examples/osgphotoalbum/ImageReaderWriter.h,
	  examples/osgphotoalbum/PhotoArchive.cpp,
	  examples/osgphotoalbum/PhotoArchive.h,
	  examples/osgphotoalbum/osgphotoalbum.cpp,
	  examples/osgpick/osgpick.cpp, examples/osgpoints/osgpoints.cpp,
	  examples/osgprecipitation/osgprecipitation.cpp,
	  examples/osgreflect/osgreflect.cpp,
	  examples/osgshaders/GL2Scene.cpp, examples/osgshaders/GL2Scene.h,
	  examples/osgshaders/osgshaders.cpp,
	  examples/osgsimplifier/osgsimplifier.cpp,
	  examples/osgspacewarp/osgspacewarp.cpp,
	  examples/osgstereoimage/osgstereoimage.cpp,
	  examples/osgtesselate/osgtesselate.cpp,
	  examples/osgtext/osgtext.cpp, examples/osgwindows/osgwindows.cpp,
	  include/osg/AlphaFunc, include/osg/AnimationPath,
	  include/osg/ApplicationUsage, include/osg/ArgumentParser,
	  include/osg/Array, include/osg/AutoTransform,
	  include/osg/Billboard, include/osg/BlendColor,
	  include/osg/BlendEquation, include/osg/BlendFunc,
	  include/osg/BoundingBox, include/osg/BoundingSphere,
	  include/osg/BoundsChecking, include/osg/BufferObject,
	  include/osg/CameraNode, include/osg/CameraView,
	  include/osg/ClampColor, include/osg/ClearNode,
	  include/osg/ClipNode, include/osg/ClipPlane,
	  include/osg/ClusterCullingCallback,
	  include/osg/CollectOccludersVisitor, include/osg/ColorMask,
	  include/osg/ColorMatrix, include/osg/ConvexPlanarOccluder,
	  include/osg/ConvexPlanarPolygon,
	  include/osg/CoordinateSystemNode, include/osg/CopyOp,
	  include/osg/CullFace, include/osg/CullSettings,
	  include/osg/CullStack, include/osg/CullingSet, include/osg/Depth,
	  include/osg/DisplaySettings, include/osg/DrawPixels,
	  include/osg/Drawable, include/osg/Endian, include/osg/Export,
	  include/osg/Fog, include/osg/FragmentProgram,
	  include/osg/FrameBufferObject, include/osg/FrameStamp,
	  include/osg/FrontFace, include/osg/GL, include/osg/GL2Extensions,
	  include/osg/GLExtensions, include/osg/GLU, include/osg/Geode,
	  include/osg/Geometry, include/osg/GraphicsContext,
	  include/osg/GraphicsThread, include/osg/Group, include/osg/Image,
	  include/osg/ImageStream, include/osg/LOD, include/osg/Light,
	  include/osg/LightModel, include/osg/LogicOp, include/osg/Matrix,
	  include/osg/MatrixTransform, include/osg/Multisample,
	  include/osg/Node, include/osg/NodeCallback,
	  include/osg/NodeTrackerCallback, include/osg/NodeVisitor,
	  include/osg/Notify, include/osg/Object, include/osg/OccluderNode,
	  include/osg/PagedLOD, include/osg/Plane, include/osg/Point,
	  include/osg/PointSprite, include/osg/PolygonMode,
	  include/osg/PolygonOffset, include/osg/PolygonStipple,
	  include/osg/Polytope, include/osg/PositionAttitudeTransform,
	  include/osg/PrimitiveSet, include/osg/Projection,
	  include/osg/ProxyNode, include/osg/Quat, include/osg/Referenced,
	  include/osg/Scissor, include/osg/Sequence,
	  include/osg/ShadeModel, include/osg/Shader,
	  include/osg/ShadowVolumeOccluder, include/osg/Shape,
	  include/osg/ShapeDrawable, include/osg/State,
	  include/osg/StateAttribute, include/osg/StateSet,
	  include/osg/Stencil, include/osg/Switch, include/osg/TexEnv,
	  include/osg/TexEnvCombine, include/osg/TexEnvFilter,
	  include/osg/TexGen, include/osg/TexGenNode, include/osg/TexMat,
	  include/osg/Texture, include/osg/Texture1D,
	  include/osg/Texture2D, include/osg/Texture3D,
	  include/osg/TextureCubeMap, include/osg/TextureRectangle,
	  include/osg/Timer, include/osg/Transform,
	  include/osg/TriangleFunctor, include/osg/TriangleIndexFunctor,
	  include/osg/UByte4, include/osg/UnitTestFramework,
	  include/osg/Vec2, include/osg/Vec2b, include/osg/Vec2d,
	  include/osg/Vec2f, include/osg/Vec2s, include/osg/Vec3,
	  include/osg/Vec3b, include/osg/Vec3d, include/osg/Vec3f,
	  include/osg/Vec3s, include/osg/Vec4, include/osg/Vec4b,
	  include/osg/Vec4d, include/osg/Vec4f, include/osg/Vec4s,
	  include/osg/Vec4ub, include/osg/Version,
	  include/osg/VertexProgram, include/osg/Viewport,
	  include/osg/buffered_value, include/osg/fast_back_stack,
	  include/osg/io_utils, include/osg/observer_ptr,
	  include/osgDB/Archive, include/osgDB/DatabasePager,
	  include/osgDB/DotOsgWrapper, include/osgDB/DynamicLibrary,
	  include/osgDB/Export, include/osgDB/Field,
	  include/osgDB/FieldReader, include/osgDB/FieldReaderIterator,
	  include/osgDB/FileNameUtils, include/osgDB/FileUtils,
	  include/osgDB/ImageOptions, include/osgDB/Input,
	  include/osgDB/Output, include/osgDB/ParameterOutput,
	  include/osgDB/ReadFile, include/osgDB/ReaderWriter,
	  include/osgDB/ReentrantMutex, include/osgDB/Registry,
	  include/osgDB/SharedStateManager, include/osgDB/Version,
	  include/osgDB/WriteFile, include/osgFX/AnisotropicLighting,
	  include/osgFX/BumpMapping, include/osgFX/Cartoon,
	  include/osgFX/Effect, include/osgFX/Export,
	  include/osgFX/MultiTextureControl, include/osgFX/Registry,
	  include/osgFX/Scribe, include/osgFX/SpecularHighlights,
	  include/osgFX/Technique, include/osgFX/Validator,
	  include/osgGA/AnimationPathManipulator,
	  include/osgGA/DriveManipulator, include/osgGA/EventQueue,
	  include/osgGA/EventVisitor, include/osgGA/Export,
	  include/osgGA/FlightManipulator, include/osgGA/GUIActionAdapter,
	  include/osgGA/GUIEventAdapter, include/osgGA/GUIEventHandler,
	  include/osgGA/GUIEventHandlerVisitor,
	  include/osgGA/KeySwitchMatrixManipulator,
	  include/osgGA/MatrixManipulator,
	  include/osgGA/NodeTrackerManipulator,
	  include/osgGA/SetSceneViewVisitor,
	  include/osgGA/StateSetManipulator,
	  include/osgGA/TerrainManipulator,
	  include/osgGA/TrackballManipulator, include/osgGA/UFOManipulator,
	  include/osgGA/Version, include/osgIntrospection/Attributes,
	  include/osgIntrospection/Comparator,
	  include/osgIntrospection/ConstructorInfo,
	  include/osgIntrospection/Converter,
	  include/osgIntrospection/ConverterProxy,
	  include/osgIntrospection/CustomAttribute,
	  include/osgIntrospection/CustomAttributeProvider,
	  include/osgIntrospection/Exceptions,
	  include/osgIntrospection/Export,
	  include/osgIntrospection/InstanceCreator,
	  include/osgIntrospection/MethodInfo,
	  include/osgIntrospection/ParameterInfo,
	  include/osgIntrospection/PropertyInfo,
	  include/osgIntrospection/ReaderWriter,
	  include/osgIntrospection/Reflection,
	  include/osgIntrospection/ReflectionMacros,
	  include/osgIntrospection/Reflector,
	  include/osgIntrospection/StaticMethodInfo,
	  include/osgIntrospection/Type,
	  include/osgIntrospection/TypeNameAliasProxy,
	  include/osgIntrospection/TypedConstructorInfo,
	  include/osgIntrospection/TypedMethodInfo,
	  include/osgIntrospection/Utility, include/osgIntrospection/Value,
	  include/osgIntrospection/variant_cast,
	  include/osgParticle/AccelOperator,
	  include/osgParticle/AngularAccelOperator,
	  include/osgParticle/BoxPlacer,
	  include/osgParticle/CenteredPlacer,
	  include/osgParticle/ConnectedParticleSystem,
	  include/osgParticle/ConstantRateCounter,
	  include/osgParticle/Counter, include/osgParticle/Emitter,
	  include/osgParticle/ExplosionDebrisEffect,
	  include/osgParticle/ExplosionEffect, include/osgParticle/Export,
	  include/osgParticle/FireEffect,
	  include/osgParticle/FluidFrictionOperator,
	  include/osgParticle/FluidProgram,
	  include/osgParticle/ForceOperator,
	  include/osgParticle/Interpolator,
	  include/osgParticle/LinearInterpolator,
	  include/osgParticle/ModularEmitter,
	  include/osgParticle/ModularProgram,
	  include/osgParticle/MultiSegmentPlacer,
	  include/osgParticle/Operator, include/osgParticle/Particle,
	  include/osgParticle/ParticleEffect,
	  include/osgParticle/ParticleProcessor,
	  include/osgParticle/ParticleSystem,
	  include/osgParticle/ParticleSystemUpdater,
	  include/osgParticle/Placer, include/osgParticle/PointPlacer,
	  include/osgParticle/PrecipitationEffect,
	  include/osgParticle/Program, include/osgParticle/RadialShooter,
	  include/osgParticle/RandomRateCounter,
	  include/osgParticle/SectorPlacer,
	  include/osgParticle/SegmentPlacer, include/osgParticle/Shooter,
	  include/osgParticle/SmokeEffect,
	  include/osgParticle/SmokeTrailEffect,
	  include/osgParticle/VariableRateCounter,
	  include/osgParticle/Version, include/osgParticle/range,
	  include/osgProducer/Export,
	  include/osgProducer/GraphicsContextImplementation,
	  include/osgProducer/KeyboardMouseCallback,
	  include/osgProducer/OsgCameraGroup,
	  include/osgProducer/OsgSceneHandler, include/osgProducer/Version,
	  include/osgProducer/Viewer,
	  include/osgProducer/ViewerEventHandler,
	  include/osgSim/BlinkSequence, include/osgSim/ColorRange,
	  include/osgSim/DOFTransform, include/osgSim/Export,
	  include/osgSim/Impostor, include/osgSim/ImpostorSprite,
	  include/osgSim/InsertImpostorsVisitor, include/osgSim/LightPoint,
	  include/osgSim/LightPointNode, include/osgSim/MultiSwitch,
	  include/osgSim/OverlayNode, include/osgSim/ScalarBar,
	  include/osgSim/ScalarsToColors, include/osgSim/Sector,
	  include/osgSim/SphereSegment, include/osgSim/Version,
	  include/osgSim/VisibilityGroup, include/osgTerrain/DataSet,
	  include/osgTerrain/Export, include/osgTerrain/HeightFieldNode,
	  include/osgTerrain/HeightFieldRenderer,
	  include/osgTerrain/Version, include/osgText/Export,
	  include/osgText/Font, include/osgText/String,
	  include/osgText/Text, include/osgText/Version,
	  include/osgUtil/CubeMapGenerator, include/osgUtil/CullVisitor,
	  include/osgUtil/DelaunayTriangulator,
	  include/osgUtil/DisplayRequirementsVisitor,
	  include/osgUtil/Export, include/osgUtil/GLObjectsVisitor,
	  include/osgUtil/HalfWayMapGenerator,
	  include/osgUtil/HighlightMapGenerator,
	  include/osgUtil/IntersectVisitor, include/osgUtil/Optimizer,
	  include/osgUtil/PositionalStateContainer,
	  include/osgUtil/ReflectionMapGenerator,
	  include/osgUtil/RenderBin, include/osgUtil/RenderLeaf,
	  include/osgUtil/RenderStage, include/osgUtil/SceneView,
	  include/osgUtil/Simplifier, include/osgUtil/SmoothingVisitor,
	  include/osgUtil/StateGraph, include/osgUtil/Statistics,
	  include/osgUtil/TangentSpaceGenerator,
	  include/osgUtil/Tesselator,
	  include/osgUtil/TransformAttributeFunctor,
	  include/osgUtil/TransformCallback,
	  include/osgUtil/TriStripVisitor, include/osgUtil/UpdateVisitor,
	  include/osgUtil/Version, src/osg/AlphaFunc.cpp,
	  src/osg/AnimationPath.cpp, src/osg/Array.cpp,
	  src/osg/AutoTransform.cpp, src/osg/Billboard.cpp,
	  src/osg/BlendColor.cpp, src/osg/BlendEquation.cpp,
	  src/osg/BlendFunc.cpp, src/osg/BoundingBox.cpp,
	  src/osg/BoundingSphere.cpp, src/osg/BufferObject.cpp,
	  src/osg/CameraNode.cpp, src/osg/CameraView.cpp,
	  src/osg/ClampColor.cpp, src/osg/ClearNode.cpp,
	  src/osg/ClipNode.cpp, src/osg/ClipPlane.cpp,
	  src/osg/ClusterCullingCallback.cpp,
	  src/osg/CollectOccludersVisitor.cpp, src/osg/ColorMask.cpp,
	  src/osg/ColorMatrix.cpp, src/osg/ConvexPlanarOccluder.cpp,
	  src/osg/ConvexPlanarPolygon.cpp,
	  src/osg/CoordinateSystemNode.cpp, src/osg/CopyOp.cpp,
	  src/osg/CullFace.cpp, src/osg/CullSettings.cpp,
	  src/osg/CullStack.cpp, src/osg/CullingSet.cpp, src/osg/Depth.cpp,
	  src/osg/DisplaySettings.cpp, src/osg/DrawPixels.cpp,
	  src/osg/Drawable.cpp, src/osg/Fog.cpp,
	  src/osg/FragmentProgram.cpp, src/osg/FrameBufferObject.cpp,
	  src/osg/FrameStamp.cpp, src/osg/FrontFace.cpp,
	  src/osg/GLExtensions.cpp, src/osg/Geode.cpp,
	  src/osg/Geometry.cpp, src/osg/GraphicsContext.cpp,
	  src/osg/GraphicsThread.cpp, src/osg/Group.cpp, src/osg/Image.cpp,
	  src/osg/ImageStream.cpp, src/osg/LOD.cpp, src/osg/Light.cpp,
	  src/osg/LightModel.cpp, src/osg/LightSource.cpp,
	  src/osg/LineSegment.cpp, src/osg/LineStipple.cpp,
	  src/osg/LineWidth.cpp, src/osg/LogicOp.cpp, src/osg/Material.cpp,
	  src/osg/MatrixTransform.cpp, src/osg/Matrix_implementation.cpp,
	  src/osg/Matrixd.cpp, src/osg/Matrixf.cpp,
	  src/osg/Multisample.cpp, src/osg/Node.cpp,
	  src/osg/NodeCallback.cpp, src/osg/NodeTrackerCallback.cpp,
	  src/osg/NodeVisitor.cpp, src/osg/Notify.cpp, src/osg/Object.cpp,
	  src/osg/OccluderNode.cpp, src/osg/PagedLOD.cpp,
	  src/osg/Point.cpp, src/osg/PointSprite.cpp,
	  src/osg/PolygonMode.cpp, src/osg/PolygonOffset.cpp,
	  src/osg/PolygonStipple.cpp,
	  src/osg/PositionAttitudeTransform.cpp, src/osg/PrimitiveSet.cpp,
	  src/osg/Projection.cpp, src/osg/ProxyNode.cpp, src/osg/Quat.cpp,
	  src/osg/Referenced.cpp, src/osg/Scissor.cpp,
	  src/osg/Sequence.cpp, src/osg/ShadeModel.cpp, src/osg/Shader.cpp,
	  src/osg/ShadowVolumeOccluder.cpp, src/osg/Shape.cpp,
	  src/osg/ShapeDrawable.cpp, src/osg/State.cpp,
	  src/osg/StateAttribute.cpp, src/osg/StateSet.cpp,
	  src/osg/Stencil.cpp, src/osg/Switch.cpp, src/osg/TexEnv.cpp,
	  src/osg/TexEnvCombine.cpp, src/osg/TexEnvFilter.cpp,
	  src/osg/TexGen.cpp, src/osg/TexGenNode.cpp, src/osg/TexMat.cpp,
	  src/osg/Texture.cpp, src/osg/Texture1D.cpp,
	  src/osg/Texture2D.cpp, src/osg/Texture3D.cpp,
	  src/osg/TextureCubeMap.cpp, src/osg/TextureRectangle.cpp,
	  src/osg/Timer.cpp, src/osg/Transform.cpp,
	  src/osg/UnitTestFramework.cpp, src/osg/Vec3.cpp,
	  src/osg/Version.cpp, src/osg/VertexProgram.cpp,
	  src/osg/Viewport.cpp, src/osgDB/Archive.cpp,
	  src/osgDB/DotOsgWrapper.cpp, src/osgDB/DynamicLibrary.cpp,
	  src/osgDB/Field.cpp, src/osgDB/FieldReader.cpp,
	  src/osgDB/FieldReaderIterator.cpp, src/osgDB/FileNameUtils.cpp,
	  src/osgDB/FileUtils.cpp, src/osgDB/Input.cpp,
	  src/osgDB/Output.cpp, src/osgDB/ReadFile.cpp,
	  src/osgDB/ReaderWriter.cpp, src/osgDB/ReentrantMutex.cpp,
	  src/osgDB/Registry.cpp, src/osgDB/SharedStateManager.cpp,
	  src/osgDB/Version.cpp, src/osgDB/WriteFile.cpp,
	  src/osgFX/MultiTextureControl.cpp,
	  src/osgGA/DriveManipulator.cpp, src/osgGA/EventQueue.cpp,
	  src/osgGA/EventVisitor.cpp, src/osgGA/FlightManipulator.cpp,
	  src/osgGA/GUIEventAdapter.cpp, src/osgGA/GUIEventHandler.cpp,
	  src/osgGA/NodeTrackerManipulator.cpp,
	  src/osgGA/TerrainManipulator.cpp,
	  src/osgIntrospection/ConstructorInfo.cpp,
	  src/osgIntrospection/CustomAttributeProvider.cpp,
	  src/osgIntrospection/DefaultReflectors.cpp,
	  src/osgIntrospection/MethodInfo.cpp,
	  src/osgIntrospection/PropertyInfo.cpp,
	  src/osgIntrospection/Type.cpp, src/osgIntrospection/Utility.cpp,
	  src/osgIntrospection/Value.cpp,
	  src/osgParticle/ConnectedParticleSystem.cpp,
	  src/osgParticle/ExplosionDebrisEffect.cpp,
	  src/osgParticle/ExplosionEffect.cpp,
	  src/osgParticle/FireEffect.cpp,
	  src/osgParticle/ParticleEffect.cpp,
	  src/osgParticle/SmokeEffect.cpp,
	  src/osgParticle/SmokeTrailEffect.cpp,
	  src/osgPlugins/freetype/FreeTypeFont.cpp,
	  src/osgPlugins/freetype/FreeTypeFont.h,
	  src/osgPlugins/freetype/FreeTypeLibrary.cpp,
	  src/osgPlugins/freetype/FreeTypeLibrary.h,
	  src/osgPlugins/geo/ClipRegion.h,
	  src/osgPlugins/rot/ReaderWriterROT.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgProducer/OsgCameraGroup.cpp,
	  src/osgProducer/OsgSceneHandler.cpp,
	  src/osgSim/BlinkSequence.cpp, src/osgSim/DOFTransform.cpp,
	  src/osgSim/Impostor.cpp, src/osgSim/ImpostorSprite.cpp,
	  src/osgSim/InsertImpostorsVisitor.cpp, src/osgSim/LightPoint.cpp,
	  src/osgSim/LightPointDrawable.cpp, src/osgSim/LightPointNode.cpp,
	  src/osgSim/MultiSwitch.cpp, src/osgSim/OverlayNode.cpp,
	  src/osgSim/Sector.cpp, src/osgSim/SphereSegment.cpp,
	  src/osgSim/VisibilityGroup.cpp, src/osgTerrain/DataSet.cpp,
	  src/osgTerrain/HeightFieldNode.cpp,
	  src/osgTerrain/HeightFieldRenderer.cpp,
	  src/osgText/DefaultFont.cpp, src/osgText/DefaultFont.h,
	  src/osgText/Font.cpp, src/osgText/Text.cpp,
	  src/osgUtil/CubeMapGenerator.cpp, src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/DelaunayTriangulator.cpp,
	  src/osgUtil/DisplayRequirementsVisitor.cpp,
	  src/osgUtil/GLObjectsVisitor.cpp,
	  src/osgUtil/HalfWayMapGenerator.cpp,
	  src/osgUtil/HighlightMapGenerator.cpp,
	  src/osgUtil/IntersectVisitor.cpp, src/osgUtil/Optimizer.cpp,
	  src/osgUtil/PositionalStateContainer.cpp,
	  src/osgUtil/RenderBin.cpp, src/osgUtil/RenderLeaf.cpp,
	  src/osgUtil/RenderStage.cpp, src/osgUtil/SceneView.cpp,
	  src/osgUtil/Simplifier.cpp, src/osgUtil/SmoothingVisitor.cpp,
	  src/osgUtil/StateGraph.cpp, src/osgUtil/Tesselator.cpp,
	  src/osgUtil/TransformAttributeFunctor.cpp,
	  src/osgUtil/TransformCallback.cpp,
	  src/osgUtil/TriStripVisitor.cpp,
	  src/osgUtil/TriStrip_tri_stripper.cpp,
	  src/osgUtil/UpdateVisitor.cpp, src/osgUtil/Version.cpp: Updated
	  copyright years.

2006-07-18 08:11  robert

	* examples/osgvolume/osgvolume.cpp: Added additional command line
	  docs

2006-07-18 06:37  robert

	* examples/osgsimulation/osgsimulation.cpp: Updated commandline
	  docs

2006-07-18 06:24  robert

	* NEWS.txt, Make/makedefs: Updated version for the release

2006-07-18 06:17  robert

	* AUTHORS.txt, ChangeLog, README.txt,
	  applications/osgversion/osgversion.cpp: Updated ChangeLog and
	  authors file.

2006-07-18 06:05  robert

	* include/osgUtil/CullVisitor: From Farshid Lashakari, fixed
	  popStateSet.

2006-07-18 06:04  robert

	* src/osgUtil/Optimizer.cpp: Reduced the verbosity of debug info.

2006-07-18 05:48  robert

	* src/osgWrappers/osgText/Text.cpp: Updated wrappers

2006-07-18 05:24  robert

	* examples/osglogo/osglogo.cpp, include/osg/PolygonOffset,
	  include/osgText/Text, src/osg/PolygonOffset.cpp,
	  src/osgText/Text.cpp: From Eric Wing, add alternate backdrop
	  implementations.

	  From Robert Osfield, updated naming  and copy constructor
	  methods.

2006-07-18 04:42  robert

	* src/: osgUtil/Optimizer.cpp, osgWrappers/osgUtil/Optimizer.cpp:
	  Updated wrappers

2006-07-18 04:03  robert

	* include/osgUtil/Optimizer, src/osg/Geode.cpp,
	  src/osgUtil/Optimizer.cpp: Added
	  Optimizer::FlattenBillboardsVisitor.

2006-07-17 09:36  robert

	* src/osgPlugins/txp/TXPParser.cpp: From Terrex, improvements to
	  handling of layers w.r.t PolygonOffset

2006-07-17 06:16  robert

	* applications/osgconv/osgconv.cpp: Removed the usage of setenv to
	  avoid portability issues.

2006-07-17 04:43  robert

	* include/osg/PolygonOffset, src/osg/PolygonOffset.cpp,
	  src/osgProducer/ViewerEventHandler.cpp, src/osgText/Text.cpp:
	  Change Unit to Units to keep consistent with OpenGL naming.

2006-07-17 04:37  robert

	* src/osgProducer/ViewerEventHandler.cpp: Added *,/,+ and -
	  keyboard controls for toggling PolygonOffset factor and units

2006-07-17 04:36  robert

	* src/osgPlugins/txp/TXPParser.h: Added getNumLayers method

2006-07-17 03:25  robert

	* src/osgText/Text.cpp: Increased the unit multiplier to 3 to avoid
	  z fighting.

2006-07-17 03:24  robert

	* src/osg/PolygonOffset.cpp: Changed the Radeon defaults to 1, 128
	  for the factor and unit mulitpliers respectively.

2006-07-14 14:02  robert

	* AUTHORS.txt, applications/osgversion/osgversion.cpp: Updated
	  osgversion and AUTHORS.txt for release

2006-07-14 13:50  robert

	* ChangeLog: Updated ChangeLog for the release

2006-07-14 13:46  robert

	* NEWS.txt: Updated news for rc2.

2006-07-14 11:40  robert

	* applications/osgconv/osgconv.cpp: From Brede Johansen, patch to
	  make osgconv.cpp compile on VC 2005.

2006-07-14 11:37  robert

	* VisualStudio/MUST_READ_ME.txt: Updated to officially deprecate
	  VS6.0 support.

2006-07-14 11:20  robert

	* applications/osgconv/osgconv.cpp: Added optional compilation of
	  setenv code

2006-07-14 07:38  robert

	* src/osg/PolygonOffset.cpp: Implemented Radeon workaround for
	  polygonoffset

2006-07-14 07:08  robert

	* include/osg/PolygonOffset, src/osg/PolygonOffset.cpp,
	  src/osgText/Text.cpp: Added s/getFactorMultiplier(),
	  s/getUnitMultiplier(), areUnitAndMultipliersSet() and
	  setFactorAndUnitMultipliersUsingBestGuessForDriver() static
	  methods to osg::PolygonOffset to help implement workarounds for
	  lack of portablity of settings between different hardware.

2006-07-14 07:04  robert

	* examples/osglogo/osglogo.cpp: Removed the default loading of
	  bluemarble.ive

2006-07-14 04:34  robert

	* include/osgUtil/CullVisitor: Fixed popStateSet

2006-07-14 04:29  robert

	* src/osgUtil/Optimizer.cpp: Removed debug info

2006-07-14 04:04  robert

	* src/osgUtil/Optimizer.cpp: Speeded up merge geometry

2006-07-13 13:50  robert

	* NEWS.txt: Typo fixes

2006-07-13 13:42  robert

	* src/osgUtil/Optimizer.cpp: Optimized the MERGE_GEODES pass

2006-07-13 12:42  robert

	* ChangeLog: Updated ChangeLog

2006-07-13 08:56  robert

	* src/osgWrappers/osgUtil/Statistics.cpp: Updated wrappers

2006-07-13 08:25  robert

	* applications/osgconv/osgconv.cpp, include/osgUtil/Statistics,
	  src/osgUtil/Optimizer.cpp: Added StatsVisitor to
	  include/osg/Statistics, and usage of it in osgUtil::Optimizer.

	  Added --optimize <string> option to osgconv

2006-07-13 07:58  robert

	* src/osgPlugins/OpenFlight/ReaderWriterFLT.cpp: Added share
	  duplicates traversal to optimizer call

2006-07-13 06:00  robert

	* AUTHORS.txt, applications/osgversion/osgversion.cpp: Fixed Trajce
	  Nikolov name reversal.

2006-07-13 04:46  robert

	* include/osgUtil/Statistics: Fixed Statistics::reset() method to
	  include a reset of all member variables

2006-07-13 02:12  robert

	* NEWS.txt: Fixed typos.

2006-07-13 02:01  robert

	* src/osgText/Text.cpp: Fixed management of Text's StateSet so that
	  it works correctly when the DefaultFont is active.

2006-07-12 13:59  robert

	* NEWS.txt: Updated NEWS

2006-07-12 02:50  robert

	* include/osgGA/: GUIEventAdapter, GUIEventHandlerVisitor: From
	  Vincent Vivanloc, Removed commas from end of enum lists, and
	  removed semi-colon from end of namespace.

2006-07-12 02:40  robert

	* src/osgPlugins/OpenFlight/: PrimaryRecords.cpp,
	  ReaderWriterFLT.cpp: From Brede Johansen,

	  "I found some artifacts on some models and traced it back to the
	  external palette override feature.  There are some changes in the
	  layout of the external record the loader have to take into
	  consideration.

	  The other fix is to remove the OF pools from the user data of the
	  external ProxyNode when it is no longer needed."

2006-07-11 14:53  robert

	* include/osg/StateSet, include/osgUtil/CullVisitor,
	  src/osgPlugins/ive/StateSet.cpp, src/osgPlugins/osg/StateSet.cpp,
	  src/osgUtil/CullVisitor.cpp, src/osgWrappers/osg/StateSet.cpp:
	  Removed StateSet::ENCLOSE_RENDERBIN_DETAILS since it is
	  rendendent, and implemented the OVERRIDE_RENDERBIN_DETAILS.

2006-07-11 07:24  robert

	* include/osg/BlendFunc: From Brede Johansen, "Here's a small patch
	  to BlendFunc::setFunction(source,destination) to make it
	  consistent with the constructor and prevent the BlendFuncSeparate
	  path being called.  This patch fixed the artifact with the
	  osgpointsprite demo on ATI cards reported by Mike Weiblen."

2006-07-11 03:34  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: From
	  Antoine Hue,

	  "There was a typo in "int setNotifyOffset()", appear to be a
	  getter => "int getNotifyOffset()".

	  Then I have added a switch to create GDALTermProgress only when
	  the current notify level + local offset permit message display.
	  In fact, if the offset is set to 0 and the notify level is at the
	  default, DataSet is quiet but for the GDALTermProgress. That is
	  quite disturbing since you think the progress is related to the
	  complete processing but it is actually only related to the GDAL
	  Warp."

2006-07-11 03:33  robert

	* NEWS.txt: Added preciption effects to NEWS

2006-07-11 02:06  robert

	* AUTHORS.txt, applications/osgversion/osgversion.cpp: Updates
	  osgversion and AUTHORS.txt for typo.

2006-07-06 13:44  robert

	* AUTHORS.txt, ChangeLog: Updated AUTHORS.txt and ChangeLog for
	  1.1-rc1

2006-07-06 13:43  robert

	* src/osgPlugins/normals/Normals.cpp: Tweak for VS6.0 build

2006-07-06 08:47  robert

	* src/osgPlugins/ive/PagedLOD.cpp: Fixed scoping for for loop
	  varaible for VS6.0 build.

2006-07-06 08:00  robert

	* src/osgPlugins/lwo/Surface.cpp: Tweaks to try and fix VS6.0
	  problems.

2006-07-06 07:50  robert

	* src/osgSim/OpenFlightOptimizer.cpp: Removed explict definition of
	  osgUtil::Optimizer::StateVisitor to attempt to get round VS 6.0
	  cruddiness.

2006-07-06 07:43  robert

	* src/osgPlugins/bsp/ReaderWriterQ3BSP.cpp: Tweaked for loop
	  variaible definition.

2006-07-06 07:36  robert

	* ChangeLog, NEWS.txt: Updated NEWS and ChangeLog

2006-07-06 07:14  robert

	* src/osg/Texture.cpp: From Eric Sokolowsky, "If a texture is used
	  that is not a multiple of four, and compression was requested
	  through the texture's internal format, the texture's internal
	  format reverts to a non-compressed type and a NOTICE is given.
	  At present, compressed textures must have a multiple of four in
	  each dimension."

2006-07-06 07:10  robert

	* src/osgWrappers/osg/: Image.cpp, Referenced.cpp: Updated wrappers

2006-07-06 07:02  robert

	* include/osg/Image, src/osg/Image.cpp: From Eric Sokolowsky,

	  "Attached is some fixes for Image::readImageFromCurrentTexture.
	  It was failing when used with a new Image object (some of the
	  fields were not set before they were used, and some were set to
	  the wrong values).  A new optional parameter was added to give
	  the desired data type, which defaults to GL_UNSIGNED_BYTE, so
	  programs should only need a recompile to work properly."

2006-07-06 06:06  robert

	* AUTHORS.txt, applications/osgversion/osgversion.cpp: Fixed typo
	  and unpdated AUTHORS file

2006-07-06 04:40  robert

	* src/osgPlugins/obj/ReaderWriterOBJ.cpp: Added setting of name
	  from the .obj goup name and object names.

2006-07-06 04:33  robert

	* src/osgPlugins/obj/ReaderWriterOBJ.cpp: Removed redundent debug
	  message.

2006-07-06 04:30  robert

	* src/osgPlugins/obj/: ReaderWriterOBJ.cpp, obj.cpp: Add "hack" fix
	  for black materials being exported from Maya.

2006-07-06 04:08  robert

	* AUTHORS.txt, applications/osgversion/osgversion.cpp: Tweaked
	  osgversion to catch typos and updates AUTHORS.txt

2006-07-06 03:39  robert

	* AUTHORS.txt, ChangeLog: Updated ChangeLog and AUTHORS.txt for
	  release

2006-07-06 03:28  robert

	* include/osg/Version, src/osg/Version.cpp, src/osgDB/Version.cpp,
	  src/osgGA/Version.cpp, src/osgParticle/Version.cpp,
	  src/osgProducer/Version.cpp, src/osgSim/Version.cpp,
	  src/osgTerrain/Version.cpp, src/osgText/Version.cpp,
	  src/osgUtil/Version.cpp: Updated version numbers for 1.1 release

2006-07-06 03:27  robert

	* src/osgText/Text.cpp: Tweaked polygon offset

2006-07-06 02:11  robert

	* Xcode/: OSX_OSG_README.rtf, Misc/ArrangeDMG.sh,
	  Misc/FindOSGData.pl, Misc/Tar_Xcode.sh,
	  OpenSceneGraph/OpenSceneGraph.xcodeproj/project.pbxproj: From
	  Eric Wing, updaetes to Xcode projects

2006-07-06 01:36  robert

	* src/osgText/Text.cpp: From Vivek Rajan, "Rotated text in
	  SCREEN_COORDS was looking a little squished especially in
	  orthographic projection. Performing the rotation before the
	  scaling fixed the problem. I've attached Text.cpp with the fix."

	  From Robert Osfield, in keeping with Vivek's change moved the
	  auto rotate to screen befor the scale as well.

2006-07-05 14:52  robert

	* src/osg/Texture.cpp: From Eric Sokolowsky, "The attached
	  Texture.cpp fixes a problem when subloading compressed textures.
	  Near the top of the function that implements texture subloading,
	  osg::Texture::applyTexImage2D_subload(), the local variable
	  compressed_image examines the _image's_ pixel format to see if it
	  is compressed. However, further on, in calls to
	  getCompressedSize() the _texture's_ pixel format is used. In my
	  application's Texture2D class, I use
	  osg::Texture::USE_ARB_COMPRESSION to
	  osg::Texture2D::setInternalFormatMode(), which causes the
	  internal format to become one of the generic ARB_COMPRESSED
	  types, which do not have a specific size. Thus the recent warning
	  message added to osg::Texture::getCompressedSize() is triggered.
	  The correct behavior is to use the format mode from the Image
	  class instead of the Texture class within the subload
	  implementation, and then the size is calculated correctly."

2006-07-05 14:12  robert

	* AUTHORS.txt: Updated AUTHORS file

2006-07-05 14:12  robert

	* applications/osgversion/osgversion.cpp: Fixed typo.

2006-07-05 13:56  robert

	* src/osgPlugins/OpenFlight/PaletteRecords.cpp: From Brede
	  Johansen, "Changed ">" to ">=" when testing for version 16.1 or
	  later."

2006-07-05 06:44  robert

	* src/osg/Texture.cpp: From Eric Sokolowsky, "There is code in
	  Image.cpp that calculates the size of a compressed image based on
	  the internal format. There is similar code in the Texture class
	  but it does not account for the ARB types. I modified the Texture
	  class implementation to show a warning when an incomplete
	  internal format is used to calculate the image size."

2006-07-05 06:31  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp: Added mutex to
	  the test context.

2006-07-05 06:18  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp: Added vertex
	  program hack to get round apparent NVidia bug when handling
	  vertex texture read.

2006-07-05 05:54  robert

	* AUTHORS.txt: Updated AUTHORS file

2006-07-05 05:51  robert

	* applications/osgversion/osgversion.cpp: More fixes for typos

2006-07-05 03:48  robert

	* AUTHORS.txt: Updated AUTHORS file

2006-07-05 03:47  robert

	* applications/osgversion/osgversion.cpp: Updated osgversion to
	  correct for ChangeLog typos.

2006-07-05 03:29  robert

	* ChangeLog: Updated ChangeLog.

2006-07-05 03:24  robert

	* NEWS.txt: Updated NEWS.

2006-07-05 03:23  robert

	* NEWS.txt: First steps towards updating NEWS for 1.1 release

2006-07-05 02:52  robert

	* src/osgPlugins/: ESRIShape/ESRIShape.cpp,
	  ESRIShape/ESRIShapeParser.cpp, bsp/ReaderWriterQ3BSP.cpp,
	  normals/Normals.cpp, normals/Normals.h, txp/TXPArchive.cpp,
	  txp/TXPArchive.h, txp/trpage_geom.h: Fixed warnings

2006-07-05 01:59  robert

	* src/osgPlugins/directx/types.h: From Markus Trenkwalder, "Mingws
	  gcc includes a file called types.h which in turn defines
	  _TYPES_H_.  types.h in the directx plugin defines the same
	  include guard.  I've renamed the guard name in this file to
	  _DX_TYPES_H_.  Now the plugin compile in mingw too."

2006-07-05 01:55  robert

	* src/osgPlugins/OpenFlight/ReaderWriterFLT.cpp: From Brede
	  Johansen, renaned FLT_preserveFace to preserveFace

2006-07-04 12:58  robert

	* include/osg/Referenced, src/osg/Referenced.cpp: Changed parameter
	  name from osberver_ptr to observer.

2006-07-04 12:54  robert

	* src/osgPlugins/OpenFlight/: Document.cpp, Document.h,
	  PaletteRecords.cpp, Pools.h, PrimaryRecords.cpp,
	  ReaderWriterFLT.cpp: From Paul Martz,

	  "Previously, the new OpenFlight plugin only allowed ext ref
	  models to use their own palettes. With this change, parent models
	  can override child model palettes with the parent palettes.

	  These changes are made against very current CVS (just updated
	  about 1/2 hour ago, eliminated conflicts, and retested before
	  this posting).

	  To regurgitate what I did:

	  A new class, ParentPools (public osg::Referenced), is created
	  when an ext ref record is parsed, and it is populated with any
	  parent model pools that should override the child model pools
	  (according to bits in the ext ref record). The ParentPools object
	  is then set as UserData on the ProxyNode corresponding to the ext
	  ref.

	  When the ReadExternalsVisitor hits the ProxyNode, it takes its
	  UserData and sets it as UserData in the Options parameter to the
	  osgDB::ReadNode call, which then read the ext ref model. In the
	  course of parsing the Options string, ReaderWriterFLT also looks
	  at the Options UserData and sets the parent pools in the Document
	  class accordingly.

	  When palette records are encountered while loading a file, they
	  are ignored if the corresponding pool was set by the parent.

	  Thanks to Brede for consulting with me on the implementation.  "

2006-07-04 07:37  robert

	* include/osgProducer/KeyboardMouseCallback,
	  src/osgProducer/KeyboardMouseCallback.cpp,
	  src/osgWrappers/osgGA/EventQueue.cpp,
	  src/osgWrappers/osgGA/GUIEventAdapter.cpp,
	  src/osgWrappers/osgProducer/KeyboardMouseCallback.cpp: Updated
	  wrappers.

2006-07-04 07:18  robert

	* include/osgGA/EventQueue, include/osgGA/GUIEventAdapter,
	  include/osgProducer/KeyboardMouseCallback,
	  src/osgGA/EventQueue.cpp, src/osgGA/GUIEventAdapter.cpp,
	  src/osgProducer/KeyboardMouseCallback.cpp: From Stephan Huber,

	  "attached you'll find some modifications to Producer, osgGA and
	  osgProducer to enable Mac OS X support for

	  + scrollwheels, + mightymouse-srollballs + new tracking-pads with
	  scroll feature + tablet-support (pressure, proximity and
	  pointertype) (Wacom only tested)

	  I think there was a bug in the windows-implementation of
	  scroll-wheel support (wrong order of ScrollingMotion-enum,
	  casting problem) which is fixed now.

	  The scrollwheel-code is a bit klunky across platforms, some
	  devices on OS X can report an absolute delta in pixel-coordinates
	  not only the direction, so for now there is scrollingMotion
	  (which describes the direction) and scrolldeltax and
	  scrolldeltay. I decided to leave the scrollingmotion-stuff to not
	  break old code relying on this."

2006-07-04 06:56  robert

	* src/osgWrappers/osgText/Font.cpp: Updated wrappers.

2006-07-04 06:56  robert

	* include/osgText/Font, src/osgText/Font.cpp, src/osgText/Text.cpp:
	  Change osgText so that the Text drawable now can have its own
	  StateSet that users can assign to it without it being overriden.
	  If none is assigned externally it now uses a StateSet associated
	  wit the Font assigned to the Text.

2006-07-04 06:33  robert

	* src/osgSim/MultiSwitch.cpp: From Brede Johansen,

	  "The attached file corrects two small typos in MultiSwitch.cpp.
	  The local "values" reference and the "_values" member attribute
	  are of different types but both are vectors so the size()
	  operator happily compiles.  A renaming of _values to _masks or
	  similar may be a more future proof solution but the submission
	  only removes the underscore in two places.

	  The switch_1701.flt model part of the Creator gallery revealed
	  this bug."

2006-07-04 05:57  robert

	* src/osgDB/Registry.cpp: Fix to Registry::read(ReadFunctor) to
	  better handle reporting of errors

2006-07-04 04:24  robert

	* src/osgPlugins/OpenFlight/: AncillaryRecords.cpp,
	  ControlRecords.cpp, DataInputStream.cpp, Document.cpp,
	  GeometryRecords.cpp, LightPointRecords.cpp, PaletteRecords.cpp,
	  Pools.cpp, PrimaryRecords.cpp, RoadRecords.cpp,
	  VertexRecords.cpp: Fixed warnings.

2006-07-04 03:55  robert

	* src/osgPlugins/bsp/BSPLoad.cpp: Warning fix.

2006-07-04 03:52  robert

	* src/osgPlugins/tiff/ReaderWriterTIFF.cpp: Warning fix

2006-07-04 02:46  robert

	* examples/osgunittests/performance.cpp: fixed warning and add a
	  few extra tests

2006-07-04 02:18  robert

	* include/osgParticle/ConstantRateCounter: From Roland Smeenk,
	  Added missing initialization to zero of the _carryOver value in
	  default and copy constructor.

2006-07-04 02:13  robert

	* VisualStudio/osgPlugins/directx/directx.dsp,
	  src/osgPlugins/directx/GNUmakefile,
	  src/osgPlugins/directx/LICENSE,
	  src/osgPlugins/directx/ReaderWriterDirectX.cpp,
	  src/osgPlugins/directx/directx.cpp,
	  src/osgPlugins/directx/directx.h,
	  src/osgPlugins/directx/mesh.cpp, src/osgPlugins/directx/mesh.h,
	  src/osgPlugins/directx/types.cpp, src/osgPlugins/directx/types.h:
	  From Ulrich Hertlein, updates to DirectX loader

2006-07-03 13:28  robert

	* src/osgPlugins/OpenFlight/PaletteRecords.cpp: From Brede
	  Johansen, set the default value of texture wrap mode to REPEAT to
	  fix problem with database without .attr files.

2006-07-03 09:31  robert

	* src/osgPlugins/OpenFlight/: AncillaryRecords.cpp,
	  ReaderWriterFLT.cpp, Record.cpp, Record.h: Fixed a couple of
	  warnings.

2006-07-03 09:21  robert

	* src/osgPlugins/bsp/ReaderWriterQ3BSP.cpp: Fixed orientation and
	  lighting of model.

2006-07-03 08:21  robert

	* include/osg/ref_ptr: Removed template methods that were break
	  VS6.0 build.

2006-07-03 06:53  robert

	* VisualStudio/examples/osgunittests/osgunittests.dsp,
	  examples/osgunittests/GNUmakefile,
	  examples/osgunittests/osgunittests.cpp,
	  examples/osgunittests/performance.cpp,
	  examples/osgunittests/performance.h: Added a performace test
	  section to osgunitests, currently just does basic C/C++ tests.

2006-07-03 03:47  robert

	* src/osgPlugins/OpenFlight/ReaderWriterFLT.cpp: Added merge geodes
	  and geometries optimizer call

2006-07-03 02:26  robert

	* src/osgPlugins/ive/ReaderWriterIVE.cpp: From Eric Sokolowski,
	  "Added the ability to read and write images directly in the ive
	  plugin, through the osgDB::readImageFile and
	  osgDB::writeImageFile functions.  This is useful for storing
	  compressed textures on disk for rapid playback for animations."

2006-07-03 02:22  robert

	* src/osgPlugins/: ive/BlendFunc.cpp, ive/DataInputStream.cpp,
	  ive/ReadWrite.h, osg/BlendFunc.cpp: From Michael Platings, added
	  support for blend seperates to .ive and .osg

2006-06-30 06:50  robert

	* src/osgWrappers/osg/BlendFunc.cpp: Updated wrappers.

2006-06-30 06:50  robert

	* include/osg/BlendFunc, src/osg/BlendFunc.cpp: From Michael
	  Platings, added support for glBlendFuncSeperate.

2006-06-30 06:47  robert

	* include/osg/Texture, src/osg/Texture.cpp: From Eric Sokolowsky,
	  made a couple of methods static.

2006-06-29 12:38  robert

	* src/osgPlugins/txp/TXPArchive.h: From David Callu, compile fix
	  for gcc 4.1

2006-06-29 08:57  robert

	* include/osgUtil/RenderBin, src/osg/AlphaFunc.cpp,
	  src/osg/StateSet.cpp, src/osgProducer/Viewer.cpp,
	  src/osgUtil/RenderBin.cpp, src/osgUtil/SceneView.cpp,
	  src/osgWrappers/osgUtil/RenderBin.cpp: Added support for
	  RenderBin's have a local top level StateSet.	This is now used by
	  default in the depth sorted bin.

2006-06-29 04:57  robert

	* VisualStudio/osgWrappers/osg/wrapper_osg.dsp: Updated wrappers

2006-06-29 04:00  robert

	* src/osgWrappers/: osg/GNUmakefile, osg/Group.cpp, osg/Node.cpp,
	  osg/NodeVisitor.cpp, osgDB/DatabasePager.cpp,
	  osgGA/EventVisitor.cpp, osgProducer/OsgCameraGroup.cpp,
	  osgSim/InsertImpostorsVisitor.cpp,
	  osgSim/OpenFlightOptimizer.cpp, osgUtil/CullVisitor.cpp,
	  osgUtil/IntersectVisitor.cpp, osgUtil/Optimizer.cpp,
	  osgUtil/UpdateVisitor.cpp: Updated wrappers.

2006-06-29 03:17  robert

	* src/osgPlugins/txp/trpage_material.cpp: Changed _WIN32 to
	  _MSC_VER

2006-06-29 03:16  robert

	* src/osgWrappers/osg/Array.cpp, src/osgWrappers/osg/ClipNode.cpp,
	  src/osgWrappers/osg/CullingSet.cpp,
	  src/osgWrappers/osg/GNUmakefile, src/osgWrappers/osg/Geode.cpp,
	  src/osgWrappers/osg/Geometry.cpp,
	  src/osgWrappers/osg/GraphicsThread.cpp,
	  src/osgWrappers/osg/Group.cpp, src/osgWrappers/osg/Node.cpp,
	  src/osgWrappers/osg/NodeVisitor.cpp,
	  src/osgWrappers/osg/Shape.cpp,
	  src/osgWrappers/osg/StateAttribute.cpp,
	  src/osgWrappers/osg/StateSet.cpp,
	  src/osgWrappers/osg/Texture.cpp,
	  src/osgWrappers/osgDB/DatabasePager.cpp,
	  src/osgWrappers/osgGA/EventQueue.cpp,
	  src/osgWrappers/osgGA/EventVisitor.cpp,
	  src/osgWrappers/osgGA/GUIEventHandler.cpp,
	  src/osgWrappers/osgGA/KeySwitchMatrixManipulator.cpp,
	  src/osgWrappers/osgProducer/OsgCameraGroup.cpp,
	  src/osgWrappers/osgSim/Impostor.cpp,
	  src/osgWrappers/osgSim/InsertImpostorsVisitor.cpp,
	  src/osgWrappers/osgSim/LightPointNode.cpp,
	  src/osgWrappers/osgSim/OpenFlightOptimizer.cpp,
	  src/osgWrappers/osgSim/SphereSegment.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgText/Text.cpp,
	  src/osgWrappers/osgUtil/CullVisitor.cpp,
	  src/osgWrappers/osgUtil/DelaunayTriangulator.cpp,
	  src/osgWrappers/osgUtil/IntersectVisitor.cpp,
	  src/osgWrappers/osgUtil/Optimizer.cpp,
	  src/osgWrappers/osgUtil/PositionalStateContainer.cpp,
	  src/osgWrappers/osgUtil/RenderBin.cpp,
	  src/osgWrappers/osgUtil/StateGraph.cpp,
	  src/osgWrappers/osgUtil/Tesselator.cpp,
	  src/osgWrappers/osgUtil/UpdateVisitor.cpp,
	  VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  src/osgWrappers/osg/ClampColor.cpp: Updated wrappers

2006-06-29 03:06  robert

	* src/osgPlugins/quicktime/ReaderWriterQT.cpp: From Eric Wing,
	  updates to QuickTime plugin

2006-06-29 02:34  robert

	* src/osgPlugins/OpenFlight/: DataInputStream.cpp,
	  DataInputStream.h, Document.cpp, Document.h, GeometryRecords.cpp,
	  PaletteRecords.cpp, Pools.h, ReaderWriterATTR.cpp,
	  ReaderWriterFLT.cpp, RecordInputStream.cpp, RecordInputStream.h,
	  VertexRecords.cpp: Form Brede Johansen, move from istrstream to
	  istringstream.  From Robert Osfield, remapped Paul Martz's
	  changes to Pools.h and PaletteRecords.cpp w.r.t
	  texturePatternIndex being a in16, and converted a char* string to
	  a std::string.

2006-06-29 01:08  robert

	* src/osgPlugins/bsp/BSPLoad.h: Changed unsinged int to GLuint for
	  OSX compile fix.

2006-06-28 13:38  robert

	* src/osgPlugins/bsp/ReaderWriterQ3BSP.cpp: Changed unsigned int to
	  GLuint for OSX build.

2006-06-28 07:36  robert

	* src/osgPlugins/bsp/ReaderWriterQ3BSP.cpp: Change internal
	  variables across to being GLuint.

2006-06-28 04:37  robert

	* Xcode/OpenSceneGraph/osgprecipitation-Info.plist: From Eric Wing,
	  updates to Xcode projects

2006-06-28 04:27  robert

	* Xcode/OpenSceneGraph/: osgcopy-Info.plist,
	  OpenSceneGraph.xcodeproj/project.pbxproj: From Eric Wing, updates
	  to Xcode projects

2006-06-28 03:22  robert

	* src/osgDB/Registry.cpp: Made the new OpenFlight plugin the
	  default.

2006-06-28 03:00  robert

	* examples/osgspheresegment/osgspheresegment.cpp: Added a setRadius
	  into the screen space LOD.

2006-06-28 00:17  robert

	* src/osgPlugins/txp/trpage_material.cpp: From Martin Naylor, build
	  fix for windows.

2006-06-28 00:14  robert

	* src/osgPlugins/txp/trpage_sys.h: Removed old #include <vector.h>
	  entries.

2006-06-27 13:13  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added setting of the
	  CameraConfig:TheradModelDirective

2006-06-27 06:09  robert

	* include/osgText/Text, src/osgText/Text.cpp: From Eric Wing, added
	  support for outline/shadow and colour gradient effects.

2006-06-27 05:08  robert

	* src/osgProducer/OsgCameraGroup.cpp: From Stephan Huber, remove
	  Platform specific handling of multi-sample setup as its now
	  supported within Producer in a generic way.  From Robert Osfield
	  fix to the parameter ordering

2006-06-27 05:05  robert

	* examples/osglogo/osglogo.cpp: From Eric Wing, added support for
	  outline/shadow and colour gradient effects.

2006-06-27 03:07  robert

	* src/osgPlugins/txp/: ReaderWriterTXP.cpp, ReaderWriterTXP.h,
	  TXPArchive.cpp, TXPArchive.h, TXPIO.cpp, TXPNode.cpp, TXPNode.h,
	  TXPPagedLOD.cpp, TXPPagedLOD.h, TXPParser.cpp, TXPParser.h,
	  TXPSeamLOD.cpp, TXPSeamLOD.h, TileMapper.cpp, TileMapper.h,
	  trdll.h, trpage_basic.cpp, trpage_compat.cpp, trpage_compat.h,
	  trpage_geom.cpp, trpage_geom.h, trpage_header.cpp, trpage_io.h,
	  trpage_label.cpp, trpage_light.cpp, trpage_main.cpp,
	  trpage_managers.cpp, trpage_managers.h, trpage_material.cpp,
	  trpage_model.cpp, trpage_nodes.cpp, trpage_parse.cpp,
	  trpage_pparse.cpp, trpage_print.cpp, trpage_print.h,
	  trpage_range.cpp, trpage_rarchive.cpp, trpage_read.h,
	  trpage_readbuf.cpp, trpage_scene.cpp, trpage_scene.h,
	  trpage_swap.cpp, trpage_swap.h, trpage_sys.h, trpage_tile.cpp,
	  trpage_util.cpp, trpage_util.h, trpage_warchive.cpp,
	  trpage_write.h, trpage_writebuf.cpp: From Terrex and Andrew
	  Sampsom and Don Tidrow and Robert Osfield,

	  email comments from Andew Sampson,

	  "I've contacted Terrex, and obtained the 2.2 version of their
	  trpage library.  The library included a fork of OSG 0.9.8's txp
	  plugin, modified to load 2.1+ txp DBs.

	  I've done the work of incorporating the changes made to OSG's txp
	  plugin since 0.9.8 into Terrex's fork.  The forked version is now
	  up-to-date with the changes made to OSG 0.9.9 and 1.0.

	  Terrex made a lot of changes (especially differences in
	  whitespace), so the diff between the forked version

	  and OSG 1.0's txp plugin is yucky.  I did my best, but

	  keep in mind that this is the result of a 4-way merge (kinda...
	  terrex-0.9.8, stock-0.9.8, stock-0.9.9, stock-1.0).

	  I really want to see this forked version merged back into the
	  main OSG branch.  The new features offered by

	  this version of the plugin (2.1+ support, variable LOD support,
	  bug fixes) are worth the trouble."

	  --

	  Don Tidrow then took this code and added his work.

	  --

	  Robert Osfield then fixed all the warnings that abound in the
	  trpage code base.

2006-06-26 13:45  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp,
	  examples/osgfxbrowser/Frame.cpp,
	  examples/osgfxbrowser/osgfxbrowser.cpp,
	  include/osgUtil/IntersectVisitor,
	  src/osgFX/AnisotropicLighting.cpp, src/osgFX/BumpMapping.cpp,
	  src/osgFX/Cartoon.cpp, src/osgPlugins/lwo/ReaderWriterLWO.cpp,
	  src/osgPlugins/lwo/Surface.cpp, src/osgPlugins/lwo/VertexMap.cpp,
	  src/osgPlugins/lws/ReaderWriterLWS.cpp,
	  src/osgUtil/Simplifier.cpp: Replaced ref_ptr<>:take with
	  ref_ptr<>:release, and added handling of removeal of ref_ptr<>
	  operator >.

2006-06-26 13:43  robert

	* src/osgProducer/Viewer.cpp: Added DeleteHandler flush call.

2006-06-26 13:41  robert

	* include/osg/ref_ptr: From Tyge Løvset, ref_ptr<> template
	  constructor, operators and associated functions.

	  From Robert Osfield, tweaks and fixes to the above, also removed
	  the deprecated take() method.

2006-06-26 13:35  robert

	* src/osg/Referenced.cpp: Added a functional DeleteHandler.

2006-06-26 08:18  robert

	* applications/osgconv/osgconv.cpp: Fixed crash on osgconv
	  --compressed cow.osg cow.ive

2006-06-26 03:57  robert

	* src/osgPlugins/bsp/ReaderWriterQ3BSP.cpp: Changed GLunit usage to
	  unsigned int.

2006-06-26 03:39  robert

	* src/osgPlugins/ESRIShape/ESRIShapeParser.cpp: From Andreas
	  Ekstrand, fix for Windows

2006-06-26 02:56  robert

	* include/osg/: PrimitiveSet, TriangleFunctor: From Leandro Motta
	  Barros, documentation additions to PrimitiveSet &
	  TriangleFunctor.

2006-06-26 02:30  robert

	* src/osgPlugins/dxf/: codeValue.h, dxfReader.cpp, dxfReader.h:
	  From Philipp Siemoleit,

	      There are some group codes (i.e. "62") which are interpreted
	  as
	      dxfDataType::SHORT. That's right because the
	  dxf-specification defines
	      "16 bit integer" as the type for the corresponding value.
	      But readerBase::readGroup() calls readValue(std::ifstream&,
	  unsigned
	      short). I changed readValue(std::ifstream&, unsigned short)
	  to
	      readValue(std::ifstream&, short). I found no group code at
	  the dxf-specs
	      which needs a "16 bit unsigned integer" value. So the
	      readValue(std::ifstream&, unsigned short) function is
	  obsolete - right?

2006-06-26 02:18  robert

	* src/osgUtil/CullVisitor.cpp: From David Fries, Reset only the
	  RenderLeaf objects used in the last frame as given by the
	  _currentReuseRenderLeafIndex instead of resetting all leaves
	  which can be very time consuming.

2006-06-26 02:09  robert

	* VisualStudio/OpenSceneGraph.dsw: From Martin Naylor, added osgGA
	  dependency to osgkeyboardmouse

2006-06-16 02:28  robert

	* include/osgGA/GUIEventAdapter: Fixed typo.

2006-06-12 07:04  robert

	* examples/osgkeyboardmouse/osgkeyboardmouse.cpp: Added pick
	  handler.

2006-06-12 04:32  robert

	* examples/osgkeyboardmouse/: GNUmakefile, osgkeyboardmouse.cpp:
	  Revamped osgkeyboardmouse to use the osgGA.

2006-06-12 02:57  robert

	* Make/makedefs: From Mathew May, FreeBSD build fixes.

2006-06-08 08:27  robert

	* VisualStudio/osg/osg.dsp, include/osg/ClampColor,
	  include/osg/StateAttribute, src/osg/ClampColor.cpp,
	  src/osg/GNUmakefile: Martin Spindler, new osg::ClampColor state
	  attribute.

2006-06-08 07:32  robert

	* VisualStudio/osgSim/osgSim.dsp, include/osgSim/LightPointNode,
	  src/osgPlugins/OpenFlight/LightPointRecords.cpp,
	  src/osgPlugins/OpenFlight/PaletteRecords.cpp,
	  src/osgPlugins/OpenFlight/Pools.h, src/osgSim/GNUmakefile,
	  src/osgSim/LightPointNode.cpp,
	  src/osgSim/LightPointSpriteDrawable.cpp,
	  src/osgSim/LightPointSpriteDrawable.h,
	  examples/osglightpoint/osglightpoint.cpp: From Paul Martz, added
	  support to textured light points into osgSim and OpenFlight
	  loader, as part of the OpenFlight v16.0 spec.

2006-06-08 06:34  robert

	* src/osgText/Text.cpp: From Matt Green, fix to handling of
	  centering of multi-line text entries.

2006-06-08 05:09  robert

	* include/osg/State: From Paul Martz, clean up of comments.

2006-06-08 05:07  robert

	* examples/osgshaders/GL2Scene.cpp: From Mike Weiblen, reverted
	  shaders changes due to lack of hardware/driver support

2006-06-08 04:58  robert

	* include/osg/Array: From Gustavo Wagner, addition of trim method
	  to TemplateArray class.

	  From Robert Osfield, made trim method a virtual method of the
	  base Array class and added a trim implementation to
	  TemplateIndexArray.

2006-06-08 04:56  robert

	* VisualStudio/osgSim/osgSim.dsp: From Paul Martz, fixed incorrect
	  filename in project file

2006-06-08 04:39  robert

	* src/osgUtil/Optimizer.cpp: With direction from Paul Melis, fixed
	  bug in CopySharedSubgraphsVisitor which prevented it being
	  applied.  Also fix inappropriate comment.

2006-06-08 04:22  robert

	* src/osgDB/FileUtils.cpp: From Joan Abadie: patch fixes :
	  "osgDB::makeDirectory doesn't work on win32 when using full path
	  name like : "d:/demo" it tryes a mkdir("d:")."

2006-06-08 04:19  robert

	* applications/osgdem/osgdem.cpp: Added setting of default colour.

2006-06-08 04:18  robert

	* examples/osgsimulation/osgsimulation.cpp: added SphereSegment
	  test code segment, commented out at pressent.

2006-06-05 09:25  robert

	* src/osgSim/SphereSegment.cpp: Added missing clip against maximum
	  azimuth.

2006-06-05 09:25  robert

	* examples/osgspheresegment/osgspheresegment.cpp: Added extra
	  SphereSegment intersection tests.

2006-06-05 09:06  robert

	* src/osgProducer/ViewerEventHandler.cpp: Improved stats sizing in
	  presense of wide screens.

2006-05-29 02:08  robert

	* applications/osgviewer/osgviewer.cpp: Reverted changes from
	  revision 1.4, as they look like a temporary hack not intended to
	  be merged.

2006-05-26 08:19  robert

	* src/osgTerrain/DataSet.cpp: From Jason Baverage, support for
	  interpolating DEM data from GDAL to the positions required for
	  the current tile.

2006-05-23 12:03  robert

	* src/osgPlugins/bsp/: BITSET.cpp, BITSET.h, BSPLoad.cpp,
	  BSPLoad.h, ReaderWriterQ3BSP.cpp, ReaderWriterQ3BSP.h: Ran
	  dos2unix of files

2006-05-22 12:30  robert

	* src/osgUtil/RenderStage.cpp: Cleaned up the OpenGL error
	  reporting.

2006-05-16 14:32  robert

	* src/osgWrappers/: osg/Object.cpp, osg/Referenced.cpp,
	  osg/StateSet.cpp, osg/Uniform.cpp, osgTerrain/DataSet.cpp:
	  Updated wrappers.

2006-05-16 14:20  robert

	* include/osg/StateSet, src/osg/StateSet.cpp,
	  src/osgPlugins/ive/Uniform.cpp: Minor tweaks of ints to unsigned
	  ints

2006-05-16 14:00  robert

	* include/osg/Uniform, src/osg/Uniform.cpp: From Mike Weiblen,
	  futher work on Uniform array support.

2006-05-16 14:00  robert

	* src/osgPlugins/ive/: IveVersion.h, Uniform.cpp: From Mike
	  Weiblen, support for new Uniform arrays.  From Robert Osfield,
	  refactor of above with original code to ensure backwards
	  compatibility.

2006-05-16 03:21  robert

	* src/osgProducer/: Viewer.cpp, ViewerEventHandler.cpp: Compile
	  fixes for OSX

2006-05-15 08:46  robert

	* examples/osgshaders/GL2Scene.cpp, include/osg/StateSet,
	  include/osg/Uniform, src/osg/StateSet.cpp, src/osg/Uniform.cpp,
	  src/osgPlugins/osg/Uniform.cpp,
	  src/osgProducer/ViewerEventHandler.cpp: From Mike Weiblen,
	  support GLSL uniform arrays.	A couple of tweaks and fixes from
	  Robert Osfield.

2006-05-15 06:22  robert

	* src/osgPlugins/OpenFlight/: Document.h, PaletteRecords.cpp: From
	  Paul Martz, "This change is based on current CVS. (Note both
	  Brede and I have submitted changes to this plugin that aren't in
	  current CVS yet -- this change is based on current CVS, not our
	  changed files.)

	  This changes how shader palette records are parsed to support
	  GLSL per the OpenFlight 16.1 spec. Existing functionality for
	  16.0 files is preserved.

	  The change to Document.h simply adds an enum for VERSION_16_1."

2006-05-15 06:13  robert

	* applications/osgdem/osgdem.cpp: Replaced BoundingBox with
	  GeospatialExtents.

2006-05-15 06:12  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: From
	  Jason Baverage, A

	  dded GeospatialExtents bounding box class which used doubles in
	  place of the original usage of osg::BoundingBox.

	  Added path for computing interpolation elevation data being read
	  from GDAL.

2006-05-15 04:56  robert

	* include/osgDB/FileUtils: From Eric Wing, removed trailing commans
	  from enum lists.

2006-05-15 04:53  robert

	* include/osg/Math: From Eric Wing, compile fix for OSX.

2006-05-15 04:48  robert

	* include/osg/Geometry, src/osg/Geometry.cpp: From Daniel
	  Trastenjak, added checking of binding modes to ensure that
	  changes are only applied when the binding mode changes, thereby
	  avoiding uncessary calls to dirtyDisplayList.

	  Note, from Robert Osfield, moved bodies of set*Binding() into
	  Geometry.cpp to avoid clutter in the header.

2006-05-15 04:38  robert

	* examples/osgvolume/osgvolume.cpp: From Adrian Egli, added
	  std::ifstream::binary qualifier to ifstream usage.

2006-05-15 04:27  robert

	* src/osgPlugins/OpenFlight/: AttrData.h, PaletteRecords.cpp: From
	  Paul Martz, "add support for the v16.0 "Add" texture environment
	  and "mirrored repeat" wrap mode."

2006-05-15 04:22  robert

	* src/osgPlugins/OpenFlight/: Vertex.cpp, Vertex.h: Changed
	  instances of setCoord(const Vec3) to setCoord(const Vec3&) style.

2006-05-15 04:18  robert

	* src/osgPlugins/OpenFlight/: GeometryRecords.cpp,
	  PrimaryRecords.cpp, ReaderWriterFLT.cpp, Record.h, Registry.h,
	  Vertex.cpp, Vertex.h, VertexRecords.cpp: From Brede Johansen, "-
	  Replaced some member attributes with local variables in Face
	  record.   - Multitexture support in Vertex class.   - Renamed
	  VertexList to VertexListRecord (VertexList is now a Vertex array)
	  - new Mesh (with reserved field at offset 12, thanks to Paul
	  Martz)   - new LocalVertexPool   - new MeshPrimitive	 - Use
	  ProxyNode for externals.   - Local cache for externals"

2006-05-15 02:55  robert

	* VisualStudio/: OpenSceneGraph.dsw, osgPlugins/bsp/bsp.dsp: Added
	  VisualStudio project for Quake3 BSP plugin

2006-05-15 02:46  robert

	* Make/makedirdefs, src/osgPlugins/bsp/BITSET.cpp,
	  src/osgPlugins/bsp/BITSET.h, src/osgPlugins/bsp/BSPLoad.cpp,
	  src/osgPlugins/bsp/BSPLoad.h, src/osgPlugins/bsp/GNUmakefile,
	  src/osgPlugins/bsp/ReaderWriterQ3BSP.cpp,
	  src/osgPlugins/bsp/ReaderWriterQ3BSP.h: From Carlos García and
	  Paul Baker, Port of Paul Baker's Quake3 BSP loader to OSG by
	  Carlos García.

	  Added Quake3 BSP plugin.

2006-05-09 02:47  robert

	* src/osgUtil/RenderStage.cpp: From Farshid Lashkari, "The
	  drawInner() method of osgUtil::RenderStage ignores the
	  checkForGLErrors flag of the osg::State object. The attatched
	  file fixes this."

2006-05-09 02:42  robert

	* include/osg/Referenced: From Tree, build fixes for JavaOSG build.

2006-05-09 02:35  robert

	* include/osg/Math: From Farshid Lashari, round funciton.

2006-05-09 02:13  robert

	* src/osg/AutoTransform.cpp: Removed redundent variable
	  declaration.

2006-05-09 02:12  robert

	* include/osg/AutoTransform: From Farshid Lashkari, "The
	  setScale(Vec3) method of osg::AutoTransform does not dirty the
	  matrix. The fix is attached."

2006-05-04 12:39  robert

	* src/osgWrappers/osg/Group.cpp: Updated wrappers

2006-05-04 12:36  robert

	* include/osg/Group: Added removeChild(unsigned int, unsigned int)
	  back in for backward compatibility.

2006-05-04 12:15  robert

	* src/osg/PagedLOD.cpp: Fixed expire of children to work with the
	  new Group::removeChildren method.

2006-05-02 08:52  robert

	* include/osg/Matrixd, include/osg/Matrixf, include/osg/Object,
	  include/osg/Referenced, include/osgUtil/RenderLeaf,
	  include/osgUtil/StateGraph, src/osg/Referenced.cpp,
	  src/osgUtil/CullVisitor.cpp: Added selective support for thread
	  safe ref/unref such that the rendering backend now doesn't use
	  thread safe ref counting where multi-buffering exists.  This
	  reduces the overhead of multi-threading.

2006-05-02 02:49  robert

	* src/osgWrappers/: osg/Geode.cpp, osg/Group.cpp, osg/LOD.cpp,
	  osg/PagedLOD.cpp, osg/ProxyNode.cpp, osg/Switch.cpp,
	  osgParticle/PrecipitationEffect.cpp: Updated wrappers.

2006-05-02 02:49  robert

	* include/osg/Transform: Fixed docs on GL_SCALE_NORMAL

2006-05-02 02:45  robert

	* Make/makedefs, examples/osgdepthpartition/DepthPartitionNode.cpp,
	  examples/osgdepthpartition/DepthPartitionNode.h,
	  examples/osgfxbrowser/Frame.cpp,
	  examples/osgfxbrowser/osgfxbrowser.cpp,
	  examples/osgsimulation/osgsimulation.cpp, include/osg/Geode,
	  include/osg/Group, include/osg/LOD, include/osg/PagedLOD,
	  include/osg/ProxyNode, include/osg/Switch, src/osg/Geode.cpp,
	  src/osg/Group.cpp, src/osg/LOD.cpp, src/osg/PagedLOD.cpp,
	  src/osg/ProxyNode.cpp, src/osg/Switch.cpp,
	  src/osgParticle/ParticleEffect.cpp,
	  src/osgPlugins/ESRIShape/ESRIShapeParser.cpp,
	  src/osgPlugins/OpenFlight/GeometryRecords.cpp,
	  src/osgPlugins/OpenFlight/PrimaryRecords.cpp,
	  src/osgPlugins/OpenFlight/ReaderWriterATTR.cpp,
	  src/osgPlugins/OpenFlight/ReaderWriterFLT.cpp,
	  src/osgPlugins/lwo/Converter.cpp, src/osgUtil/Optimizer.cpp,
	  src/osgUtil/SceneView.cpp: Reorganised the Group::removeChild and
	  Geode::removeDrawable methods so that removeChild(Node*),
	  removeChild(uint) and equivilant Geode methods are now inline
	  methods, not designed to be overriden, and seperated out the
	  multiple remove method to be called removeChildren(uint, uint)
	  which is now the only virtual method.  There removeChildren is
	  now the method to override in subclasses.

	  This reorganisation requires some call code to be rename
	  removeChild usage to removeChildren.

2006-05-02 02:18  robert

	* src/osgSim/OverlayNode.cpp: Fixed popping of state frustum.

2006-05-01 09:20  robert

	* src/osgText/Text.cpp: From Colin MacDonald, fixed handling of an
	  adding a graphics context after the creating of the
	  osgText::Text.

2006-05-01 09:13  robert

	* src/osgPlugins/osgParticle/IO_ConstantRateCounter.cpp: Ran
	  dos2unix.

2006-05-01 09:11  robert

	* Xcode/XcodeTemplates/OSG Application/osgApp_Prefix.pch: From Eric
	  Wing, updated precompiled header list in new project file
	  template.

2006-05-01 09:05  robert

	* include/osg/: Drawable, Vec3s, Vec4s: From Eric Wing, removed
	  trailing semi colonds from namespace end bracket.

2006-05-01 07:51  robert

	* Make/makedefs: From Mathew May, FreeBSD support for AMD64.

2006-04-28 03:48  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added catch for thread model
	  w.r.t new PrecipitationEffect not being sensitive to threading
	  issues.

2006-04-25 06:50  robert

	* VisualStudio/osgWrappers/osgParticle/wrapper_osgParticle.dsp,
	  include/osgParticle/PrecipitationEffect,
	  src/osgWrappers/osgParticle/GNUmakefile,
	  src/osgWrappers/osgParticle/PrecipitationEffect.cpp: UPdated
	  wrappers

2006-04-25 05:56  robert

	* examples/osgprecipitation/osgprecipitation.cpp,
	  include/osgParticle/PrecipitationEffect: Added UseFarLineSegments
	  option

2006-04-25 05:39  robert

	* examples/osgprecipitation/osgprecipitation.cpp,
	  include/osgParticle/PrecipitationEffect,
	  src/osgParticle/PrecipitationEffect.cpp: Implemented seemless
	  update of precipitation properties.

2006-04-25 02:00  robert

	* src/osg/DisplaySettings.cpp: Reset the default number of graphics
	  context to 1.

2006-04-24 14:48  robert

	* include/osgParticle/PrecipitationEffect,
	  src/osgParticle/PrecipitationEffect.cpp: Moved LessFunctor into
	  header.

2006-04-24 09:21  robert

	* examples/osgprecipitation/osgprecipitation.cpp,
	  include/osgParticle/PrecipitationEffect,
	  src/osgParticle/PrecipitationEffect.cpp: Moved
	  PrecipitationParameters directly into PrecipitationEffect.

2006-04-24 04:24  robert

	* src/osgParticle/PrecipitationEffect.cpp: Added depth sorting of
	  cells.

2006-04-24 03:32  robert

	* src/osgParticle/PrecipitationEffect.cpp: Added near/far compute.

2006-04-24 02:35  robert

	* VisualStudio/OpenSceneGraph.dsw: Added osgParticle dependency to
	  osgPrecipitation example.

2006-04-24 01:37  robert

	* VisualStudio/OpenSceneGraph.dsw: Added osgUtil to the osgParticle
	  dependencies.

2006-04-23 23:36  robert

	* examples/osgprecipitation/osgprecipitation.cpp,
	  include/osgParticle/PrecipitationEffect,
	  src/osgParticle/PrecipitationEffect.cpp: Added support for wind.

2006-04-22 08:08  robert

	* VisualStudio/osgParticle/osgParticle.dsp,
	  examples/osgprecipitation/GNUmakefile,
	  examples/osgprecipitation/PrecipitationEffect.cpp,
	  examples/osgprecipitation/PrecipitationEffect.h,
	  examples/osgprecipitation/PrecipitationParameters.cpp,
	  examples/osgprecipitation/PrecipitationParameters.h,
	  examples/osgprecipitation/line_rain.vert,
	  examples/osgprecipitation/osgprecipitation.cpp,
	  examples/osgprecipitation/point_rain.frag,
	  examples/osgprecipitation/point_rain.vert,
	  examples/osgprecipitation/quad_rain.vert,
	  examples/osgprecipitation/rain.frag,
	  examples/osgprecipitation/rain.vert,
	  include/osgParticle/PrecipitationEffect,
	  src/osgParticle/GNUmakefile,
	  src/osgParticle/PrecipitationEffect.cpp: Moved
	  PrecipitationEffect node into osgParticle.

2006-04-22 08:07  robert

	* src/osgProducer/Viewer.cpp: Decreased notify level of debug
	  message.

2006-04-21 23:33  robert

	* examples/osgprecipitation/: GNUmakefile,
	  PrecipitationDrawable.cpp, PrecipitationDrawable.h,
	  PrecipitationEffect.cpp, PrecipitationEffect.h,
	  PrecipitationParameters.h: Moved PrecipitationDrawable into
	  PrecipitationEffect.

2006-04-21 12:39  robert

	* examples/osgprecipitation/: GNUmakefile,
	  PrecipitationDrawable.cpp, PrecipitationDrawable.h,
	  PrecipitationEffect.cpp, PrecipitationEffect.h,
	  PrecipitationParameters.cpp, PrecipitationParameters.h,
	  line_rain.vert, osgprecipitation.cpp, point_rain.frag: Added new
	  precipitation nodes.

2006-04-21 10:16  don

	* src/osgGA/UFOManipulator.cpp: Fixed a cut-n-paste error in the
	  ground intersects.

2006-04-19 12:00  robert

	* src/osgProducer/KeyboardMouseCallback.cpp: Fixed mouse scroll
	  mapping.

2006-04-19 06:04  robert

	* examples/osgprecipitation/: line_rain.vert, osgprecipitation.cpp,
	  point_rain.frag, point_rain.vert, quad_rain.vert: Convertered
	  shaders across to using modelview matrix instead of uniforms.

2006-04-17 12:10  robert

	* examples/osgprecipitation/: osgprecipitation.cpp,
	  point_rain.vert: Standardised the bin number of the particle
	  effects

2006-04-17 06:25  robert

	* src/osgUtil/RenderStage.cpp: Added setting of the FrameStamp on
	  the RenderStage's local GraphicsContext to keep it in sync with
	  the calling graphics context.

2006-04-14 09:44  robert

	* examples/osgprecipitation/osgprecipitation.cpp: Added inline
	  shaders so that the tha example can be run from any directory.

2006-04-14 08:03  robert

	* examples/osgprecipitation/osgprecipitation.cpp: Further tweaks to
	  settings to improve performance at mid intensity ranges

2006-04-14 07:24  robert

	* examples/osgprecipitation/osgprecipitation.cpp: Refined the
	  default settings for rain and snow to achieve better framerates.

2006-04-14 04:04  robert

	* examples/osgprecipitation/: line_rain.vert, osgprecipitation.cpp,
	  point_rain.vert, quad_rain.vert: Added fog parameters settings.

2006-04-14 01:28  robert

	* src/osgUtil/Optimizer.cpp: From Ben Discoe, added missing
	  drawable->dirtyDisplayList().

2006-04-13 13:21  robert

	* examples/osgprecipitation/osgprecipitation.cpp: Added
	  --numberOfParticles, --numberOfCellsX, --numberOfCellsY,
	  --numberOfCellsZ, --boundingBox, --fogEnd and --fogDensity
	  controls

2006-04-13 12:05  robert

	* examples/osgprecipitation/: osgprecipitation.cpp,
	  point_rain.vert, quad_rain.vert: Added command line options and
	  various speed improvements.

2006-04-12 04:59  robert

	* examples/osgprecipitation/: line_rain.vert, osgprecipitation.cpp,
	  point_rain.vert, quad_rain.vert: Implement positioning of cells
	  via vertex attribute.

2006-04-12 02:42  robert

	* examples/osgprecipitation/: line_rain.vert, osgprecipitation.cpp,
	  point_rain.vert, quad_rain.vert: Moved common uniforms to top of
	  precipitation subgraph.

	  Added a run of the SpatializeGroupVisitor to create a balanced
	  subgraph.

	  Changed the quad to particle transistion distance from 100 to
	  50m.

2006-04-11 12:56  robert

	* examples/osgprecipitation/: osgprecipitation.cpp,
	  point_rain.vert: Added support for LOD's with transistion between
	  quads and point rendering.

2006-04-11 06:22  robert

	* examples/osgprecipitation/: osgprecipitation.cpp,
	  point_rain.frag, point_rain.vert: Added support for point sprite
	  particle effects.

2006-04-11 03:53  robert

	* examples/osgprecipitation/: line_rain.vert, osgprecipitation.cpp,
	  point_rain.frag, point_rain.vert, quad_rain.vert, rain.vert:
	  Added point and line paths.

2006-04-11 01:44  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added setting of the
	  DisplaySettings::setMaxNumberOfGraphicsContext() to the number of
	  contexts required by Producer.

2006-04-10 08:45  robert

	* VisualStudio/: OpenSceneGraph.dsw,
	  examples/osgprecipitation/osgprecipitation.dsp: From Martin
	  Naylor, osgprecipitation project file.

2006-04-07 12:54  robert

	* examples/osgprecipitation/: osgprecipitation.cpp, rain.vert:
	  Added mipmap generation.

2006-04-07 11:24  robert

	* examples/osgprecipitation/: osgprecipitation.cpp, rain.frag,
	  rain.vert: Added quad based rain effect

2006-04-06 07:06  robert

	* include/osgUtil/Optimizer, src/osgUtil/Optimizer.cpp,
	  src/osgWrappers/osgUtil/Optimizer.cpp: From Brede Johansen, added
	  MergeGeode visitor to osgUtil::Optimizer.

2006-04-05 08:13  robert

	* Make/makedirdefs, examples/osgprecipitation/GNUmakefile,
	  examples/osgprecipitation/GNUmakefile.inst,
	  examples/osgprecipitation/osgprecipitation.cpp,
	  examples/osgprecipitation/rain.frag,
	  examples/osgprecipitation/rain.vert,
	  examples/osgsimulation/osgsimulation.cpp: Added beginings
	  osgprecipitation example.

2006-04-04 16:22  don

	* src/osgUtil/DelaunayTriangulator.cpp: Fixed a bug in the
	  DelaunayTriangulator uniquify points method.	Was always skipping
	  the first point.

2006-04-04 07:10  robert

	* VisualStudio/collect_mangled_names.js: Added missing .js file.

2006-04-04 06:47  robert

	* VisualStudio/: collect_mangled_names.bat,
	  create_static_workspace.js, osg/osg.dsp, osgDB/osgDB.dsp,
	  osgFX/osgFX.dsp, osgGA/osgGA.dsp, osgParticle/osgParticle.dsp,
	  osgPlugins/3dc/3dc.dsp, osgPlugins/ESRIShape/ESRIShape.dsp,
	  osgPlugins/OpenFlight/OpenFlight.dsp, osgPlugins/ac3d/ac3d.dsp,
	  osgPlugins/bmp/bmp.dsp, osgPlugins/dds/dds.dsp,
	  osgPlugins/directx/directx.dsp, osgPlugins/dw/dw.dsp,
	  osgPlugins/dxf/dxf.dsp, osgPlugins/flt/flt.dsp,
	  osgPlugins/freetype/freetype.dsp, osgPlugins/gdal/gdal.dsp,
	  osgPlugins/geo/geo.dsp, osgPlugins/gif/gif.dsp,
	  osgPlugins/hdr/hdr.dsp, osgPlugins/ive/ive.dsp,
	  osgPlugins/jpeg/jpeg.dsp, osgPlugins/lib3ds/lib3ds.dsp,
	  osgPlugins/logo/logo.dsp, osgPlugins/lwo/lwo.dsp,
	  osgPlugins/lws/lws.dsp, osgPlugins/md2/md2.dsp,
	  osgPlugins/net/net.dsp, osgPlugins/normals/normals.dsp,
	  osgPlugins/obj/obj.dsp, osgPlugins/osg/dot_osg.dsp,
	  osgPlugins/osgFX/dot_osgFX.dsp,
	  osgPlugins/osgParticle/dot_osgParticle.dsp,
	  osgPlugins/osgSim/dot_osgSim.dsp,
	  osgPlugins/osgText/dot_osgText.dsp, osgPlugins/osga/osga.dsp,
	  osgPlugins/osgtgz/osgtgz.dsp, osgPlugins/pic/pic.dsp,
	  osgPlugins/png/png.dsp, osgPlugins/pnm/pnm.dsp,
	  osgPlugins/rgb/rgb.dsp, osgPlugins/rot/rot.dsp,
	  osgPlugins/scale/scale.dsp, osgPlugins/stl/stl.dsp,
	  osgPlugins/tga/tga.dsp, osgPlugins/tgz/tgz.dsp,
	  osgPlugins/tiff/tiff.dsp, osgPlugins/trans/trans.dsp,
	  osgPlugins/txp/txp.dsp, osgPlugins/zip/zip.dsp,
	  osgProducer/osgProducer.dsp, osgSim/osgSim.dsp,
	  osgTerrain/osgTerrain.dsp, osgText/osgText.dsp,
	  osgUtil/osgUtil.dsp: From Joran Jessurun and Chris Hanson, Visual
	  Studio Static build support.

2006-04-04 06:20  robert

	* src/osgWrappers/: osg/Program.cpp,
	  osgProducer/OsgCameraGroup.cpp: Updated wrappers.

2006-04-04 05:58  robert

	* include/osgProducer/OsgCameraGroup: Converted SceneHandlerList to
	  use Producer::ref_ptr<>

2006-04-04 05:53  robert

	* Xcode/: OSX_OSG_README.rtf, Xcode_OSG_Instructions.rtf,
	  Misc/Build_OSG_OSX.sh, Misc/Symbolic_Link_App.sh,
	  Misc/Tar_Xcode.sh, Misc/osegs.pl, OpenSceneGraph/Info.plist,
	  OpenSceneGraph/OpenSceneGraph_Prefix.pch,
	  OpenSceneGraph/os-Info.plist, OpenSceneGraph/osg-Info.plist,
	  OpenSceneGraph/osgDB-Info.plist, OpenSceneGraph/osgFX-Info.plist,
	  OpenSceneGraph/osgGA-Info.plist,
	  OpenSceneGraph/osgGL2-Info.plist,
	  OpenSceneGraph/osgGLUTkeyboardmouse-Info.plist,
	  OpenSceneGraph/osgGLUTsimple-Info.plist,
	  OpenSceneGraph/osgParticle-Info.plist,
	  OpenSceneGraph/osgProducer-Info.plist,
	  OpenSceneGraph/osgSim-Info.plist,
	  OpenSceneGraph/osgTerrain-Info.plist,
	  OpenSceneGraph/osgText-Info.plist,
	  OpenSceneGraph/osgUtil-Info.plist,
	  OpenSceneGraph/osganimate-Info.plist,
	  OpenSceneGraph/osgarchive-Info.plist,
	  OpenSceneGraph/osgautotransform-Info.plist,
	  OpenSceneGraph/osgbillboard-Info.plist,
	  OpenSceneGraph/osgblendequation-Info.plist,
	  OpenSceneGraph/osgbluemarble-Info.plist,
	  OpenSceneGraph/osgcallback-Info.plist,
	  OpenSceneGraph/osgcamera-Info.plist,
	  OpenSceneGraph/osgcameragroup-Info.plist,
	  OpenSceneGraph/osgcatch-Info.plist,
	  OpenSceneGraph/osgclip-Info.plist,
	  OpenSceneGraph/osgcluster-Info.plist,
	  OpenSceneGraph/osgconv-Info.plist,
	  OpenSceneGraph/osgcopy-Info.plist,
	  OpenSceneGraph/osgcubemap-Info.plist,
	  OpenSceneGraph/osgdb_freetype-Info.plist,
	  OpenSceneGraph/osgdb_freetype2-Info.plist,
	  OpenSceneGraph/osgdb_osgText-Info.plist,
	  OpenSceneGraph/osgdelaunay-Info.plist,
	  OpenSceneGraph/osgdem-Info.plist,
	  OpenSceneGraph/osgdepthpartition-Info.plist,
	  OpenSceneGraph/osgdepthshadow-Info.plist,
	  OpenSceneGraph/osgdistortion-Info.plist,
	  OpenSceneGraph/osgfbo-Info.plist,
	  OpenSceneGraph/osgforest-Info.plist,
	  OpenSceneGraph/osgfxbrowser-Info.plist,
	  OpenSceneGraph/osggeodemo, OpenSceneGraph/osggeometry-Info.plist,
	  OpenSceneGraph/osghangglide-Info.plist,
	  OpenSceneGraph/osghud-Info.plist,
	  OpenSceneGraph/osgimposter-Info.plist,
	  OpenSceneGraph/osgintrospection-Info.plist,
	  OpenSceneGraph/osgkeyboard-Info.plist,
	  OpenSceneGraph/osgkeyboardmouse-Info.plist,
	  OpenSceneGraph/osglauncher-Info.plist,
	  OpenSceneGraph/osglightpoint-Info.plist,
	  OpenSceneGraph/osglist-Info.plist,
	  OpenSceneGraph/osglogicop-Info.plist,
	  OpenSceneGraph/osglogo-Info.plist,
	  OpenSceneGraph/osgmotionblur-Info.plist,
	  OpenSceneGraph/osgmovie-Info.plist,
	  OpenSceneGraph/osgmultiplecameras-Info.plist,
	  OpenSceneGraph/osgmultitexture-Info.plist,
	  OpenSceneGraph/osgocculder-Info.plist,
	  OpenSceneGraph/osgpagedlod-Info.plist,
	  OpenSceneGraph/osgparametric-Info.plist,
	  OpenSceneGraph/osgparticleExample-Info.plist,
	  OpenSceneGraph/osgparticleeffects-Info.plist,
	  OpenSceneGraph/osgpbuffer-Info.plist,
	  OpenSceneGraph/osgphotoalbum-Info.plist,
	  OpenSceneGraph/osgpick-Info.plist,
	  OpenSceneGraph/osgplanets-Info.plist,
	  OpenSceneGraph/osgpoints-Info.plist,
	  OpenSceneGraph/osgpointsprite-Info.plist,
	  OpenSceneGraph/osgprerender-Info.plist,
	  OpenSceneGraph/osgprerendercubemap-Info.plist,
	  OpenSceneGraph/osgreflect-Info.plist,
	  OpenSceneGraph/osgscalarbar-Info.plist,
	  OpenSceneGraph/osgscribe-Info.plist,
	  OpenSceneGraph/osgsequence-Info.plist,
	  OpenSceneGraph/osgshaders-Info.plist,
	  OpenSceneGraph/osgshaderterrain-Info.plist,
	  OpenSceneGraph/osgshadowtexture-Info.plist,
	  OpenSceneGraph/osgshape-Info.plist,
	  OpenSceneGraph/osgsimple-Info.plist,
	  OpenSceneGraph/osgsimplepager-Info.plist,
	  OpenSceneGraph/osgsimplifier-Info.plist,
	  OpenSceneGraph/osgsimulation-Info.plist,
	  OpenSceneGraph/osgslice-Info.plist,
	  OpenSceneGraph/osgslideshow-Info.plist,
	  OpenSceneGraph/osgspacewarp-Info.plist,
	  OpenSceneGraph/osgspheresegment-Info.plist,
	  OpenSceneGraph/osgspotlight-Info.plist,
	  OpenSceneGraph/osgstereoimage-Info.plist,
	  OpenSceneGraph/osgteapot-Info.plist,
	  OpenSceneGraph/osgtesselate-Info.plist,
	  OpenSceneGraph/osgtextexample-Info.plist,
	  OpenSceneGraph/osgtexture1D-Info.plist,
	  OpenSceneGraph/osgtexture2D-Info.plist,
	  OpenSceneGraph/osgtexture3D-Info.plist,
	  OpenSceneGraph/osgtexturerectangle-Info.plist,
	  OpenSceneGraph/osgunittests-Info.plist,
	  OpenSceneGraph/osgversion-Info.plist,
	  OpenSceneGraph/osgvertexprogram-Info.plist,
	  OpenSceneGraph/osgviewer-Info.plist,
	  OpenSceneGraph/osgvolume-Info.plist,
	  OpenSceneGraph/osgwindows-Info.plist,
	  OpenSceneGraph/version.plist,
	  OpenSceneGraph/English.lproj/InfoPlist.strings,
	  OpenSceneGraph/OpenSceneGraph.xcode/project.pbxproj,
	  OpenSceneGraph/OpenSceneGraph.xcodeproj/project.pbxproj,
	  XcodeTemplates/TemplateNotes.rtf, XcodeTemplates/OSG
	  Application/Info.plist, XcodeTemplates/OSG Application/main.cpp,
	  XcodeTemplates/OSG Application/osgApp_Prefix.pch,
	  XcodeTemplates/OSG Application/version.plist, XcodeTemplates/OSG
	  Application/English.lproj/InfoPlist.strings, XcodeTemplates/OSG
	  Application/English.lproj/main.nib/classes.nib,
	  XcodeTemplates/OSG Application/English.lproj/main.nib/info.nib,
	  XcodeTemplates/OSG
	  Application/English.lproj/main.nib/objects.xib,
	  XcodeTemplates/OSG Application/OSGApp.pbproj/TemplateInfo.plist,
	  XcodeTemplates/OSG Application/OSGApp.pbproj/project.pbxproj:
	  From Eric Wing, XCode project files.

2006-04-03 12:14  robert

	* src/osgProducer/ViewerEventHandler.cpp: #if'd out use of barrier
	  for stats collection.

2006-04-03 11:25  robert

	* src/osgProducer/Viewer.cpp: Temporary fix for hang in stats when
	  multi-threaded.

2006-03-30 17:37  don

	* src/osgPlugins/ESRIShape/ESRIShape.cpp: Don Tidrow's ifdef for
	  MingW

2006-03-30 02:20  robert

	* examples/: osgcatch/osgcatch.cpp, osgcluster/osgcluster.cpp,
	  osgpbuffer/osgpbuffer.cpp, osgphotoalbum/osgphotoalbum.cpp,
	  osgstereoimage/osgstereoimage.cpp, osgwindows/osgwindows.cpp:
	  Build fixes to cope with changes to Producer/osgProducer.

2006-03-29 15:32  don

	* applications/osgviewer/osgviewer.cpp,
	  include/osgProducer/OsgCameraGroup,
	  src/osgProducer/OsgCameraGroup.cpp, src/osgProducer/Viewer.cpp,
	  src/osgProducer/ViewerEventHandler.cpp: Updates to osgProducer to
	  bring it up to speed with changes in Producer

2006-03-28 08:08  robert

	* include/osg/Program, include/osg/Uniform, src/osg/Program.cpp:
	  From Mike Weiblen, changes to internal help class in prep for
	  array uniform support.  Small tweaks for build under Linux from
	  Robert Osfield.

2006-03-28 06:45  robert

	* src/osgPlugins/ive/: IveVersion.h, PagedLOD.cpp: From Glenn
	  Waldrom, addition of .ive support for PriorityOffset and
	  PriorityScale.

2006-03-28 02:45  robert

	* src/osgProducer/OsgCameraGroup.cpp: From Eric Sokolosky, added
	  help for PRODUCER_CAMERA_BLOCK_ON_VSYNC

2006-03-28 02:28  robert

	* include/osgProducer/Viewer, src/osgProducer/Viewer.cpp: From Mike
	  Weiblen, added support for new OSG_IMAGE_FILE_NAME env var for
	  setting the default name to use when writing out captured images
	  from the viewer.

2006-03-27 12:30  robert

	* ChangeLog: Updated ChangeLog.

2006-03-17 23:07  robert

	* src/osgPlugins/osgParticle/GNUmakefile,
	  src/osgPlugins/osgParticle/IO_ConstantRateCounter.cpp,
	  VisualStudio/osgPlugins/osgParticle/dot_osgParticle.dsp: From
	  Farshid Lasharki, added IO suppoty fo
	  osgParticle::ConstantRateContour

2006-03-17 14:25  robert

	* src/osgWrappers/: osgGA/EventQueue.cpp, osgParticle/Particle.cpp:
	  Updated wrappers.

2006-03-17 14:23  robert

	* include/osgSim/OpenFlightOptimizer: Added exports.

2006-03-17 14:22  robert

	* examples/osgdepthpartition/osgdepthpartition.cpp: From Keith
	  Steffen, changed instance of sun to sun_geode to avoid Solaris10
	  build issue with it defining "sun"?#!

2006-03-17 06:05  robert

	* include/osgParticle/Particle,
	  src/osgPlugins/osgParticle/IO_Particle.cpp: From Farshid
	  Lashkari, Added ability to read/write the texture tile settings
	  of osgParticle::Particle to .osg files.

2006-03-17 03:28  robert

	* include/osgUtil/GLObjectsVisitor: From Sohey Yamamoto, fixed
	  eroneous CHECK_BLACK_LISTED_MODES enum value, changing 0xA0 to
	  0x100

2006-03-15 07:49  robert

	* include/osgGA/EventQueue, src/osgGA/EventQueue.cpp: Added
	  createEvent() convinience method.

2006-03-15 04:26  robert

	* include/osgSim/SphereSegment: Added comment on the meaning of the
	  matrix paramter in the computeIntersections methods.

2006-03-15 04:26  robert

	* examples/osgspheresegment/osgspheresegment.cpp: Added moving
	  sphere segment intersections.

2006-03-15 03:21  robert

	* src/osgPlugins/ESRIShape/ESRIShape.h: From Martin Naylor, build
	  fix for Win32.

2006-03-15 02:36  robert

	* VisualStudio/: OpenSceneGraph.dsw,
	  osgPlugins/ESRIShape/ESRIShape.dsp: From Martin Naylor, added
	  ESRIShape.dsp project

2006-03-14 05:18  robert

	* VisualStudio/osgWrappers/osgGA/wrapper_osgGA.dsp,
	  include/osgGA/EventQueue, src/osgGA/EventQueue.cpp,
	  src/osgPlugins/txp/TXPPagedLOD.cpp,
	  src/osgProducer/KeyboardMouseCallback.cpp,
	  src/osgProducer/Viewer.cpp, src/osgWrappers/osgGA/EventQueue.cpp,
	  src/osgWrappers/osgGA/GNUmakefile: Build fixes

2006-03-14 01:33  robert

	* src/osgPlugins/xine/video_out_rgb.c: Added 21 as the version
	  number of xine video plugin to allow it work with latest versions
	  of xine.

2006-03-14 01:23  robert

	* VisualStudio/: OpenSceneGraph.dsw,
	  osgPlugins/normals/normals.dsp: From Martin Naylor, added normals
	  VS project

2006-03-13 13:29  robert

	* include/osg/DisplaySettings, src/osg/DisplaySettings.cpp,
	  src/osgProducer/OsgCameraGroup.cpp,
	  src/osgWrappers/osg/DisplaySettings.cpp: From Farshid Lashkari,
	  "The following patch adds a multisample option to the
	  osg::DisplaySettings class. OsgCameraGroup will now read the
	  setting from the DisplaySettings instead of hardcoding the value.
	  I added the following commandline option to be able to set the
	  multisample value:

	  --samples <num>

	  One thing to note, OsgCameraGroup would previously check if the
	  computer is an SGI and set multisample to 4. I retained this
	  check in DisplaySettings to be backwards compatible."

2006-03-13 13:20  robert

	* src/osgPlugins/txp/: TXPPagedLOD.cpp, TXPPagedLOD.h: From Andrew
	  Sampson, "The terravista terrain generation tool can insert
	  references to external model files into a terrapage tile.  It
	  unfortunately does not update the bounding sphere of that tile to
	  include the extents of the external model.  This means that if a
	  large model (such as an airfield model) is attached to a tile,
	  the model will disappear when the tile is off-screen (outside the
	  view volume), even though the model is on-screen."

2006-03-13 05:19  robert

	* include/osgGA/EventQueue,
	  include/osgProducer/KeyboardMouseCallback,
	  include/osgProducer/Viewer, src/osgGA/EventQueue.cpp,
	  src/osgProducer/KeyboardMouseCallback.cpp,
	  src/osgProducer/Viewer.cpp, src/osgWrappers/osgGA/EventQueue.cpp,
	  src/osgWrappers/osgProducer/KeyboardMouseCallback.cpp,
	  src/osgWrappers/osgProducer/Viewer.cpp: Added an EventQueue
	  directly into osgProducer::Viewer.

2006-03-09 07:16  robert

	* src/osgWrappers/osgProducer/Export.cpp: Checked in the genwrapper
	  generated Export.cpp.  This does seem to be an eroneously built
	  file though since Export.cpp doesn't appear in the other
	  plugins...  I have checked it in here to keep the builds running,
	  there isn't actually any useful body in the Export.cpp.

2006-03-09 05:02  robert

	* src/: osgPlugins/OpenFlight/AncillaryRecords.cpp,
	  osgPlugins/OpenFlight/AttrData.cpp,
	  osgPlugins/OpenFlight/AttrData.h,
	  osgPlugins/OpenFlight/ControlRecords.cpp,
	  osgPlugins/OpenFlight/DataInputStream.cpp,
	  osgPlugins/OpenFlight/DataInputStream.h,
	  osgPlugins/OpenFlight/Document.cpp,
	  osgPlugins/OpenFlight/Document.h,
	  osgPlugins/OpenFlight/GeometryRecords.cpp,
	  osgPlugins/OpenFlight/LightPointRecords.cpp,
	  osgPlugins/OpenFlight/PaletteRecords.cpp,
	  osgPlugins/OpenFlight/Pools.cpp, osgPlugins/OpenFlight/Pools.h,
	  osgPlugins/OpenFlight/PrimaryRecords.cpp,
	  osgPlugins/OpenFlight/ReaderWriterATTR.cpp,
	  osgPlugins/OpenFlight/ReaderWriterFLT.cpp,
	  osgPlugins/OpenFlight/Record.cpp, osgPlugins/OpenFlight/Record.h,
	  osgPlugins/OpenFlight/RecordInputStream.cpp,
	  osgPlugins/OpenFlight/RecordInputStream.h,
	  osgPlugins/OpenFlight/Registry.cpp,
	  osgPlugins/OpenFlight/Registry.h,
	  osgPlugins/OpenFlight/ReservedRecords.cpp,
	  osgPlugins/OpenFlight/RoadRecords.cpp,
	  osgPlugins/OpenFlight/Vertex.cpp, osgPlugins/OpenFlight/Vertex.h,
	  osgPlugins/OpenFlight/VertexRecords.cpp,
	  osgPlugins/OpenFlight/opcodes.h, osgPlugins/OpenFlight/types.h,
	  osgSim/OpenFlightOptimizer.cpp: Ran dos2unix on new OpenFlight
	  files.

2006-03-08 13:38  robert

	* Make/makedirdefs, VisualStudio/OpenSceneGraph.dsw,
	  VisualStudio/osgPlugins/OpenFlight/OpenFlight.dsp,
	  VisualStudio/osgSim/osgSim.dsp,
	  VisualStudio/osgWrappers/osgSim/wrapper_osgSim.dsp,
	  include/osgSim/OpenFlightOptimizer, src/osgDB/Registry.cpp,
	  src/osgPlugins/OpenFlight/AncillaryRecords.cpp,
	  src/osgPlugins/OpenFlight/AttrData.cpp,
	  src/osgPlugins/OpenFlight/AttrData.h,
	  src/osgPlugins/OpenFlight/ControlRecords.cpp,
	  src/osgPlugins/OpenFlight/DataInputStream.cpp,
	  src/osgPlugins/OpenFlight/DataInputStream.h,
	  src/osgPlugins/OpenFlight/Document.cpp,
	  src/osgPlugins/OpenFlight/Document.h,
	  src/osgPlugins/OpenFlight/GNUmakefile,
	  src/osgPlugins/OpenFlight/GeometryRecords.cpp,
	  src/osgPlugins/OpenFlight/LightPointRecords.cpp,
	  src/osgPlugins/OpenFlight/PaletteRecords.cpp,
	  src/osgPlugins/OpenFlight/Pools.cpp,
	  src/osgPlugins/OpenFlight/Pools.h,
	  src/osgPlugins/OpenFlight/PrimaryRecords.cpp,
	  src/osgPlugins/OpenFlight/ReaderWriterATTR.cpp,
	  src/osgPlugins/OpenFlight/ReaderWriterFLT.cpp,
	  src/osgPlugins/OpenFlight/Record.cpp,
	  src/osgPlugins/OpenFlight/Record.h,
	  src/osgPlugins/OpenFlight/RecordInputStream.cpp,
	  src/osgPlugins/OpenFlight/RecordInputStream.h,
	  src/osgPlugins/OpenFlight/Registry.cpp,
	  src/osgPlugins/OpenFlight/Registry.h,
	  src/osgPlugins/OpenFlight/ReservedRecords.cpp,
	  src/osgPlugins/OpenFlight/RoadRecords.cpp,
	  src/osgPlugins/OpenFlight/Vertex.cpp,
	  src/osgPlugins/OpenFlight/Vertex.h,
	  src/osgPlugins/OpenFlight/VertexRecords.cpp,
	  src/osgPlugins/OpenFlight/opcodes.h,
	  src/osgPlugins/OpenFlight/types.h, src/osgSim/GNUmakefile,
	  src/osgSim/OpenFlightOptimizer.cpp,
	  src/osgWrappers/osgSim/GNUmakefile,
	  src/osgWrappers/osgSim/OpenFlightOptimizer.cpp: From Brede
	  Johansen, new OpenFlight plugin!!!!!

	  By default the original flt plugin is still used, to select at
	  runtime the new plugin set the env OSG_OPEN_FLIGHT_PLUGIN=new

2006-03-08 08:11  robert

	* include/osg/GLExtensions, include/osg/Texture3D,
	  src/osg/GLExtensions.cpp, src/osg/Texture3D.cpp,
	  src/osgWrappers/osg/Texture3D.cpp: From Bob Kuehne, added
	  osg::getGlVersion() and fixed a minor typo in Texture3D.

2006-03-08 07:40  robert

	* include/osgGA/EventQueue, src/osgGA/EventQueue.cpp: Added
	  EventQueue.

2006-03-08 07:30  robert

	* src/osgDB/Registry.cpp: From Farshid Lashkari, "A while back the
	  behaviour of extension alias' was modified so that the user can
	  override existing alias'. The change allowed for circular
	  references, so the createLibraryNameForExtension would get caught
	  in an endless loop. The following fix will catch circular
	  references."

2006-03-08 07:26  robert

	* src/osgParticle/ParticleProcessor.cpp: From Farshid Lashkari, "I
	  noticed that sometimes when a particle emitter is re-enabled, a
	  few particles will appear at the location it was disabled at. The
	  problem is that the previous local to world matrix is not being
	  updated while it is disabled. I modified the particle processor
	  so that it will set the dirty flag for the previous local to
	  world matrix when the processor is skipped for a frame, since the
	  value will no longer be relevant."

2006-03-08 07:16  robert

	* src/osgPlugins/ac3d/ac3d.cpp: From Roger James, "1. Fixed a
	  problem with the caching of textures when the associated image
	  file was not in the current working directory. In this case the
	  texture object was being placed in the cache with the short
	  filename, but was looked up with the full path.

	  2. Fixed a problem with the caching of textures when CACHE_IMAGES
	  was enabled. This caused a conflict is the names used to cache
	  the image and texture objects.

	  3. Fixed a problem where AC3D generates surfaces with duplicate
	  vertex indices.

	  4. Removed what I believe are redundant calls to the tesselator.

	  5. Added a couple of asserts which should fire in debug mode if
	  my assumptions about 4. are incorrect.

	  6. Removed obviously unused code. (Stuff that was commented or
	  ifdeffed out.)"

	  Note, from Robert Osfield, changed the asserts to if () report
	  error using notify so we can catch errors in both optimized and
	  debug builds, but without crashing.

2006-03-08 06:09  robert

	* VisualStudio/osgGA/osgGA.dsp,
	  VisualStudio/osgProducer/osgProducer.dsp,
	  VisualStudio/osgWrappers/osgGA/wrapper_osgGA.dsp,
	  VisualStudio/osgWrappers/osgProducer/wrapper_osgProducer.dsp,
	  examples/osgcatch/osgcatch.cpp,
	  examples/osgcluster/osgcluster.cpp,
	  examples/osghangglide/GliderManipulator.cpp,
	  examples/osgimpostor/TestManipulator.cpp,
	  examples/osgphotoalbum/osgphotoalbum.cpp,
	  examples/osgstereoimage/osgstereoimage.cpp,
	  examples/osgvolume/osgvolume.cpp, include/osgGA/EventVisitor,
	  include/osgGA/GUIEventAdapter,
	  include/osgGA/KeySwitchMatrixManipulator,
	  include/osgProducer/EventAdapter,
	  include/osgProducer/KeyboardMouseCallback,
	  src/osgGA/AnimationPathManipulator.cpp,
	  src/osgGA/DriveManipulator.cpp, src/osgGA/FlightManipulator.cpp,
	  src/osgGA/GNUmakefile, src/osgGA/GUIEventAdapter.cpp,
	  src/osgGA/GUIEventHandler.cpp,
	  src/osgGA/NodeTrackerManipulator.cpp,
	  src/osgGA/TerrainManipulator.cpp,
	  src/osgGA/TrackballManipulator.cpp, src/osgGA/UFOManipulator.cpp,
	  src/osgProducer/EventAdapter.cpp, src/osgProducer/GNUmakefile,
	  src/osgProducer/KeyboardMouseCallback.cpp,
	  src/osgProducer/Viewer.cpp, src/osgWrappers/osgGA/EventQueue.cpp,
	  src/osgWrappers/osgGA/EventVisitor.cpp,
	  src/osgWrappers/osgGA/GNUmakefile,
	  src/osgWrappers/osgGA/GUIEventAdapter.cpp,
	  src/osgWrappers/osgProducer/EventAdapter.cpp,
	  src/osgWrappers/osgProducer/GNUmakefile,
	  src/osgWrappers/osgProducer/KeyboardMouseCallback.cpp: Converted
	  osgGA::GUIEventAdapter into a concrete class capable of
	  respresenting keyboard and mouse events.

	  Added osgGA::EventQueue class to support a thread safe event
	  queue and adaption of keyboard and mouse events.

	  Removed osgProducer::EventAdapter as GUIEventAdapter replaces it.

	  Adapted osgProducer and examples to work with the new changes to
	  osgGA.

2006-03-07 10:26  don

	* src/osgPlugins/net/ReaderWriterNET.cpp: Improved the GET protocol
	  for the http socket.	By adding Connection: close the server
	  sends a EOF immediately after the data, improving performance
	  because readers are not left waiting for EOF.

2006-03-05 12:46  robert

	* include/: osgGA/EventVisitor, osgGA/GUIEventAdapter,
	  osgProducer/EventAdapter: Began work on making EventVisitor
	  capable of adapting events directly.

2006-03-02 12:39  robert

	* src/osgPlugins/: png/ReaderWriterPNG.cpp,
	  tiff/ReaderWriterTIFF.cpp: From Farshid Lashkari, support for
	  writing to istream for the the TIFF plugin and support for
	  controlling PNG compression level via the the
	  ReaderWriter::Option string "PNG_COMPRESSION <level>"

2006-03-02 12:31  robert

	* src/osgPlugins/ive/DataOutputStream.cpp: Added automatic toggling
	  between png and jpeg when compressImageData option is used. Jpeg
	  is used to compress RGB data only, the just of the formats are
	  passed on to the png plugin.

2006-03-02 07:26  robert

	* Make/: helprules, instrules, makedefs, makedirdefs, makerules,
	  versionrules: From Robert Swain, compile fix for debian unstable.

2006-03-02 06:58  robert

	* src/osgPlugins/png/ReaderWriterPNG.cpp: From Farshid Lashakari,
	  support for png write.

2006-03-01 02:17  robert

	* src/osgPlugins/ive/: DataInputStream.cpp, DataOutputStream.cpp,
	  DataTypeSize.h: From Farshid Lashkari, "I've attached another
	  modified version of the IVE loader which supports compressing the
	  image data. The option to compress the data is
	  "compressImageData". Currently it uses the jpeg plugin to write
	  the image. Maybe we could add an option that allows the user to
	  specify which image format to use. The jpeg writer supports
	  specifying the quality of the jpeg, so you could use the
	  following command line to convert the skydome.osg model to IVE
	  using 50% jpeg quality:

	  osgconv -O "compressImageData JPEG_QUALITY 50" skydome.osg
	  skydome.ive"

2006-02-28 13:18  robert

	* src/osgPlugins/ive/GNUmakefile: Added TextureRectangle.cpp

2006-02-28 12:10  robert

	* examples/osgprerendercubemap/osgprerendercubemap.cpp: Compile
	  fix.

2006-02-28 11:46  robert

	* src/osg/Geometry.cpp: From Brede Johansen, added missing array
	  handling into Geometry::accept(AttributeFunctor& af) and
	  Geometry::accept(ConstAttributeFunctor& af).

2006-02-28 11:36  robert

	* VisualStudio/highlight70.reg, VisualStudio/highlight71.reg,
	  VisualStudio/highlight80.reg,
	  examples/osgprerendercubemap/osgprerendercubemap.cpp,
	  src/osgProducer/Viewer.cpp: Further clean up of RefNodePath
	  references.

2006-02-28 11:12  robert

	* src/osgWrappers/osgProducer/Viewer.cpp: Updated wrappers.

2006-02-28 10:54  robert

	* include/osgProducer/Viewer, src/osg/NodeTrackerCallback.cpp,
	  src/osgProducer/Viewer.cpp: Fixes to removed dependency on
	  RefNodePath.

2006-02-27 11:51  robert

	* VisualStudio/osg/osg.dsp,
	  VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  src/osgWrappers/osg/GNUmakefile, src/osgWrappers/osg/Node.cpp,
	  src/osgWrappers/osg/NodeTrackerCallback.cpp,
	  src/osgWrappers/osg/RefNodePath.cpp,
	  src/osgWrappers/osg/Referenced.cpp,
	  src/osgWrappers/osg/observer_ptr.cpp,
	  src/osgWrappers/osgGA/NodeTrackerManipulator.cpp,
	  src/osgWrappers/osgProducer/Viewer.cpp: Updated wrappers.

2006-02-27 11:49  robert

	* include/osg/NodeTrackerCallback, include/osg/RefNodePath,
	  include/osgGA/NodeTrackerManipulator,
	  src/osg/NodeTrackerCallback.cpp,
	  src/osgGA/NodeTrackerManipulator.cpp: Ported NodeTrackCallback
	  and NodeTrackManipulator across to use oberserver_ptr instead of
	  RefNodePath.

	  Removed now redundent RefNodePath.

2006-02-27 11:48  robert

	* include/osg/Node, include/osg/Transform, src/osg/Node.cpp,
	  src/osg/Transform.cpp: Added support in osg::computeWorldToLocal
	  and compteLocalToWorld functions for automatically stripping any
	  absolute or root CameraNode's from the NodePaths.

	  Added osg::Node::getWorldMatrices() convinience method.

2006-02-27 11:44  robert

	* include/osg/Referenced, include/osg/observer_ptr,
	  src/osg/Referenced.cpp: Added new observer_ptr templated smart
	  pointer to allow one to retain pointers to objects but have the
	  pointer reset to null if that object is deleted.

2006-02-26 09:45  robert

	* VisualStudio/osgPlugins/ive/ive.dsp,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataInputStream.h,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.h,
	  src/osgPlugins/ive/DataTypeSize.h,
	  src/osgPlugins/ive/ReadWrite.h, src/osgPlugins/ive/Texture1D.cpp,
	  src/osgPlugins/ive/Texture2D.cpp,
	  src/osgPlugins/ive/Texture3D.cpp,
	  src/osgPlugins/ive/TextureCubeMap.cpp,
	  src/osgPlugins/ive/TextureCubeMap.h,
	  src/osgPlugins/ive/TextureRectangle.cpp,
	  src/osgPlugins/ive/TextureRectangle.h: From Farshid Lashkari,
	  "I've made some changes to the IVE loader which will add the
	  capability of saving image files inside the IVE file. Currently,
	  only the raw image data is saved into the file. If your model
	  uses jpg images as textures then this will cause your file size
	  to increase.

	  I've added an option that will embed the original image file into
	  the IVE file. The IVE file will then attempt to read the image
	  from memory. Since most image loaders support reading from
	  memory, this shouldn't be a problem. To use this new feature the
	  user must specify the option "includeImageFileInIVEFile" when
	  converting to IVE.

	  I tested this out on the "skydome.osg" model that comes with OSG.
	   Using the old method, the IVE file size would be 785 KB, with
	  the new method it is only 42 KB.

	  Also, I've added the support for TextureRectangle's to the IVE
	  reader/writer."

2006-02-24 05:57  robert

	* examples/osgparticleeffects/osgparticleeffects.cpp: Added
	  debugging code to help pick out instablilities in osgParticle.
	  Debugging code now commented out.

2006-02-24 05:56  robert

	* src/osgParticle/FluidProgram.cpp: Added clamping of the wind
	  force contribution to acceletion of particle so that the
	  de-acceleration never exceed the actual wind vector itself.

2006-02-23 12:37  robert

	* src/osgPlugins/osg/ClusterCullingCallback.cpp: Completed .osg
	  support for ClusterCullingCallback.

2006-02-23 08:47  robert

	* src/osgTerrain/DataSet.cpp: Disabled the running of tristripping
	  and smoothing from within the Simplifier.

2006-02-23 04:41  robert

	* include/osg/Drawable: From Gordon Tomlinson, spelling fixes.

2006-02-23 04:39  robert

	* examples/osgsimulation/osgsimulation.cpp: Fixed function name
	  call.

2006-02-22 12:51  robert

	* include/osg/Drawable: Fixed getBound() comment.

2006-02-22 11:28  robert

	* src/osgWrappers/: osg/AutoTransform.cpp, osg/CameraNode.cpp,
	  osg/PointSprite.cpp, osg/State.cpp, osg/StateAttribute.cpp,
	  osg/StateSet.cpp, osgSim/OverlayNode.cpp,
	  osgUtil/GLObjectsVisitor.cpp: Updated wrappers.

2006-02-22 11:14  robert

	* include/osg/PointSprite, include/osg/StateAttribute,
	  include/osg/StateSet, src/osg/PointSprite.cpp,
	  src/osg/StateSet.cpp, src/osgUtil/GLObjectsVisitor.cpp: Fixed
	  typo of Validity.

2006-02-22 08:05  robert

	* src/osgFX/Cartoon.cpp: From Thom Carlo, with tweak from Robert
	  Osfield, removed the setting of the outline colour (the emission
	  part of material) during setup of the Carton effects for the
	  second pass.

2006-02-22 06:35  robert

	* include/osg/StateSet: Fixed documentation.

2006-02-22 06:31  robert

	* include/osg/PointSprite, include/osg/State,
	  include/osg/StateAttribute, include/osg/StateSet,
	  include/osgUtil/GLObjectsVisitor, src/osg/PointSprite.cpp,
	  src/osg/State.cpp, src/osg/StateSet.cpp,
	  src/osgUtil/GLObjectsVisitor.cpp, src/osgUtil/SceneView.cpp:
	  Added support for OpenGL mode black listing to provide better
	  support for extension checking and invalidation of OpenGL modes
	  associated with extensions.

2006-02-21 13:29  robert

	* VisualStudio/osgPlugins/osg/dot_osg.dsp: Added
	  ClusterCullingCallback.cpp

2006-02-21 13:28  robert

	* src/osgPlugins/osg/: ClusterCullingCallback.cpp, GNUmakefile:
	  Added initial cut of ClusterCullingCallback .osg support.

2006-02-21 06:34  robert

	* applications/osgviewer/osgviewer.cpp: From Gordon Tomlinson,
	  spelling fixes.

2006-02-21 05:55  robert

	* VisualStudio/highlight80.reg: From Gordon Tomlinson, VS2005
	  Syntax highling regonition.

2006-02-21 05:51  robert

	* include/osg/AutoTransform, src/osg/AutoTransform.cpp: From Paul
	  Martz, "I've attempted to make AutoTransform override
	  computeBounds() to return an invalid bounding sphere if it hasn't
	  seen a cull traversal yet. It depends on _firstTimeToSetEyePoint,
	  which is initially true, then false after a cull. There might be
	  a better way? If so, let me know.

	  This change does resolve the issue I had encountered with auto
	  scale to screen and incorrect culling."

2006-02-21 04:39  robert

	* src/osgPlugins/flt/: LightPointRecord.cpp, LightPointRecord.h,
	  flt2osg.cpp: From Trajce Nikolov, "small fix for the flt loader -
	  the back color of the bidirectional light points"

2006-02-20 13:05  robert

	* examples/osganimate/osganimate.cpp,
	  examples/osgmultiplecameras/osgmultiplecameras.cpp,
	  include/osg/CameraNode, include/osgSim/OverlayNode,
	  include/osgSim/VisibilityGroup, include/osgUtil/SceneView,
	  src/osg/CameraNode.cpp, src/osgPlugins/osg/CameraNode.cpp,
	  src/osgPlugins/pfb/ReaderWriterPFB.cpp,
	  src/osgSim/OverlayNode.cpp, src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/IntersectVisitor.cpp: From Ulrich Hertlein, spelling
	  corrections and a few Doxgen comments.

2006-02-20 12:06  robert

	* src/osgPlugins/png/ReaderWriterPNG.cpp: From Eric Sokolowsky,
	  "There was a problem with the PNG plugin when it encounters an
	  image that is less than 8 bits per pixel (this can happen with
	  greyscale or paletted images).  It was a pretty simple problem to
	  fix."

2006-02-20 11:13  robert

	* VisualStudio/osgPlugins/ive/ive.dsp,
	  src/osgPlugins/ive/AutoTransform.cpp,
	  src/osgPlugins/ive/AutoTransform.h,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/GNUmakefile, src/osgPlugins/ive/ReadWrite.h:
	  From Nathan Monteleone, addition of AutoTransform support.

2006-02-20 08:50  robert

	* src/osg/Notify.cpp: Moved the intialization variable reset to end
	  of the init funciton to avoid multi-thread initialization from
	  producing different results.

2006-02-20 08:20  robert

	* src/osgDB/FileUtils.cpp: From Ed Ralston, "According to the OSX
	  Developer Documentation, CFRelease cannot be called with a NULL
	  argument.

	  This patch prevents osgDB::FileUtils from doing this."

2006-02-20 07:46  robert

	* src/osgPlugins/ive/DataInputStream.cpp: Added missing swap byte
	  operations to readVec*sArray() methods.

2006-02-20 07:32  robert

	* src/osgPlugins/ive/DataInputStream.cpp: From Daniel Larimer,
	  fixed error is swap byte code handling vector<short>

2006-02-20 07:25  robert

	* Make/makerules: From Markus Trenkwalder, "when building debug
	  libs in mingw the .dll.a files are not copied to the
	  lib/MINGW(32) folder. The makefiles in the attached zip should
	  fix this."

2006-02-09 11:31  don

	* src/osgGA/UFOManipulator.cpp: Fixed a bug spotted in
	  UFOManipulator where a Vec3's 4th component was being inspected
	  (ip[3]).

2006-02-09 04:20  robert

	* include/osg/BlendColor, src/osg/BlendColor.cpp,
	  src/osgWrappers/osg/BlendColor.cpp,
	  src/osgWrappers/osgDB/DatabasePager.cpp,
	  src/osgWrappers/osgUtil/Simplifier.cpp: Added BlenColour(Vec4)
	  constructor and updated wrappers.

2006-02-08 15:41  don

	* include/osgUtil/DelaunayTriangulator,
	  src/osgUtil/DelaunayTriangulator.cpp: Added a filter to the
	  Delaunay Triangulator to insure that incoming points are unique
	  in the X and Y components.

2006-02-06 12:36  robert

	* include/osgUtil/Simplifier, src/osgUtil/Simplifier.cpp: Added
	  s/getDoTriStrip and s/getSmoothing method.

2006-02-06 11:41  don

	* Make/makedirdefs: Added normals and ESRIshape directories to
	  makedirdefs

2006-02-06 11:40  don

	* src/osgPlugins/normals/: GNUmakefile, Normals.cpp, Normals.h,
	  ReaderWriterNormals.cpp: Added 'normals' pseudoloader

2006-02-06 11:16  robert

	* include/osgUtil/Simplifier, src/osgUtil/Simplifier.cpp: Improved
	  default settings, re-enambled smoothing and tri stripping of
	  sampled data.

2006-02-06 09:12  robert

	* examples/osgsimplifier/osgsimplifier.cpp,
	  include/osgUtil/Simplifier, src/osgUtil/Simplifier.cpp: Added
	  support for up sampling by dividing longest edges.

2006-02-05 13:53  robert

	* include/osg/Math, src/osgDB/DynamicLibrary.cpp: From David
	  Guthrie, OSX marco reworking to better handling different OSX
	  versions.

2006-02-04 13:25  robert

	* src/osg/ShapeDrawable.cpp: From Edmond Gheury, fixe and bug in
	  the PrimitiveShapeVisitor.

2006-02-04 13:20  robert

	* src/: osg/FrameBufferObject.cpp, osgProducer/OsgCameraGroup.cpp,
	  osgUtil/RenderStage.cpp: From Marco Jez, " I've modified in order
	  to make FBO mipmapping work. In FrameBufferObject.cpp there is
	  also another fix: when initializing a FBO attachment from a
	  CameraNode attachment, the renderbuffer's format must be set to
	  the attachment's internal format, not to the image's pixel
	  format.

	  Another problem is that attaching a renderbuffer to the FBO
	  through CameraNode is not simple (if not impossible) if you don't
	  intend to specify an Image object. Probably CameraNode could be
	  enriched with an "attach(buffer, width, height, format)" method.
	  For example if you attach a color buffer as a texture whose size
	  is different than that of the CameraNode's viewport you also need
	  to attach a depth buffer of the same size, because the depth
	  buffer that is automatically attached by RenderStage has the
	  viewport's size. FBOs require that all attachment have the same
	  dimensions, so said setup will fail if you can't specify a custom
	  depth renderbuffer"

2006-02-04 13:12  robert

	* include/osgParticle/ParticleProcessor,
	  include/osgParticle/ParticleSystemUpdater,
	  src/osgParticle/ParticleProcessor.cpp,
	  src/osgParticle/ParticleSystemUpdater.cpp: From Brad Anderegg,
	  add _frameNumber and associated code to ensure that particles
	  only get updated once per frame.

2006-02-04 13:06  robert

	* include/osgDB/DatabasePager: From Chris Hanson, added get methods
	  for size of file request and data to compile lists.

2006-01-24 09:43  don

	* src/osgPlugins/: tgz/ReaderWriterTGZ.cpp,
	  zip/ReaderWriterZIP.cpp: Changes to zip and tgz plug-ins to allow
	  for use of TEMP variable on Windows.	Submitted by Zach Deedler

2006-01-24 04:02  robert

	* src/osgUtil/SceneView.cpp: cleaned up clampNearNar code.

2006-01-23 12:38  robert

	* src/osgDB/DatabasePager.cpp: Improved the env var reporting to
	  avoid the overlong lines.

2006-01-23 12:16  robert

	* applications/osgdem/osgdem.cpp: Added explanation of
	  --no-terrain-simplification

2006-01-21 05:02  robert

	* VisualStudio/osgWrappers/osgParticle/wrapper_osgParticle.dsp,
	  src/osgWrappers/osg/FrameBufferObject.cpp,
	  src/osgWrappers/osg/Program.cpp, src/osgWrappers/osg/Shader.cpp,
	  src/osgWrappers/osgParticle/BoxPlacer.cpp,
	  src/osgWrappers/osgParticle/GNUmakefile: Updated wrappers.

2006-01-18 04:16  robert

	* src/osgPlugins/hdr/ReaderWriterHDR.cpp: From Marco Jez, adding
	  osgDB::findDataFile() usage.

2006-01-18 04:13  robert

	* src/osgPlugins/lwo/: Converter.cpp, Converter.h,
	  ReaderWriterLWO.cpp, Surface.cpp, Surface.h, VertexMap.h: From
	  Marco Jez:

	  here is a patch that enables a new option named
	  "BIND_TEXTURE_MAP" in the LWO plugin. Its purpose is to allow
	  explicit binding between texture UV maps defined in the LWO file
	  and OpenGL texture units, overriding the default mechanism that
	  allocates texture units automatically. This is useful when you
	  have an UV map built in Lightwave (for example an atlas map) but
	  no textures actually using it, so you can keep the UV map (that
	  would be discarded otherwise) and add a texture later int your
	  program.

	  Syntax is: BIND_TEXTURE_MAP <map_name> <texunit>

2006-01-18 04:03  robert

	* VisualStudio/OpenSceneGraph.dsw,
	  VisualStudio/osgPlugins/ERSIShape/ERSIShape.dsp,
	  src/osgPlugins/ESRIShape/ESRIShape.cpp,
	  src/osgPlugins/ESRIShape/ESRIShapeParser.cpp: From Maya Leonard,
	  ERSIShape VS project file, and compile fixes for Win32.

2006-01-18 03:45  robert

	* src/: osg/BlendEquation.cpp, osg/GLExtensions.cpp,
	  osgUtil/RenderStage.cpp: From Marco Jez, addition of glw
	  extension checking under Windows, and tweaks to BlendEquation and
	  RenderStage to correct the extensions being tested.

2006-01-17 09:04  robert

	* Make/: dolink.sh, instrules: From Zbigniew Sroczynski, fix for
	  handling of paths with spaces.

2006-01-17 07:18  robert

	* include/osgParticle/BoxPlacer,
	  src/osgPlugins/osgParticle/IO_BoxPlacer.cpp: Added new BoxPlacer
	  files.

2006-01-17 07:17  robert

	* VisualStudio/osgParticle/osgParticle.dsp,
	  VisualStudio/osgPlugins/osgParticle/dot_osgParticle.dsp,
	  src/osgPlugins/osgParticle/GNUmakefile: From Zach Deedler,
	  addition of osgParticle/BoxSpacer.

2006-01-16 09:05  robert

	* include/osg/Program, include/osg/Shader, src/osg/Program.cpp,
	  src/osg/Shader.cpp, src/osgUtil/SceneView.cpp: Improved handling
	  of clean up of osg::Program/osg::Shader on closing of a graphis
	  context.

2006-01-16 09:03  robert

	* include/osg/ShapeDrawable: Fixed indenting.

2006-01-12 14:43  robert

	* examples/osgmovie/osgmovie.cpp: Added support for tracking mouse
	  movement and computing the intersection of the mouse position
	  into texture coords.

2006-01-03 08:52  robert

	* examples/osgkeyboardmouse/osgkeyboardmouse.cpp: Added ability to
	  write out the selected parts of the scene graph.

2006-01-03 02:44  robert

	* include/osg/FrameBufferObject, src/osg/FrameBufferObject.cpp,
	  src/osgUtil/RenderStage.cpp: Moved the body of the
	  FBOExtensions::instance() to the .cpp and added bool to control
	  whether that an FBOExtensions structure can be created if
	  missing.

2006-01-02 04:03  robert

	* src/osgDB/DatabasePager.cpp: Standardised compile code to use
	  _maximumNumOfObjectsToCompilePerFrame.

2005-12-23 02:59  robert

	* examples/osgkeyboardmouse/osgkeyboardmouse.cpp: Ported picking
	  across to using PickVisitor.

2005-12-23 02:59  robert

	* src/osgUtil/IntersectVisitor.cpp: Added setting of the parent
	  path on the new PickVisitor.

2005-12-22 06:06  robert

	* include/osgUtil/IntersectVisitor,
	  src/osgUtil/IntersectVisitor.cpp: Seperated out the view and
	  model matrices in IntersectVisitor to allow handling of world
	  coordinates better when using PickVisitor.

2005-12-21 02:32  robert

	* src/osgPlugins/osg/Shader.cpp: Added support for an externally
	  referenced shader file, via the keyword combinations

	     file "shader.vert"

	  OR

	     file shader.vert.

2005-12-20 01:29  robert

	* src/osgDB/Registry.cpp: Removed "if (mapExt!=toExt)" from alias
	  map assignement to allow aliases to be overriden for all cases.

2005-12-20 01:13  robert

	* src/osg/Switch.cpp: From Farshid Lashkari, compile fix

2005-12-19 07:05  robert

	* src/osgUtil/IntersectVisitor.cpp: Added check against the
	  validity of the _inverse matrix pointer.

2005-12-19 06:48  robert

	* VisualStudio/osgPlugins/ive/ive.dsp,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/Depth.cpp, src/osgPlugins/ive/Depth.h,
	  src/osgPlugins/ive/GNUmakefile, src/osgPlugins/ive/ReadWrite.h:
	  From Ali Botorabi, adding of osg::Depth support in .ive format.

2005-12-19 05:57  robert

	* include/osgUtil/IntersectVisitor,
	  src/osgUtil/IntersectVisitor.cpp: Added debugging info for future
	  reference (currently commented out.)

2005-12-19 05:40  robert

	* src/osgUtil/IntersectVisitor.cpp: Added transform of the eye
	  point into local coordinates to properly account for transforms
	  within the scene graph.

2005-12-19 04:00  robert

	* include/osg/Viewport: Fixed computeWindowMatrix so that it
	  properly accounts for x,y position of the viewport.

2005-12-19 03:18  robert

	* include/osgText/Text: From Eric Wing, made getLineCount() const.

2005-12-18 08:06  robert

	* src/osgUtil/: CullVisitor.cpp, IntersectVisitor.cpp: Improved
	  handling of clamping of projection matrix for scenes with close
	  to zero depth range.

2005-12-16 09:01  robert

	* src/osgUtil/IntersectVisitor.cpp: Fixed null matrix op.

2005-12-16 08:27  robert

	* include/osgUtil/IntersectVisitor,
	  src/osgUtil/IntersectVisitor.cpp: Fixed handling of absolute
	  transforms in IntersectVisitor.

2005-12-16 06:53  robert

	* examples/osgpick/osgpick.cpp: Fixed typo in text string.

2005-12-16 03:04  robert

	* include/osg/Switch, src/osg/Switch.cpp,
	  src/osgWrappers/osg/Switch.cpp: Added back in
	  Switch::removeChild(Node*)

2005-12-15 12:56  robert

	* AUTHORS.txt, applications/osgversion/osgversion.cpp: Added proper
	  catch of Paul de Repentinguy name

2005-12-15 11:38  robert

	* src/osgWrappers/osgUtil/: RenderBin.cpp, RenderStage.cpp,
	  SceneView.cpp: Updated wrappers.

2005-12-15 09:14  robert

	* include/osgUtil/RenderBin, include/osgUtil/RenderStage,
	  include/osgUtil/SceneView, include/osgUtil/Statistics,
	  src/osgProducer/ViewerEventHandler.cpp,
	  src/osgUtil/RenderBin.cpp, src/osgUtil/RenderStage.cpp,
	  src/osgUtil/SceneView.cpp: Improved stats handling, and fixed a
	  couple of stats bugs.

2005-12-15 08:30  robert

	* applications/osgdem/osgdem.cpp, include/osgTerrain/DataSet,
	  src/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp: From Jason Beverage,
	  added option to control whether simplification of tiles is done
	  during osgdem builds.

2005-12-15 08:24  robert

	* Make/makedefs: From Matthew May, fixes for threading problems
	  under FreeBSD build.

2005-12-15 07:50  robert

	* include/osg/Switch, src/osg/Switch.cpp,
	  src/osgWrappers/osg/Switch.cpp: Removed
	  Switch::removedChild(Node*) as the Group::removeChild(Node*)
	  implementation should be sufficient, as it calls the virtual
	  removeChild(uint,uint).

2005-12-15 07:36  robert

	* src/osgPlugins/dxf/: dxfDataTypes.h, dxfEntity.cpp: From Paul de
	  Repentigny, ciyple fo fixes for the DXF reader.

2005-12-15 07:25  robert

	* include/osgUtil/Statistics: From Yefei He, fix to QUAD_STRIP
	  stats.

2005-12-09 14:53  robert

	* Make/makedefs: Updated version/revision for 1.0.0 release.

2005-12-09 12:17  robert

	* AUTHORS.txt, NEWS.txt: Updated NEWS and AUTHORS files for the
	  release.

2005-12-09 12:10  robert

	* ChangeLog: Updated ChangeLog for 1.0 release.

2005-12-09 12:03  robert

	* include/osgGA/DriveManipulator, include/osgGA/FlightManipulator,
	  include/osgGA/NodeTrackerManipulator,
	  include/osgGA/TerrainManipulator,
	  include/osgGA/TrackballManipulator,
	  src/osgGA/NodeTrackerManipulator.cpp,
	  src/osgGA/TerrainManipulator.cpp,
	  src/osgGA/TrackballManipulator.cpp,
	  src/osgProducer/ViewerEventHandler.cpp: Fixed typo in comments
	  and onscreen help.

2005-12-09 11:54  robert

	* examples/osghud/osghud.cpp: Fixed the text to match the
	  implementation.

2005-12-09 11:34  robert

	* Make/makedefs: From Thom DeCarlo, changed of ?= to = in
	  Cygwin/minw options for INST_LOCATION.

2005-12-09 11:14  robert

	* Make/makedefs: From Simon Julier, library reordering for
	  compiling osgTerrain under cygwin.

2005-12-09 08:00  robert

	* include/osg/PrimitiveSet, include/osgText/String,
	  src/osgWrappers/osg/PrimitiveSet.cpp,
	  src/osgWrappers/osgText/String.cpp: Changed constructors to use
	  unsigned int to get round VS6.0 + wrapper problems.

2005-12-09 07:05  robert

	* Make/: makedefs, makerules: From Simon Julier, fix for .exe
	  extension under Mingw/Cygwin.

2005-12-09 06:52  robert

	* include/: osg/PrimitiveSet, osgText/String: Build fix for VS6.0
	  in the template constructors

2005-12-09 03:22  robert

	* ChangeLog, include/osg/Switch, src/osg/Switch.cpp,
	  src/osgWrappers/osg/Switch.cpp: From Eric Wing, added missing
	  removeChildren method.

2005-12-09 01:38  robert

	* src/osgUtil/RenderStage.cpp: From Eric Sokolosky, add setting of
	  _cameraRequiresSetUp in constructor to avoid uninitialized
	  variable.

2005-12-08 14:12  robert

	* NEWS.txt: Updated NEWS.

2005-12-08 12:32  robert

	* src/osgText/Text.cpp: From Paul Martz, changed Vec3 to Vec3d to
	  ensure that the lazy evaluation of computeBound  work properly.

2005-12-08 06:08  robert

	* src/osg/Array.cpp: From Simon Julier, fixed typo of unknown.

2005-12-08 04:02  robert

	* AUTHORS.txt, ChangeLog, NEWS.txt,
	  applications/osgversion/osgversion.cpp: Updated AUTHORS and
	  ChangeLog for rc9.

2005-12-08 03:53  robert

	* NEWS.txt: Updated NEWS from wiki ammendments.

2005-12-08 03:37  robert

	* Make/: instrules, makedefs, makerules: From Simon Julier, build
	  fixes for Cygwin/mingw

2005-12-08 03:01  robert

	* src/osgUtil/IntersectVisitor.cpp: Added support for pre and post
	  relative transforms on cameranode.

2005-12-08 02:06  robert

	* include/osg/CameraNode, src/osg/CameraNode.cpp,
	  src/osgProducer/OsgCameraGroup.cpp, src/osgUtil/SceneView.cpp,
	  src/osgWrappers/osg/CameraNode.cpp: Added
	  CameraNode::releaseGLObejcts() to help in clean up, and changed
	  the ordering in SceneView::flushDeleteGLObjects() so that fbo's
	  are deleted before any texture objects they use are deleted.

2005-12-08 02:03  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp: Changed
	  s/getGdalDataset() methods to use void* to avoid introspeciton
	  wrapping problems.

2005-12-08 00:57  robert

	* include/osgText/Text: From Eric Wing, fix to comment.

2005-12-07 07:29  robert

	* include/osg/Node, src/osg/Node.cpp,
	  src/osg/NodeTrackerCallback.cpp, src/osgGA/EventVisitor.cpp,
	  src/osgProducer/Viewer.cpp, src/osgWrappers/osg/Node.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp: Added new
	  Node::getParentalNodePaths() method.

	  Added better handling in computeIntersections(..) of nodes that
	  are internal to the scene graph, correctly accounting for the
	  accumulated transforms.

	  Changed the EventVisitor so that it only traveses active children
	  rather than all children.

	  Updated wrappers.

2005-12-07 07:26  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: From
	  Antonoine Hue, a small modification to the osgTerrain::DataSet to
	  be able to pass an already opened GDAL Dataset to the
	  osgTerrain::DataSet::Source

2005-12-07 04:29  robert

	* NEWS.txt: Updated NEWS for release

2005-12-07 03:38  robert

	* examples/osgbluemarble/osgbluemarble.cpp: From Eric Wing, fixed
	  typo induced bug.

2005-12-07 03:36  robert

	* include/osg/CameraNode, src/osg/CameraNode.cpp,
	  src/osgProducer/Viewer.cpp, src/osgUtil/IntersectVisitor.cpp,
	  src/osgWrappers/osg/CameraNode.cpp: Added
	  Camera::isRenderToTextureCamera() method, and improved support in
	  PickVisitor and IntersectVisitor for CameraNode, including the
	  ignoring of render to texture cameras, such that HUD's etc are
	  still intersected against.

2005-12-07 02:25  robert

	* include/osgUtil/IntersectVisitor, src/osgProducer/Viewer.cpp,
	  src/osgUtil/IntersectVisitor.cpp,
	  src/osgWrappers/osgUtil/IntersectVisitor.cpp: Moved PickVistor
	  into osgUtil

2005-12-07 01:48  robert

	* examples/osgcamera/osgcamera.cpp: Enabled thread safe counting by
	  default.

2005-12-06 13:59  robert

	* include/osgUtil/IntersectVisitor, src/osgProducer/Viewer.cpp,
	  src/osgWrappers/osgUtil/IntersectVisitor.cpp: Improved the
	  PickVisitor to make it more flexible and robust.

2005-12-06 04:07  robert

	* Make/dependencies, Make/makedirdefs,
	  examples/osgdemeter/GNUmakefile,
	  examples/osgdemeter/GNUmakefile.inst,
	  examples/osgdemeter/osgdemeter.cpp: Removed osgdemeter example
	  from distribution because it no longer compiles, and Demeter
	  itself nolonger compiles, osgdemeter has now been moved to the
	  community section of openscenegraph.org.

2005-12-06 03:24  robert

	* src/osg/Geometry.cpp: Added checks in the drawImplementation to
	  catch when attribute bindings are set on but the relevant arrays
	  remain unset, this prevents previous crash when this occured.

2005-12-06 02:26  robert

	* src/osgGA/TerrainManipulator.cpp: From Gideon May, fixed typo in
	  docs.

2005-12-06 02:18  robert

	* include/osg/Geometry: From Farshid Lashkari, removed second
	  redundent dirtyDisplayList() call.

2005-12-06 02:16  robert

	* include/osg/Vec4d, include/osg/Vec4f,
	  src/osgSim/LightPointDrawable.h, src/osgWrappers/osg/Vec4d.cpp,
	  src/osgWrappers/osg/Vec4f.cpp: From Louis Hamilton, fix to
	  LightPoint's under 64 bit build, changing longs to ints in colour
	  conversion code.

2005-12-05 12:11  robert

	* src/osg/GraphicsContext.cpp: Changed debug message to INFO.

2005-12-05 02:24  robert

	* examples/osgdelaunay/osgdelaunay.cpp,
	  examples/osgdepthpartition/DepthPartitionNode.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgSim/OverlayNode.cpp: Attempt at build fixes for IRIX.

2005-12-05 02:23  robert

	* src/osgDB/Registry.cpp: Removed the closeLibraries call from the
	  registry singleton desctuction.

2005-12-05 02:08  robert

	* examples/: osgsimplepager/osgsimplepager.cpp,
	  osgkeyboardmouse/osgkeyboardmouse.cpp: From Geoff Michel, Fix to
	  prevent Producer::Trackball being set up with a negative radius.

2005-12-04 12:08  robert

	* include/osg/BoundingBox: Fixed tabbing.

2005-12-03 07:12  robert

	* include/osg/PrimitiveSet: Added OSG_EXPORT to PrimitiveSet.

2005-12-02 16:03  robert

	* include/osg/PrimitiveSet, src/osg/PrimitiveSet.cpp: Moved the
	  body of the getNumPrimitives() into the .cpp.

2005-12-02 04:30  robert

	* AUTHORS.txt, ChangeLog, applications/osgversion/osgversion.cpp:
	  Updated ChangeLog, AUTHTORS.txt and osgversion for next release
	  candidate.

2005-12-02 04:10  robert

	* NEWS.txt: Fixed typos in NEWS, improved formating.

2005-12-02 03:59  robert

	* NEWS.txt: Updated NEWS with quotes.

2005-12-02 01:57  robert

	* src/osgPlugins/freetype/FreeTypeLibrary.cpp: Added a
	  static_cast<std::streampos> to get round IRIX64 build problem.

2005-12-01 16:25  robert

	* include/osg/Export, include/osg/PrimitiveSet,
	  include/osgText/String, src/osgUtil/CullVisitor.cpp,
	  src/osgWrappers/osg/PrimitiveSet.cpp,
	  src/osgWrappers/osgText/String.cpp: From Marco Jez, hack/fix for
	  VS compile/link problems related to STL containers.

2005-12-01 16:21  robert

	* NEWS.txt: Updated NEWS

2005-12-01 08:44  robert

	* NEWS.txt: Updated NEWS

2005-12-01 08:43  robert

	* examples/: osgmultitexture/osgmultitexture.cpp,
	  osgshaderterrain/osgshaderterrain.cpp: Added comments.

2005-12-01 06:37  robert

	* src/osgUtil/SceneView.cpp: From Ali Botorabi, fixed the
	  setDefault() fallback to properly handle the case when no scene
	  view light is requested.

2005-12-01 06:09  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp: Added
	  TestSupportCallback to properly handle querry of OpenGL support
	  of vertex texturing in GLSL.

2005-12-01 05:38  robert

	* src/osgPlugins/txp/GNUmakefile: From Thom DeCarlo, build fix for
	  Cygwin.

2005-12-01 05:19  robert

	* src/osgUtil/CullVisitor.cpp: From Geoff Michel, fixed the
	  handling of zfar values of 0.0.

2005-11-30 07:30  robert

	* NEWS.txt: Updated NEWS.

2005-11-29 14:29  robert

	* ChangeLog: Updated changed log for 1.0-rc7.

2005-11-29 10:38  robert

	* src/osgPlugins/stl/ReaderWriterSTL.cpp: Added default opening of
	  the file as a binary file, and once the type is confirmed then
	  close and reopen as an ascii as required.  This is done to get
	  round problems under Windows.

	  Also made the running of the SmoothingVisitor optional, now use
	  -O smooth to make the loader run the osgUtil::SmoothingVisitor
	  over the model.

2005-11-29 06:20  robert

	* AUTHORS.txt, ChangeLog, applications/osgversion/osgversion.cpp:
	  Updated ChangeLog, osgversion.cpp and AUTHORS.txt for 1.0-rc6.

2005-11-29 06:07  robert

	* NEWS.txt: Updated NEWS with second draft of press release.

2005-11-29 04:09  robert

	* include/osgProducer/ViewerEventHandler,
	  src/osgProducer/ViewerEventHandler.cpp: Added
	  CameraBarrierCallback so that multi-thread multi-cameras are
	  synconized correctly when do stats collection.

2005-11-29 03:39  robert

	* examples/osgreflect/osgreflect.cpp, src/osg/Stencil.cpp,
	  src/osgPlugins/geo/ClipRegion.cpp, src/osgUtil/RenderBin.cpp,
	  src/osgUtil/SceneView.cpp: From Eric Wing, fixes for "warning:
	  converting of negative value '-0x00000000000000001' to 'unsigned
	  int'"

2005-11-29 00:59  robert

	* examples/osgparametric/osgparametric.cpp: Switched off the VBO
	  usage in osgparametric as it was tripping up ATI and 3DLabs
	  drivers.

2005-11-28 12:08  robert

	* src/osg/Texture2D.cpp: Added temporary ref_ptr<osg::Image> to
	  prevent the _image going out of scope due to another thread
	  complete the texture::apply() while the present texture::apply()
	  is still running.

2005-11-28 02:58  robert

	* examples/osgdelaunay/osgdelaunay.cpp: Fixed warning.

2005-11-28 01:15  robert

	* Make/makedefs, examples/osgGLUTkeyboardmouse/GNUmakefile,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.cpp,
	  examples/osgGLUTsimple/GNUmakefile,
	  examples/osgGLUTsimple/osgGLUTsimple.cpp: From Gideon May, port
	  to OSX of GLUT examples.

2005-11-27 07:32  robert

	* examples/osgdelaunay/osgdelaunay.cpp: From Geoff Michel, fix for
	  the scaling of the random number generation.

2005-11-25 12:23  robert

	* AUTHORS.txt, ChangeLog: Updated ChangeLog and authors file.

2005-11-25 11:18  robert

	* examples/osgdelaunay/osgdelaunay.cpp,
	  examples/osgpbuffer/osgpbuffer.cpp, src/osg/DisplaySettings.cpp,
	  src/osgProducer/Viewer.cpp: From John Donovan, typo fixes.

2005-11-25 06:58  robert

	* applications/osgdem/osgdem.cpp: Added disable of spurious VS6.0
	  warning.

2005-11-25 05:45  robert

	* include/osg/Image: Fixed docs of setImage.

2005-11-25 04:31  robert

	* include/osg/Drawable, include/osg/PrimitiveSet,
	  src/osg/PrimitiveSet.cpp, src/osgWrappers/osg/PrimitiveSet.cpp:
	  Added releaseGLObjects to PrimitiveSet.

2005-11-25 02:32  robert

	* VisualStudio/OpenSceneGraph.dsw: Fixed typo of dxf.

2005-11-24 11:53  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp: Lightened by the
	  ambientBias term.

2005-11-24 07:18  robert

	* include/osg/FrameBufferObject, src/osg/FrameBufferObject.cpp,
	  src/osgUtil/RenderStage.cpp, src/osgUtil/SceneView.cpp,
	  src/osgWrappers/osg/FrameBufferObject.cpp: Added FBO deletion
	  support, and better FBO querry and fallback mechansim in
	  RenderStage.

2005-11-24 07:17  robert

	* include/osg/Export: Changed the VS template export block to just
	  compile when VS verion >= 1300 (VS.NET onwards.)

2005-11-24 02:28  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp,
	  src/osg/Texture.cpp: Changed the default value of
	  Texture::_resizeNonPowerOfTwoHint to true, to improve the
	  backwards compatibility of peformance on systems that have
	  OpenGL2.0 drivers but without hardware that can't handle non
	  power of two textures.

2005-11-24 02:14  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added automatic setting of
	  thread safe reference counting when multi-threaded cameras are
	  used.

2005-11-23 08:32  robert

	* include/osg/CameraNode, src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderStage.cpp, src/osgWrappers/osg/CameraNode.cpp:
	  Changed CameraNode::getDataChangeMutex() to be a pointer rather
	  than a reference to get around osgIntrospeciton build problem
	  with the OpenThreads::Mutex copy constructor being private.

2005-11-23 08:24  robert

	* AUTHORS.txt, ChangeLog, NEWS.txt, Make/makedefs: Updated
	  AUTHORES, ChangeLog, NEWS and version number for 1.0-rc6

2005-11-23 07:25  robert

	* src/osg/GLExtensions.cpp: Changed the linux implement of
	  getGLExtensionFuncPtr to querry for glXGetProcAddressARB and then
	  use this if its available, otherwise fallback to the original
	  dlsym usage.

2005-11-23 05:44  robert

	* include/osg/CameraNode, src/osg/FrameBufferObject.cpp,
	  src/osgUtil/CullVisitor.cpp, src/osgUtil/RenderStage.cpp,
	  src/osgWrappers/osg/CameraNode.cpp: Added multi-buffering of the
	  CameraNode::_renderingCache to help cope with multiple graphis
	  context usages.

2005-11-23 04:16  robert

	* examples/osgcallback/osgcallback.cpp: Fixed mistmatch of
	  ReadFileCallback type.

2005-11-23 02:16  robert

	* include/osg/GLExtensions, src/osg/GLExtensions.cpp: Moved
	  getGLExtensionFuncPtr implementation into the .cpp to make it
	  easier to change it implementation without forcing a complete
	  recompile.

2005-11-23 02:15  robert

	* src/osgFX/BumpMapping.cpp: From Marco Jez, typo fix if GL
	  extension name.

2005-11-22 13:14  robert

	* include/osgUtil/TangentSpaceGenerator, src/osgFX/BumpMapping.cpp,
	  src/osgUtil/TangentSpaceGenerator.cpp,
	  src/osgWrappers/osgUtil/TangentSpaceGenerator.cpp: Simplified the
	  TangentSpaceGenerator so that is automatically converts any
	  models with indices to one without indices and then runs the
	  tangent space generation code on the result.

2005-11-22 06:35  robert

	* Make/makedefs: From Markus Trenkwalder, fixed placment of libs in
	  mingw build.

2005-11-22 05:56  robert

	* include/osg/Geometry, src/osg/Geometry.cpp: Added missing
	  dirtyDisplayList call into osg::Geometry::set calls.

2005-11-22 05:14  robert

	* include/osgDB/DatabasePager, src/osgDB/DatabasePager.cpp,
	  src/osgWrappers/osgDB/DatabasePager.cpp: Added
	  DatabasePager::s/getDrawablePolicy() to allow the way that the
	  display list/VBO settings are applied to loaded databases.

2005-11-22 02:26  robert

	* src/osg/: LOD.cpp, PagedLOD.cpp: Added check against LODScale
	  being zero, and fixed the search for the maximum LOD range in the
	  pixel size range fallback.

2005-11-22 02:08  robert

	* src/osg/: LOD.cpp, PagedLOD.cpp: From Chris Hanson, add LODScale
	  support to pixel based LOD range selection.

2005-11-22 01:57  robert

	* src/osg/Program.cpp: From Jason Daly, (with small tweak by Robert
	  Osfield) fix for Prorgram::removeShader(Shader*) so that it
	  properly remove the shader and its entry in the _shaderList.

2005-11-22 01:51  robert

	* src/osgPlugins/: dxf/scene.cpp, txp/trpage_managers.cpp: From
	  Eric Wing, warning fixes for gcc4.0/OSX.

2005-11-22 01:47  robert

	* include/osg/GL: From Marco Jez, fix for wchar_t being redefined.

2005-11-21 08:29  robert

	* NEWS.txt: Updated NEWS

2005-11-21 08:15  robert

	* AUTHORS.txt, ChangeLog: Updated ChangeLog and authors file.

2005-11-21 05:51  robert

	* include/osg/Export, include/osg/PrimitiveSet,
	  include/osgText/String, src/osgPlugins/directx/directx.h,
	  src/osgPlugins/txp/trpage_sys.h: From Roger James, reworked the
	  export of std::vector<> on standard types to prevent problems
	  with .lib being built for all targets under VS7.x

2005-11-20 14:07  robert

	* src/osgPlugins/directx/: ReaderWriterDirectX.cpp, directx.cpp,
	  directx.h: Replaced asserts with notification of error.

2005-11-20 14:06  robert

	* src/osgPlugins/directx/: directx.cpp, directx.h: From Donn
	  Mielcarek, added support Materials being declared globally.

2005-11-19 04:18  robert

	* AUTHORS.txt, ChangeLog, applications/osgversion/osgversion.cpp:
	  Updated ChangeLog, osgversion and AUTHORS file.

2005-11-18 09:04  robert

	* include/osgParticle/ExplosionDebrisEffect,
	  include/osgParticle/ExplosionEffect,
	  include/osgParticle/FireEffect,
	  include/osgParticle/ParticleEffect,
	  include/osgParticle/SmokeEffect,
	  include/osgParticle/SmokeTrailEffect,
	  src/osgParticle/ExplosionDebrisEffect.cpp,
	  src/osgParticle/ExplosionEffect.cpp,
	  src/osgParticle/FireEffect.cpp,
	  src/osgParticle/ParticleEffect.cpp,
	  src/osgParticle/SmokeEffect.cpp,
	  src/osgParticle/SmokeTrailEffect.cpp,
	  src/osgPlugins/osgParticle/IO_ExplosionDebrisEffect.cpp,
	  src/osgPlugins/osgParticle/IO_ExplosionEffect.cpp,
	  src/osgPlugins/osgParticle/IO_FireEffect.cpp,
	  src/osgPlugins/osgParticle/IO_ParticleEffect.cpp,
	  src/osgPlugins/osgParticle/IO_SmokeEffect.cpp,
	  src/osgPlugins/osgParticle/IO_SmokeTrailEffect.cpp,
	  src/osgWrappers/osgParticle/ExplosionDebrisEffect.cpp,
	  src/osgWrappers/osgParticle/ExplosionEffect.cpp,
	  src/osgWrappers/osgParticle/FireEffect.cpp,
	  src/osgWrappers/osgParticle/ParticleEffect.cpp,
	  src/osgWrappers/osgParticle/SmokeEffect.cpp,
	  src/osgWrappers/osgParticle/SmokeTrailEffect.cpp: Added the
	  ability for osgParticle::ParticleEffect to switch off the
	  automatic setup.  Normally the automatic setup is useful, but in
	  the case of the .osg support this automatic update was forcing
	  premature loading of imagery that wasn't necessarily, and can
	  lead to reports of looking for files that arn't present.

2005-11-18 07:00  robert

	* include/osgGA/TrackballManipulator,
	  src/osgWrappers/osgGA/TrackballManipulator.cpp: Added s/getCenter
	  and s/getRotation methods, and updated wrapper.

2005-11-18 06:49  robert

	* include/osgGA/TrackballManipulator: From  Toshiyuki Takeahei,
	  addition of s/getDistance() methods

2005-11-18 06:46  robert

	* src/osgPlugins/flt/: LightPointRecord.cpp, LightPointRecord.h,
	  flt2osg.cpp: The OpenFlight plugin was crashing with pre 15.6
	  .flt files that contained light points.  This was due to the
	  mismatch is size and fiels in the LightPointRecord before 15.6
	  and after it, the OSG's flt plugin was assuming just 15.6 record
	  structure.  As a temporary solution I have disabled the
	  processing of light point records on .flt file version before
	  15.6, this allows these files to be loaded safely, but without
	  light points.

2005-11-18 02:03  robert

	* src/osgPlugins/flt/flt2osg.cpp: From Andrew Reyonolds : changed
	  the endian conversion code to work on a temporary rather then on
	  a flt structure to prevent repeated conversion of the same value,
	  something that led to eroneously large light point string sizes.

2005-11-18 01:52  robert

	* include/: osg/Export, osgDB/Export, osgFX/Export, osgGA/Export,
	  osgIntrospection/Export, osgParticle/Export, osgProducer/Export,
	  osgSim/Export, osgTerrain/Export, osgText/Export, osgUtil/Export:
	  From Rodger James, changed the Win32 static library compilation
	  support to use OSG_LIBRARY_STATIC to avoid problems with building
	  libs when not required.

2005-11-17 12:22  robert

	* examples/: osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.cpp,
	  osgblendequation/osgblendequation.cpp,
	  osgbluemarble/osgbluemarble.cpp, osgcamera/osgcamera.cpp,
	  osgcameragroup/osgcameragroup.cpp, osgcluster/broadcaster.cpp,
	  osgcluster/receiver.cpp,
	  osgdepthpartition/DepthPartitionNode.cpp,
	  osgdepthpartition/DistanceAccumulator.cpp,
	  osgdepthpartition/osgdepthpartition.cpp,
	  osgdepthshadow/osgdepthshadow.cpp, osgforest/osgforest.cpp,
	  osgfxbrowser/osgfxbrowser.cpp, osggeometry/osggeometry.cpp,
	  osgimpostor/TestManipulator.cpp, osgimpostor/osgimpostor.cpp,
	  osgintrospection/osgintrospection.cpp,
	  osgkeyboardmouse/osgkeyboardmouse.cpp, osglight/osglight.cpp,
	  osglogicop/osglogicop.cpp, osglogo/osglogo.cpp,
	  osgmotionblur/osgmotionblur.cpp, osgparametric/osgparametric.cpp,
	  osgparticle/osgparticle.cpp,
	  osgparticleeffects/osgparticleeffects.cpp,
	  osgplanets/osgplanets.cpp, osgshadowtexture/osgshadowtexture.cpp,
	  osgshape/osgshape.cpp, osgsimple/osgsimple.cpp,
	  osgsimplepager/osgsimplepager.cpp,
	  osgsimulation/osgsimulation.cpp, osgslice/osgslice.cpp,
	  osgspheresegment/osgspheresegment.cpp,
	  osgspotlight/osgspotlight.cpp, osgtexture3D/osgtexture3D.cpp,
	  osgvolume/osgvolume.cpp: Replaced tabs with spaces in examples.

2005-11-17 09:45  robert

	* applications/osgdem/osgdem.cpp,
	  src/osgWrappers/osgGA/DriveManipulator.cpp,
	  src/osgWrappers/osgGA/FlightManipulator.cpp,
	  src/osgWrappers/osgGA/TrackballManipulator.cpp,
	  src/osgWrappers/osgGA/UFOManipulator.cpp: Updated wrappers.

2005-11-17 09:44  robert

	* include/: osg/AnimationPath, osg/Billboard, osg/ClipNode,
	  osg/ClipPlane, osg/ClusterCullingCallback,
	  osg/CollectOccludersVisitor, osg/ConvexPlanarOccluder,
	  osg/ConvexPlanarPolygon, osg/CopyOp, osg/CullSettings,
	  osg/CullStack, osg/CullingSet, osg/Depth, osg/Export,
	  osg/FragmentProgram, osg/GLExtensions, osg/Group,
	  osg/ImageStream, osg/Light, osg/LineStipple, osg/Matrixd,
	  osg/Matrixf, osg/Multisample, osg/PointSprite, osg/Polytope,
	  osg/Referenced, osg/ShadowVolumeOccluder, osg/Shape,
	  osg/TexGenNode, osg/Texture1D, osg/Texture2D, osg/Transform,
	  osg/TriangleFunctor, osg/TriangleIndexFunctor, osg/UByte4,
	  osg/Vec2b, osg/Vec2d, osg/Vec2f, osg/Vec2s, osg/Vec3b, osg/Vec3s,
	  osg/Vec4s, osg/Vec4ub, osg/io_utils, osg/ref_ptr,
	  osgDB/DynamicLibrary, osgDB/Export, osgDB/Output,
	  osgGA/AnimationPathManipulator, osgGA/DriveManipulator,
	  osgGA/KeySwitchMatrixManipulator, osgIntrospection/Comparator,
	  osgProducer/EventAdapter, osgProducer/Export, osgSim/Impostor,
	  osgSim/ImpostorSprite, osgTerrain/DataSet, osgText/Text: Convert
	  tabs to spaces.

2005-11-17 07:18  robert

	* applications/osgversion/osgversion.cpp: From Toshiyuki Takahei,
	  added #pragam to avoid build problem with special characters.
	  From Robert Osfield, added #if _MSC_VER to restrict pragma usage
	  to just VisualStudio, and added comment explaining all the extra
	  parsing code in osgversion.

2005-11-17 07:03  robert

	* src/osgPlugins/: ac3d/Exception.cpp, ac3d/Geode.cpp,
	  dds/ReaderWriterDDS.cpp, dw/ReaderWriterDW.cpp,
	  dxf/ReaderWriterDXF.cpp, dxf/dxfBlock.cpp, dxf/dxfEntity.cpp,
	  dxf/dxfFile.cpp, dxf/dxfReader.cpp, dxf/dxfSection.cpp,
	  dxf/dxfTable.cpp, dxf/scene.cpp,
	  flt/FindExternalModelVisitor.cpp, flt/GroupRecord.cpp,
	  flt/HeaderRecord.cpp, flt/LightPointPaletteRecords.cpp,
	  flt/LodRecord.cpp, geo/ClipRegion.cpp, geo/ReaderWriterGEO.cpp,
	  geo/geoActions.cpp, ive/AlphaFunc.cpp, ive/AnimationPath.cpp,
	  ive/AnimationPathCallback.cpp, ive/AzimElevationSector.cpp,
	  ive/AzimSector.cpp, ive/Billboard.cpp, ive/BlendFunc.cpp,
	  ive/BlinkSequence.cpp, ive/ClipPlane.cpp, ive/ConeSector.cpp,
	  ive/ConvexPlanarPolygon.cpp, ive/CullFace.cpp,
	  ive/DirectionalSector.cpp, ive/ElevationSector.cpp,
	  ive/Exception.cpp, ive/FragmentProgram.cpp, ive/FrontFace.cpp,
	  ive/Impostor.cpp, ive/LOD.cpp, ive/Light.cpp, ive/LightModel.cpp,
	  ive/LightPoint.cpp, ive/LightPointNode.cpp, ive/LineWidth.cpp,
	  ive/Material.cpp, ive/MultiSwitch.cpp, ive/Object.cpp,
	  ive/PagedLOD.cpp, ive/Point.cpp, ive/PolygonOffset.cpp,
	  ive/PositionAttitudeTransform.cpp, ive/PrimitiveSet.cpp,
	  ive/ReaderWriterIVE.cpp, ive/Scissor.cpp, ive/Sequence.cpp,
	  ive/ShadeModel.cpp, ive/Switch.cpp, ive/TexEnv.cpp,
	  ive/TexEnvCombine.cpp, ive/TexGen.cpp, ive/TexMat.cpp,
	  ive/Transform.cpp, ive/Viewport.cpp, ive/VisibilityGroup.cpp,
	  lib3ds/ReaderWriter3DS.cpp, lwo/Block.cpp, lwo/Clip.cpp,
	  lwo/Converter.cpp, lwo/Object.cpp, lwo/Polygon.cpp,
	  lwo/Surface.cpp, lwo/Tessellator.cpp, lwo/Unit.cpp,
	  lwo/VertexMap.cpp, lwo/old_Lwo2.cpp, lwo/old_Lwo2Layer.cpp,
	  lwo/old_lw.cpp, md2/ReaderWriterMD2.cpp, net/sockinet.cpp,
	  net/sockstream.cpp, osg/AutoTransform.cpp, osg/ClipPlane.cpp,
	  osg/ConvexPlanarOccluder.cpp, osg/Fog.cpp,
	  osg/FragmentProgram.cpp, osg/Light.cpp, osg/LineWidth.cpp,
	  osg/Material.cpp, osg/Point.cpp, osg/PointSprite.cpp,
	  osg/ReaderWriterOSG.cpp, osg/Shader.cpp, osg/Shape.cpp,
	  osg/TexGen.cpp, osg/VertexProgram.cpp,
	  osgFX/IO_AnisotropicLighting.cpp, osgFX/IO_BumpMapping.cpp,
	  osgFX/IO_Cartoon.cpp, osgFX/IO_Effect.cpp, osgFX/IO_Scribe.cpp,
	  osgFX/IO_SpecularHighlights.cpp,
	  osgParticle/IO_ModularEmitter.cpp,
	  osgParticle/IO_ModularProgram.cpp, osgParticle/IO_Particle.cpp,
	  osgParticle/IO_ParticleProcessor.cpp,
	  osgParticle/IO_RadialShooter.cpp, osgtgz/ReaderWriterOSGTGZ.cpp,
	  pfb/ConvertFromPerformer.cpp, pfb/ReaderWriterPFB.cpp,
	  quicktime/MovieData.cpp, quicktime/QTUtils.cpp,
	  quicktime/ReaderWriterQT.cpp, rot/ReaderWriterROT.cpp,
	  scale/ReaderWriterSCALE.cpp, tgz/ReaderWriterTGZ.cpp,
	  trans/ReaderWriterTRANS.cpp: Replaced tabs with spaces.

2005-11-17 05:35  robert

	* src/: osg/Image.cpp, osg/LightModel.cpp, osg/Matrixd.cpp,
	  osg/Shape.cpp, osg/ShapeDrawable.cpp, osg/UnitTestFramework.cpp,
	  osg/Vec3.cpp, osgDB/DynamicLibrary.cpp, osgDB/FieldReader.cpp,
	  osgDB/FileNameUtils.cpp, osgDB/Output.cpp, osgFX/BumpMapping.cpp,
	  osgFX/Cartoon.cpp, osgFX/Effect.cpp, osgFX/Technique.cpp,
	  osgFX/Validator.cpp, osgParticle/ParticleSystem.cpp,
	  osgProducer/EventAdapter.cpp, osgProducer/OsgCameraGroup.cpp,
	  osgProducer/Viewer.cpp, osgSim/Impostor.cpp,
	  osgSim/LightPoint.cpp, osgSim/LightPointNode.cpp,
	  osgSim/MultiSwitch.cpp, osgSim/SphereSegment.cpp,
	  osgTerrain/HeightFieldNode.cpp, osgText/Text.cpp,
	  osgUtil/CullVisitor.cpp, osgUtil/DisplayRequirementsVisitor.cpp,
	  osgUtil/HalfWayMapGenerator.cpp, osgUtil/IntersectVisitor.cpp,
	  osgUtil/RenderBin.cpp, osgUtil/Simplifier.cpp: Coverted tabs to
	  space in core libraries.

2005-11-17 03:27  robert

	* src/osgProducer/Viewer.cpp: From Toshiyuki Takahei, fixed order
	  intialiation problem in Viewer::selectCameraManipulator(..).

2005-11-17 03:22  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp: From Mike Weiblen,
	  "fix for another one of those GLSL syntax errors that slip thru
	  the nvidia compiler.	gl_TexCoord[] is an array of vec4, and must
	  be reduced to a vec2 for use with texture2D()"

2005-11-17 03:13  robert

	* Make/makedefs: From Eric Sokolosky, for Cygwin and Minw sections
	  changed definition of INST_SHARE so that it is based on
	  INST_LOCATION, providing the same default as before but also
	  allow it to be override by env vars when required.

2005-11-17 03:09  robert

	* Make/makedefs: From Eric Sokolosky, made spacing more consistent.

2005-11-17 03:03  robert

	* include/osgGA/DriveManipulator, include/osgGA/FlightManipulator,
	  include/osgGA/TrackballManipulator, include/osgGA/UFOManipulator,
	  src/osg/Matrix_implementation.cpp,
	  src/osgGA/DriveManipulator.cpp, src/osgGA/FlightManipulator.cpp,
	  src/osgGA/TerrainManipulator.cpp,
	  src/osgGA/TrackballManipulator.cpp: From Mikkel Gjøl, addition of
	  paramter set/get methods to osgGA::*Manipulators, change of ' '
	  to GUIEventAdapter::KEY_Space, fix to url in
	  Matrix_implementation.cpp.  Syntax fixes by Robert Osfield to
	  above submission fix inconsistencies with normal OSG coding
	  style.

2005-11-17 01:57  robert

	* examples/osgsimulation/osgsimulation.cpp: Improved handling of
	  core OSG being compile with float Matrices.

2005-11-17 01:20  robert

	* src/osg/Image.cpp: Added (_data || rhs._data) extra qualify to
	  Image::compare is data equal test.

2005-11-16 13:08  robert

	* src/osgPlugins/geo/osgGeoNodes.h: Removed redundent copyop.

2005-11-16 12:27  robert

	* examples/osgtesselate/GNUmakefile: Ran dos2unix on makefile.

2005-11-16 08:35  robert

	* doc/ProgrammingGuide/ProgrammingGuide.odt: Started experimenting
	  with sections and table of contents.

2005-11-16 08:30  robert

	* src/osgPlugins/dxf/: dxfEntity.cpp, dxfEntity.h, scene.cpp,
	  scene.h: Converted remaining osg::Matrix usage to osg::Matrixd.

2005-11-16 04:14  robert

	* AUTHORS.txt, ChangeLog: Updated changelog and authors file.

2005-11-16 04:07  robert

	* applications/osgversion/osgversion.cpp: Fixed typo entry.

2005-11-16 01:28  robert

	* src/osg/TextureRectangle.cpp: From Mike Weiblen, support for
	  ARB_texture_rectangle extension name.

2005-11-15 14:18  robert

	* examples/: osgdelaunay/GNUmakefile,
	  osgprerender/osgprerender.cpp: From Joakim Simonsson/Robert
	  Osfield. Fixed line endings.

2005-11-15 14:14  robert

	* src/osgPlugins/flt/Pool.cpp: Did a unix2dos and trimmed end of
	  file of rendundent newlines.

2005-11-15 14:07  robert

	* applications/osgarchive/osgarchive.cpp,
	  applications/osgconv/osgconv.cpp, applications/osgdem/osgdem.cpp,
	  examples/osgbluemarble/osgbluemarble.cpp,
	  examples/osgdelaunay/osgdelaunay.cpp,
	  examples/osgdemeter/osgdemeter.cpp,
	  examples/osgmovie/osgmovie.cpp,
	  examples/osgpbuffer/osgpbuffer.cpp,
	  examples/osgpoints/osgpoints.cpp,
	  examples/osgsimplifier/osgsimplifier.cpp,
	  examples/osgspacewarp/osgspacewarp.cpp,
	  examples/osgtesselate/osgtesselate.cpp: Added proper descriptions
	  of examples in place of the copy and paste description.

2005-11-15 13:47  robert

	* include/osgParticle/Particle,
	  include/osgUtil/DelaunayTriangulator, src/osgTerrain/DataSet.cpp:
	  From Eric Wing, compile fixes.

2005-11-15 13:24  robert

	* src/: osgDB/Registry.cpp,
	  osgPlugins/quicktime/ReaderWriterQT.cpp: From Gideon May, "I've
	  added an alias for the new mpeg 4 format used by quicktime and
	  podcasts."

2005-11-15 10:31  robert

	* Make/makedefs: From Sean Spicer, compile fixes for Intel
	  compiler.

2005-11-15 08:15  robert

	* VisualStudio/: highlight70.reg, highlight71.reg: From Joakim
	  Simonsson, updated VS handling of extensionless headers to be
	  consistent with 1.0 release of OSG

2005-11-15 08:06  robert

	* applications/osgversion/osgversion.cpp: Fixed typo of Jason.

2005-11-15 07:07  robert

	* AUTHORS.txt: Updated authors list from osgversion -r ChangeLog
	  output.

2005-11-15 07:07  robert

	* applications/osgversion/: GNUmakefile, osgversion.cpp: Updated
	  the output of the contributors list.

2005-11-15 06:25  robert

	* src/osgUtil/TriStrip_heap_array.h: Added catch of erase of the
	  last element of heap.

2005-11-15 03:43  robert

	* include/osgIntrospection/Comparator: From Marco Jez, warning
	  fixes.

2005-11-15 03:39  robert

	* src/osgPlugins/txp/: trpage_print.cpp, trpage_warchive.cpp:
	  Warning fixes.

2005-11-15 03:23  robert

	* src/osgPlugins/quicktime/QTtexture.cpp: Warning fix.

2005-11-15 02:05  robert

	* applications/osgversion/osgversion.cpp: Added remapping of Drew's
	  fullname.

2005-11-15 00:56  robert

	* examples/osgspacewarp/osgspacewarp.cpp: From Mike Weiblen,
	  switched off lighting of points to make them clearer

2005-11-15 00:43  robert

	* src/osgSim/SphereSegment.cpp: Warning fix.

2005-11-14 13:40  robert

	* applications/osgversion/osgversion.cpp: Fixed handling of
	  initials.

2005-11-14 12:54  robert

	* applications/osgversion/osgversion.cpp: Added typo correction for
	  "Jolley".

2005-11-14 12:51  robert

	* applications/osgversion/osgversion.cpp: Added more typo catches.

2005-11-14 09:21  robert

	* applications/osgversion/osgversion.cpp: Further improvements to
	  the name filtering.

2005-11-14 09:15  robert

	* applications/osgversion/osgversion.cpp: Improved handling on
	  special characters in names

2005-11-14 09:07  robert

	* applications/osgversion/osgversion.cpp: Added support for mining
	  the ChangeLog for a list of contributors.

2005-11-14 05:34  robert

	* ChangeLog: Updated changelog.

2005-11-14 04:49  robert

	* src/osgPlugins/geo/: geoFormat.h, geoVersion.h: Fixed warnings in
	  geo plugin

2005-11-14 03:14  robert

	* Make/openscenegraph.pc: Updated package version to 1.0,0

2005-11-14 03:08  robert

	* include/osgGA/NodeTrackerManipulator,
	  src/osgWrappers/osgGA/NodeTrackerManipulator.cpp: From Toshiyuki
	  Takehei, typo fix of getTrackerMode().

2005-11-14 03:00  robert

	* include/osgGA/KeySwitchMatrixManipulator,
	  src/osgGA/KeySwitchMatrixManipulator.cpp,
	  src/osgProducer/ViewerEventHandler.cpp,
	  src/osgWrappers/osgGA/KeySwitchMatrixManipulator.cpp: Change the
	  KeySwitchMatrixManipulator so that it two sets of
	  getMatrixManipulator methods, two that takes an index,two that
	  takes a key value.  Updated the ViewEventHandler so the it now
	  uses the getMatrixManipulatorWithIndex() method to avoid previous
	  ambiguity.

2005-11-14 01:31  robert

	* include/osgParticle/ParticleSystem: From Farshid Lashkari : "I
	  reported earlier about a problem with a custom emitter I was
	  using.  I spent some more time debugging and it turns out there
	  was a bug in the ParticleSystem::update_bounds function. When the
	  bound is being reset, both the min and max are being set to the
	  same postion without the radius being subtracted/added to it.
	  When there is only one particle alive in the system this causes
	  it to be culled by small feature culling. I've modifed the
	  function so that when the bound is reset, the radius is
	  subtracted/added to the position. This fixes my problem."

2005-11-12 13:29  robert

	* VisualStudio/osgPlugins/geo/geo.dsp,
	  src/osgPlugins/geo/ReaderWriterGEO.cpp,
	  src/osgPlugins/geo/geoCore.h, src/osgPlugins/geo/geoFormat.h,
	  src/osgPlugins/geo/geoTypes.h, src/osgPlugins/geo/geoVersion.h,
	  src/osgPlugins/geo/osgGeoStructs.h: From Geoff Michel, geo plugin
	  updated to for latest updates in .geo format.

2005-11-12 05:38  robert

	* VisualStudio/osgPlugins/osgParticle/dot_osgParticle.dsp,
	  src/osgPlugins/osgParticle/GNUmakefile,
	  src/osgPlugins/osgParticle/IO_ConnectedParticleSystem.cpp: Added
	  support for ConnectedParticleSystem.

2005-11-12 05:27  robert

	* VisualStudio/osgPlugins/osgParticle/dot_osgParticle.dsp,
	  src/osgPlugins/osgParticle/GNUmakefile,
	  src/osgPlugins/osgParticle/IO_SmokeTrailEffect.cpp: Added .osg
	  support for osgParticle::SmokeTrailEffect

2005-11-11 11:29  robert

	* ChangeLog: Updated ChangeLog

2005-11-11 09:00  robert

	* include/osgProducer/ViewerEventHandler,
	  include/osgUtil/SceneView,
	  src/osgProducer/ViewerEventHandler.cpp,
	  src/osgUtil/SceneView.cpp,
	  src/osgWrappers/osgProducer/ViewerEventHandler.cpp,
	  src/osgWrappers/osgUtil/SceneView.cpp: Added scene stats support
	  to osgProducer::ViewerEventHandler.

2005-11-11 06:22  robert

	* include/osgGA/StateSetManipulator,
	  src/osgGA/StateSetManipulator.cpp,
	  src/osgWrappers/osgGA/StateSetManipulator.cpp: Added
	  s/getMaxNumOfTextureUnits control to osgGA::StateSetManipulator,
	  and set the default to 4.

2005-11-11 04:45  robert

	* VisualStudio/examples/osgcluster/osgcluster.dsp,
	  examples/osgmovie/osgmovie.cpp, src/osgPlugins/dxf/scene.h,
	  src/osgPlugins/hdr/hdrloader.cpp: Fixes for VS6.0 build.

2005-11-11 00:45  robert

	* Make/makedefs: From Markus Trenkwalder, fix for Mingw build

2005-11-10 12:56  robert

	* include/osgIntrospection/ReflectionMacros: From Marco Jez,
	  compile for a syntax error problem.

2005-11-10 12:20  robert

	* VisualStudio/: applications/osgviewer/osgviewer.dsp,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  examples/osgdepthshadow/osgdepthshadow.dsp,
	  examples/osghangglide/osghangglide.dsp,
	  examples/osgkeyboardmouse/osgkeyboardmouse.dsp,
	  examples/osgparticle/osgparticledemo.dsp,
	  examples/osgsimple/osgsimple.dsp,
	  examples/osgsimplepager/osgsimplepager.dsp,
	  examples/osgteapot/osgteapot.dsp,
	  examples/osgtexture1D/osgtexture1D.dsp, osgPlugins/flt/flt.dsp,
	  osgPlugins/geo/geo.dsp, osgPlugins/logo/logo.dsp,
	  osgPlugins/osgParticle/dot_osgParticle.dsp,
	  osgPlugins/osgSim/dot_osgSim.dsp, osgPlugins/txp/txp.dsp: Added
	  /Zm200 to loads of project to try and salavage something from
	  VS6.0 being such a bog awful compiler.

2005-11-10 12:04  robert

	* examples/: osgblendequation/osgblendequation.cpp,
	  osglogicop/osglogicop.cpp: Fixes for VS6.0

2005-11-10 11:32  robert

	* examples/osgmovie/osgmovie.cpp,
	  examples/osgparametric/osgparametric.cpp,
	  src/osgPlugins/dxf/scene.h, src/osgPlugins/flt/flt2osg.cpp: Fixes
	  for dumb VS6.0 compiler

2005-11-10 11:16  robert

	* examples/osgdepthpartition/: DepthPartitionNode.cpp,
	  DepthPartitionNode.h: Fixes for VS6.0

2005-11-10 09:24  robert

	* VisualStudio/osgPlugins/osg/dot_osg.dsp,
	  examples/osgcluster/osgcluster.cpp, src/osgTerrain/DataSet.cpp:
	  Compile fixes for VS6.0.

2005-11-10 08:47  robert

	* Make/makedefs: From Markus Trenkwalder, added freetype-config
	  support to Mingw section.

2005-11-10 07:52  robert

	* runexamples.bat: Added osgshaderterrain and osgparametric to
	  runexamples.bat

2005-11-10 07:27  robert

	* src/osgWrappers/osg/GraphicsThread.cpp: Updated wrappers

2005-11-10 07:25  robert

	* examples/osgcamera/osgcamera.cpp, include/osg/GraphicsThread,
	  src/osg/GraphicsThread.cpp: Added better control for cancel
	  GraphicsThreads.

2005-11-10 06:41  robert

	* VisualStudio/OpenSceneGraph.dsw: Ran unix2dos on
	  OpenSceneGraph.dsw

2005-11-10 03:56  robert

	* include/osgProducer/Viewer, src/osgProducer/Viewer.cpp,
	  src/osgWrappers/osgProducer/Viewer.cpp: Fixed typo of
	  CoordinateSystem.

2005-11-10 03:39  robert

	* include/osgProducer/OsgSceneHandler,
	  src/osgProducer/OsgCameraGroup.cpp,
	  src/osgProducer/OsgSceneHandler.cpp,
	  src/osgWrappers/osgProducer/OsgSceneHandler.cpp: Addd
	  OsgSceneHandler::s/getCleanUpOnNextFrame() and support for it in
	  the draw() method, when CleanUpOnNextFrame is enabled the next
	  frame simple deleted OpenGL objects without doing any draw
	  traversal.

2005-11-10 02:29  robert

	* src/osgUtil/DelaunayTriangulator.cpp: Added checks against the
	  values returned from dynamic_cast<>'s.

2005-11-10 01:42  robert

	* ChangeLog, examples/osgvolume/osgvolume.cpp,
	  include/osgUtil/SceneView, src/osg/LOD.cpp,
	  src/osgPlugins/dxf/dxfReader.h, src/osgPlugins/geo/osgGeoNodes.h:
	  Compile fixes for VS7.1

2005-11-09 14:09  don

	* README.txt: small change to test osg-cvs....

2005-11-09 14:07  don

	* README.txt: Small modification to change 2004 to 2005 in
	  README.txt  (this is mostly	      a test of osg-cvs)

2005-11-09 12:30  robert

	* src/osgWrappers/osgTerrain/DataSet.cpp: Updated wrappers

2005-11-09 12:26  robert

	* examples/osgsimulation/osgsimulation.cpp: Added release and flush
	  of OpenGL objects after build of the terrain database to prevent
	  the build graphics context state leaking into the viewers
	  graphics context set.

2005-11-09 12:24  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: Added a
	  s/getState() to osgTerrain::DataSet to allow better integration
	  with applications.

2005-11-09 09:20  robert

	* applications/osgdem/osgdem.cpp: Added some docs on command line
	  options.

2005-11-09 09:19  robert

	* src/osg/ApplicationUsage.cpp: Added writing of commandline
	  options in getFormatedString when there is no description string.

2005-11-09 09:08  robert

	* examples/osglightpoint/osglightpoint.cpp: Moved the blink
	  sequence light points down so they are visible in the default
	  camera position.

2005-11-09 09:06  robert

	* examples/osgautotransform/osgautotransform.cpp: Changed the
	  NO_ROTATION label so it is aligned with the XZ plane to make it
	  easier to see.

2005-11-09 07:27  robert

	* NEWS.txt: Quick updates to NEWS.

2005-11-09 07:19  robert

	* ChangeLog: Updated ChangeLog

2005-11-09 07:14  robert

	* src/osgWrappers/osg/AnimationPath.cpp: Updated wrappers.

2005-11-09 07:11  robert

	* examples/osgclip/osgclip.cpp,
	  examples/osgdepthshadow/osgdepthshadow.cpp,
	  examples/osgdistortion/osgdistortion.cpp,
	  examples/osglauncher/osglauncher.cpp,
	  examples/osglogo/osglogo.cpp, examples/osgpbuffer/osgpbuffer.cpp,
	  examples/osgprerender/osgprerender.cpp,
	  examples/osgprerendercubemap/osgprerendercubemap.cpp,
	  examples/osgreflect/osgreflect.cpp,
	  examples/osgscalarbar/osgscalarbar.cpp,
	  include/osg/AnimationPath, include/osgUtil/TransformCallback,
	  src/osg/AnimationPath.cpp: Added the support in
	  AnimationPathCallback for taking a pivot, axis and rotation rate
	  paramters in its constructor to allow it to be used to create
	  rotations around a point.  This provides the same interface and
	  functionality as osgUtil::TransformCallback but has the advantage
	  and AnimationPathCallback is fully supported by the .osg and .ive
	  file formats.

2005-11-09 05:39  robert

	* runexamples.bat: Updated the runexamples.bat to include
	  glsl_mandelbrot.osg and glsl_julia.osg references

2005-11-09 05:39  robert

	* examples/osgsimulation/osgsimulation.cpp: Reduced the size of the
	  "oversized" cessna.osg

2005-11-09 05:26  robert

	* src/osgProducer/Viewer.cpp: Added a test of isRealized to
	  requestWrapPointer to prevent a deadlock condition occur when a
	  wap pointer is done before a window is realized.

2005-11-09 05:18  robert

	* examples/osgdelaunay/osgdelaunay.cpp: Update texture file names
	  to reflect new files in OpenSceneGraph-Data distribution.

2005-11-09 03:59  robert

	* VisualStudio/: OpenSceneGraph.dsw, osgPlugins/dxf/dxf.dsp: Added
	  dxf VS6.0 project

2005-11-09 02:49  robert

	* include/osg/Version, include/osgDB/Version,
	  include/osgGA/Version, include/osgParticle/Version,
	  include/osgProducer/Version, include/osgSim/Version,
	  include/osgTerrain/Version, include/osgText/Version,
	  include/osgUtil/Version, src/osg/Version.cpp,
	  src/osgDB/Version.cpp, src/osgGA/Version.cpp,
	  src/osgParticle/Version.cpp, src/osgProducer/Version.cpp,
	  src/osgSim/Version.cpp, src/osgTerrain/Version.cpp,
	  src/osgText/Version.cpp, src/osgUtil/Version.cpp: Bumped the
	  version numbers up to 1.0 in preparation for 1.0-rc1.

2005-11-09 02:41  robert

	* examples/osgdelaunay/osgdelaunay.cpp, src/osg/Texture.cpp,
	  src/osgPlugins/gdal/ReaderWriterGDAL.cpp: Fixed warnings.

2005-11-09 02:37  robert

	* examples/osgdepthpartition/DepthPartitionNode.cpp: Fixed compile
	  warning.

2005-11-09 01:30  robert

	* src/osgPlugins/logo/ReaderWriterLOGO.cpp: Updated the bin number
	  to be 100 for the logo overlay to force it to draw later.

2005-11-08 08:41  robert

	* src/osgPlugins/ive/: IveVersion.h, Texture.cpp: Added .ive
	  support for osg::Texture SourceFormat and SourceType

2005-11-08 08:22  robert

	* src/osgPlugins/osg/Texture.cpp: Added support for SourceType and
	  SourceFormat to .osg.

2005-11-08 08:02  robert

	* src/osgWrappers/osg/Texture.cpp: Updated wrappers.

2005-11-08 07:52  robert

	* examples/osgprerender/osgprerender.cpp, include/osg/Texture,
	  src/osg/Texture.cpp, src/osg/Texture1D.cpp,
	  src/osg/Texture2D.cpp, src/osg/Texture3D.cpp,
	  src/osg/TextureCubeMap.cpp, src/osg/TextureRectangle.cpp: From
	  Brad Colbert/Robert Osfield: added s/getSourceFormat and
	  s/getSourceType to osg::Texture along with support for this
	  Texture1D, 2D, 3D, TextureCubeMap and TextureRectangle.  The new
	  SourceFormat and SourceType parameters are only used when no
	  osg::Image is assigned to an osg::Texture, and main use is for
	  render to texture effects.

	  Added support for --hdr option in osgprerender, which utilises
	  the new Texture::setSourceFormat/Type() methods.

2005-11-08 06:03  robert

	* src/osgWrappers/: osgFX/GNUmakefile, osgGA/GNUmakefile,
	  osgParticle/GNUmakefile, osgProducer/GNUmakefile,
	  osgSim/GNUmakefile, osgTerrain/GNUmakefile, osgText/GNUmakefile,
	  osgUtil/RenderStage.cpp: Updated wrappers

2005-11-08 05:51  robert

	* src/: osg/Image.cpp, osgDB/WriteFile.cpp,
	  osgPlugins/ive/ReaderWriterIVE.cpp: From Colin McDonald, fixed
	  image size calculation in getTotalSizeInBytesIncludingMipmaps(),
	  added checks on success of opening files for writing in the .ive
	  plugin.

2005-11-08 03:46  robert

	* include/osgUtil/RenderBin, include/osgUtil/RenderLeaf,
	  include/osgUtil/RenderStage, src/osgUtil/RenderBin.cpp,
	  src/osgUtil/RenderLeaf.cpp, src/osgUtil/RenderStage.cpp,
	  src/osgUtil/SceneView.cpp: Added sorting and clearing of pre and
	  post RenderStages stored in RenderStage, and added some debugging
	  comments which are currently commented out from compilation -
	  these are left in just in case future debug work requires them.

2005-11-08 01:36  robert

	* src/osgUtil/SceneView.cpp: Changed the occluder traversal so that
	  checks the children of the SceneView's Cameara rather than
	  starting at the camera itself.

2005-11-07 08:52  robert

	* VisualStudio/: OpenSceneGraph.dsw, VisualStudio.dsw: Renamed
	  VisualStudio.dsw to OpenSceneGraph.dsw

2005-11-07 08:48  robert

	* src/osgProducer/Viewer.cpp: Improved the handling of CameraNode
	  and viewers with projection matrices contained NaN's.

2005-11-07 07:46  robert

	* src/osg/ApplicationUsage.cpp: From Bob Kuehne, proper c++ cast
	  instead of c-cast for ApplicationUsage

2005-11-07 07:43  robert

	* src/osgProducer/Viewer.cpp: From Steve Lunsford, added psuedo
	  event dispatch to init within selectCameraManipulator to force
	  the new minpulator to update correctly.

2005-11-07 06:42  robert

	* src/osgPlugins/obj/ReaderWriterOBJ.cpp: From David Spilling,
	  added "noRotation" ReaderWriter::Option into the .obj plugin to
	  enable disabling of the automatic rotation from Y up coordinate
	  frame to Z up coordinate frame.

2005-11-07 05:54  robert

	* src/osgProducer/GraphicsContextImplementation.cpp: From Marco
	  Jez, Added an unregister of the GraphicsContextImplement on
	  unload.

2005-11-07 04:41  robert

	* src/osgPlugins/osg/StateSet.cpp: From David Spilling, fix for
	  typo of OVERRIDE.

2005-11-07 03:14  robert

	* src/: osg/ApplicationUsage.cpp, osgPlugins/osg/CameraNode.cpp,
	  osgPlugins/quicktime/MovieData.h,
	  osgPlugins/quicktime/QTUtils.cpp, osgPlugins/quicktime/QTUtils.h,
	  osgPlugins/quicktime/ReaderWriterQT.cpp: From Gideon May, compile
	  fixes for OSX.

2005-11-07 03:09  robert

	* src/osgDB/Registry.cpp: From Norman Vine, "Cygwin uses unix style
	  path separators"

2005-11-07 03:05  robert

	* include/osgText/Font, src/osgPlugins/freetype/FreeTypeFont.cpp,
	  src/osgPlugins/freetype/FreeTypeFont.h,
	  src/osgPlugins/freetype/FreeTypeLibrary.cpp,
	  src/osgPlugins/freetype/FreeTypeLibrary.h,
	  src/osgPlugins/freetype/ReaderWriterFreeType.cpp,
	  src/osgText/Font.cpp: From Wang Lam,"The changes allow users of
	  OpenSceneGraph to call a new function readFontStream() to load
	  fonts from a std::istream, rather than from the local filesystem
	  by name.  Such a call may be used, for example, if the user has a
	  font fetched over a network, or a font available in memory
	  without a correspondng filename.

	  The changes implement the new function by following the
	  corresponding code for readFontFile().  readFontStream() reads a
	  stream into memory, and holds that memory for FreeType.

	  As a basic test, I mangled the osgtext example to use
	  readFontStream(std::ifstream("font")) in lieu of a readFontFile
	  call, and the modified example ran completely."

2005-11-07 02:29  robert

	* examples/osgsimplifier/osgsimplifier.cpp: From Ruben (with a few
	  addition/changes from Robert), fixed the commandline of the
	  osgsimplifier example. It now reads --ratio and --max-error.

	  ---------------------------------------------------

2005-11-04 11:00  robert

	* src/osgUtil/RenderStage.cpp: Added extra debugging checks on
	  FBO's

2005-11-04 04:08  robert

	* include/osg/Texture1D, include/osg/Texture3D,
	  include/osg/TextureCubeMap, include/osg/TextureRectangle,
	  src/osg/CameraNode.cpp, src/osg/TextureCubeMap.cpp,
	  src/osg/TextureRectangle.cpp,
	  src/osgPlugins/ive/TextureCubeMap.cpp,
	  src/osgUtil/RenderStage.cpp, src/osgWrappers/osg/Texture1D.cpp,
	  src/osgWrappers/osg/Texture3D.cpp,
	  src/osgWrappers/osg/TextureCubeMap.cpp,
	  src/osgWrappers/osg/TextureRectangle.cpp: Improved support for
	  texture subload/render to texture in various Texture classes and
	  RenderStage.

2005-11-03 13:35  robert

	* src/osgPlugins/osg/CameraNode.cpp: Improvements to CameraNode IO
	  support, now handles render to texture.

2005-11-03 11:20  robert

	* src/osgPlugins/ive/CameraNode.cpp: Changed the CameraNode
	  read/write code to use Transform as its parent.

2005-11-03 09:12  robert

	* src/osgPlugins/osg/Matrix.cpp: Removed debugging message

2005-11-03 09:08  robert

	* src/osgPlugins/osg/: CameraNode.cpp, Matrix.cpp: Further work on
	  osg::CameraNode support.

2005-11-03 07:59  robert

	* include/osg/CameraNode, src/osgPlugins/ive/CameraNode.cpp,
	  src/osgPlugins/osg/CameraNode.cpp,
	  src/osgWrappers/osg/CameraNode.cpp: Further work on added IO
	  support from CameraNode.

2005-11-03 04:25  robert

	* src/osgPlugins/: ive/CameraView.cpp, osg/CameraView.cpp:
	  Completed osg::CameraView support in .osg and .ive formats.

2005-11-03 02:59  robert

	* src/osg/Texture.cpp: Added env var docs on OSG_MAX_TEXTURE_SIZE

2005-11-03 02:57  robert

	* applications/osgconv/osgconv.cpp: Added --help-env option.

2005-11-03 02:18  robert

	* src/osgWrappers/osg/ApplicationUsage.cpp: Updated wrappers

2005-11-03 02:16  robert

	* VisualStudio/osgPlugins/ive/ive.dsp,
	  examples/osgdelaunay/osgdelaunay.cpp,
	  src/osgPlugins/ive/CameraNode.cpp,
	  src/osgPlugins/ive/CameraNode.h,
	  src/osgPlugins/ive/CameraView.cpp,
	  src/osgPlugins/ive/CameraView.h,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/GNUmakefile, src/osgPlugins/ive/ReadWrite.h:
	  Added initial CameraNode and CameraView stups for the .ive loader

2005-11-03 02:01  robert

	* include/osg/ApplicationUsage, src/osg/ApplicationUsage.cpp: From
	  Eric Sokolowsky, added writeEnvironmentSettings to help report
	  what OSG centric environment variables are used.

2005-11-03 01:03  robert

	* src/osgPlugins/osg/: CameraNode.cpp, CameraView.cpp: Added
	  CameraNode.cpp and CameraView.cpp

2005-11-02 11:52  robert

	* VisualStudio/osgPlugins/osg/dot_osg.dsp,
	  src/osgPlugins/osg/GNUmakefile, src/osgPlugins/osg/Matrix.cpp,
	  src/osgPlugins/osg/Matrix.h: Inital work on adding .osg support
	  for CameraNode and CameraView.

2005-11-02 11:35  robert

	* src/osgWrappers/osg/DisplaySettings.cpp: Updated wrappers.

2005-11-02 11:15  robert

	* examples/osgmotionblur/osgmotionblur.cpp: Added request for
	  accumulator buffer.

2005-11-02 11:15  robert

	* include/osg/DisplaySettings, src/osg/DisplaySettings.cpp,
	  src/osgProducer/OsgCameraGroup.cpp: Added support in
	  DisplaySettings and OscCameraGroup for requesting accumulator
	  buffer.

2005-11-02 08:20  robert

	* src/osgPlugins/gdal/ReaderWriterGDAL.cpp: From Alan Ott, added
	  support for palletted imagery.

2005-11-02 07:56  robert

	* examples/osgprerendercubemap/osgprerendercubemap.cpp: From Brede
	  Johnasen, changed wrap mode to CLAMP_TO_EDGE to avoid edges being
	  seen when zoomed into the reflectio map.

2005-11-02 07:23  robert

	* examples/osgpick/osgpick.cpp, src/osgProducer/Viewer.cpp: Added
	  handling of CameraNode into PickVisitor in
	  src/osgProducer/Viewer.cpp.  This is unlikely to be the final
	  solution, but does at least fix part of the problem of handling
	  picking HUD's underneath CameraNodes.

2005-11-02 06:24  robert

	* examples/: osgdepthshadow/osgdepthshadow.cpp,
	  osgparametric/osgparametric.cpp: From Marco Jez, added Image/
	  path to image files to help find them from the
	  OpenSceneGraph-Data directory.

2005-11-02 06:22  robert

	* examples/osgmultiplecameras/osgmultiplecameras.cpp: From Marco
	  Jez, moved the rear view camera's viewport to the bottom left of
	  window to accomdate a greater range of display sizes.  From
	  Robert Osfield, made the background colour of the intersted
	  camera a scaled down verson of the main background colour to make
	  it more obvious.

2005-11-02 04:22  robert

	* src/osgText/Text.cpp: Added a setSupportsDisplayList(false) to
	  constructor to prevent end users enabling display lists,
	  something that can break the osgText's managment of state.

2005-11-02 03:55  robert

	* include/osgUtil/RenderStage: Fixed setCameraRequiresSetUp so it
	  properly uses the bool passed to it.

2005-11-02 03:33  robert

	* include/osg/NodeTrackerCallback: Added doc comment and removed
	  redundent inline keyword

2005-11-02 02:57  robert

	* include/osgText/Font, src/osgText/Font.cpp: From Farshid
	  Lashkari, "I need the ability to check for a font file without
	  actually loading the font object.  I've modified font.h/cpp of
	  osgText so that it exports the findFontFile function."

2005-11-02 02:55  robert

	* src/osgProducer/GraphicsContextImplementation.cpp: From Marco
	  Jez, commented out debuggin message.

2005-11-02 02:49  robert

	* include/osg/Matrixf: Added static orthoNormal function to match
	  equivilant in Matrixd

2005-11-02 02:45  robert

	* include/osg/Matrixd: From Colin McDonald, "Fix for missing class
	  name qualifier on the orthoNormal function."

2005-11-02 02:29  robert

	* src/: osg/FrameBufferObject.cpp, osgPlugins/flt/GroupRecord.cpp,
	  osgPlugins/flt/ObjectRecord.cpp, osgPlugins/flt/SwitchRecord.cpp,
	  osgPlugins/osgSim/IO_MultiSwitch.cpp,
	  osgPlugins/rot/ReaderWriterROT.cpp,
	  osgPlugins/scale/ReaderWriterSCALE.cpp,
	  osgPlugins/trans/ReaderWriterTRANS.cpp: From Colin McDonald,
	  "Fixes for some duplicate global symbol definitions in the
	  plugins, which cause errors when creating a statically linked
	  executable."

2005-11-02 02:29  robert

	* include/osg/CameraNode: Fixed compile warning

2005-11-01 12:16  robert

	* src/osg/State.cpp: Changed the error number reporting to be
	  reported as hex.

2005-11-01 11:32  robert

	* examples/osgprerender/osgprerender.cpp: Added an image negation
	  callback to the render to image.  Added commandline docs for the
	  new --image and --texture-rectangle options.

2005-11-01 11:31  robert

	* src/osgUtil/RenderStage.cpp: Removed the double call to the
	  camera post draw callback.

2005-11-01 09:07  robert

	* examples/osgprerender/osgprerender.cpp: Added usage of image copy
	  and modification.

2005-11-01 07:39  robert

	* src/osgUtil/RenderStage.cpp: Set the draw and read buffer to
	  GL_NONE when using FBO's, thereby avoid invalid enumrates being
	  generated.

2005-11-01 07:23  robert

	* src/: osg/FrameBufferObject.cpp, osgUtil/RenderStage.cpp:
	  Improved handling of osg::Image copying.

2005-11-01 03:18  robert

	* src/osg/State.cpp: From Brad Colbert, Added checking for a NULL
	  return string rom gluErrorString (with slight reformating of this
	  by Robert Osfield.)

2005-11-01 03:00  robert

	* src/osgWrappers/osg/CameraNode.cpp: Updated wrappers

2005-11-01 02:42  robert

	* include/osg/CameraNode, src/osg/CameraNode.cpp,
	  src/osgSim/Impostor.cpp, src/osgUtil/RenderStage.cpp: Added
	  RenderTargetFallback option into osg::CameraNode.

2005-10-31 08:40  robert

	* src/osgPlugins/txp/TXPNode.cpp: From Steve Lunsford, "Attached is
	  a copy of TXPNode.cpp with the repaired computeBounds call.  I
